#!/bin/sh
echo 'macAppUpdater.sh script - Begin'
echo 'macAppUpdater.sh script - Argument $1 - Zip file:' $1
echo 'macAppUpdater.sh script - Argument $2 - Unzip directory:' $2
echo 'macAppUpdater.sh script - Argument $3 - Current app bundle contents directory:' $3
echo 'macAppUpdater.sh script - Argument $4 - Current app bundle temporary contents directory:' $4
echo 'macAppUpdater.sh script - Argument $5 - Current app bundle SS.swf:' $5

#Argument validation - checks to see if all arguments are valid, if not then exits
if [ -z "$1" ] || [ -z "$2" ] || [ -z "$3" ] || [ -z "$4" ] || [ -z "$5" ]; then
   echo 'macAppUpdater.sh script - Error: Missing argument'
   exit
fi

#Unzip file to app bundle
echo 'macAppUpdater.sh script - Unzipping' $1 'to' $2
unzip -o "$1" -d "$2"

#Use a for in loop to detect the unzipped app bundle file name
for unzippedFileName in `ls $2`; do
    echo 'macAppUpdater.sh script - Unzipped file name:' $unzippedFileName
done

#Unzipped file name validation - checks to see if the unzipped file name is valid, if not then exits
if [ -z "$unzippedFileName" ]; then
   echo 'macAppUpdater.sh script - Error: Missing unzipped file name'
   exit
fi

#Generated variables
unzippedAppBundle=$2'/'$unzippedFileName
unzippedAppBundleContents=$unzippedAppBundle'/Contents'
unzippedAppBundleSWF=$unzippedAppBundleContents'/Resources/SS.swf'
echo 'macAppUpdater.sh script - Unzipped app bundle:' $unzippedAppBundle
echo 'macAppUpdater.sh script - Unzipped app bundle contents:' $unzippedAppBundleContents
echo 'macAppUpdater.sh script - Unzipped app bundle SS.swf:' $unzippedAppBundleSWF

#MD5 the unzipped app bundle SS.swf file
echo 'macAppUpdater.sh script - Generating MD5 for' $unzippedAppBundleSWF
unzippedMd5=$(md5 -q $unzippedAppBundleSWF)

#Move current app bundle 'Contents' folder to temporary location
echo 'macAppUpdater.sh script - Moving' $3 'to' $4
mv "$3" "$4"

#Move unzipped app bundle 'Contents' folder to current app bundle
echo 'macAppUpdater.sh script - Moving' $unzippedAppBundleContents 'to' $3
mv "$unzippedAppBundleContents" "$3"

#Remove the unzipped app bundle
echo 'macAppUpdater.sh script - Removing' $unzippedAppBundle
rm -R -f "$unzippedAppBundle"

#MD5 the new current app bundle SS.swf file
echo 'macAppUpdater.sh script - Generating MD5 for' $5
movedMd5=$(md5 -q $5)

#MD5 echo logging
echo 'macAppUpdater.sh script - Unzipped MD5: ' $unzippedMd5
echo 'macAppUpdater.sh script - Moved MD5: ' $movedMd5

#If MD5s match then success else fail
if [ $unzippedMd5 = $movedMd5 ]
then
	#Remove current app bundle temporary 'Contents' folder
	echo 'macAppUpdater.sh script - Removing' $4
	rm -R -f "$4"
	hasUpdated=true
else
	echo 'macAppUpdater.sh script - Reverting'
	#Remove new current app bundle 'Contents' folder
	echo 'macAppUpdater.sh script - Removing' $3
	rm -R -f "$3"
	#Move temporary 'Contents' folder back to original location to revert
	echo 'macAppUpdater.sh script - Moving' $4 'to' $3
	mv "$4" "$3"
	hasUpdated=false
fi

echo 'macAppUpdater.sh script - End - hasUpdated: '$hasUpdated