CREATE TABLE IF NOT EXISTS "_Service"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '', 
	"entityID" TEXT, 
	"serviceID" INTEGER NOT NULL, 
	"name" TEXT NOT NULL, 
	"folderName" TEXT NOT NULL, 
	"sortOrder" INTEGER NOT NULL, 
	UNIQUE("serviceID") ON CONFLICT IGNORE); 
	 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (0, 0, 0, 'digi.me', 'digi.me', 0); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (1, 1, 1, 'Facebook', 'Facebook', 1); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (2, 2, 2, 'Facebook Page', 'Facebook Page', 3); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (3, 3, 3, 'Twitter', 'Twitter', 2); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (4, 4, 4, 'Instagram', 'Instagram', 4); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (5, 5, 5, 'Google+', 'GooglePlus', 8); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (6, 6, 6, 'LinkedIn', 'LinkedIn', 5); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (7, 7, 7, 'Viadeo', 'Viadeo', 9); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (8, 8, 8, 'RSS', 'RSS', 7); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (9, 9, 9, 'Pinterest', 'Pinterest', 6); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (10, 10, 10, 'Facebook', 'Facebook', 0); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (11, 11, 11, 'Dropbox', 'Dropbox', 0); 
INSERT INTO _service (serviceid, baseID, entityID, name, folderName, sortorder) VALUES (12, 12, 12, 'Flickr', 'Flickr', 2); 
 
CREATE TABLE IF NOT EXISTS "_SocialNetworkUser"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"serviceEntityID" INTEGER NOT NULL, 
	"socialNetworkUserEntityID" TEXT, 
	"childReferenceEntityType" INTEGER DEFAULT 0, 
	"childReferenceEntityID" TEXT, 
	"fileEntityID" TEXT, 
	"associatedUserID" TEXT, 
	"userID" TEXT NOT NULL, 
	"firstname" TEXT, 
	"lastname" TEXT, 
	"username" TEXT, 
	"fileDisplayName" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"enabled" INTEGER DEFAULT 0, 
	"selected" INTEGER DEFAULT 0, 
	"lastSyncDate" INTEGER DEFAULT 0, 
	"currentFanCount" INTEGER DEFAULT 0, 
	"originalFanCount" INTEGER DEFAULT 0, 
	"profileUrl" TEXT, 
	"type" INTEGER DEFAULT 0, 
	"email" TEXT, 
	"additionalUrl" TEXT, 
	"description" TEXT, 
	"privatePersonCount" INTEGER DEFAULT 0, 
	"feedBegin" TEXT, 
	"feedEnd" TEXT, 
	"jfsid" INTEGER DEFAULT 0, 
	UNIQUE("serviceEntityID", "userID", "entityID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_MediaAlbum"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"mediaEntityID" TEXT, 
	"type" INTEGER DEFAULT 0, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"mediaAlbumID" TEXT NOT NULL, 
	"mediaAlbumObjectID" TEXT, 
	"name" TEXT, 
	"description" TEXT, 
	"itemCount" INTEGER DEFAULT 0, 
	"link" TEXT, 
	"location" TEXT, 
	"locationEntityID" TEXT, 
	"updatedDateMajor" INTEGER DEFAULT 0, 
	UNIQUE("referenceEntityType", "referenceEntityID", "mediaAlbumID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Media"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"imageFileEntityID" TEXT, 
	"personEntityID" TEXT NOT NULL, 
	"videoFileEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"type" INTEGER DEFAULT 0, 
	"locationEntityID" TEXT, 
	"cameraModelEntityID" TEXT, 
	"itemLicenceEntityID" TEXT, 
	"mediaID" TEXT NOT NULL, 
	"mediaObjectID" TEXT, 
	"mediaObjectLikeID" TEXT, 
	"latitude" FLOAT DEFAULT 0, 
	"longitude" FLOAT DEFAULT 0, 
	"name" TEXT, 
	"originatorType" INTEGER DEFAULT 0, 
	"interestScore" INTEGER DEFAULT 0, 
	"link" TEXT, 
	"filter" TEXT, 
	"commentCount" INTEGER DEFAULT 0, 
	"likeCount" INTEGER DEFAULT 0, 
	"displayShortUrl" TEXT, 
	"displayUrlIndexStart" INTEGER DEFAULT 0, 
	"displayUrlIndexEnd" INTEGER DEFAULT 0, 
	"tagCount" INTEGER DEFAULT 0, 
	"taggedPeopleCount" INTEGER DEFAULT 0, 
	"description" TEXT, 
	UNIQUE("entityID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Location"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"serviceEntityID" INTEGER, 
	"locationID" TEXT,  
	"apiID" TEXT,  
	"name" TEXT, 
	"latitude" FLOAT DEFAULT 0, 
	"longitude" FLOAT DEFAULT 0, 
	"description" TEXT, 
	"address" TEXT, 
	"utcOffset" INTEGER DEFAULT 0, 
	"zip" TEXT, 
	"street" TEXT, 
	"state" TEXT, 
	"city" TEXT, 
	"country" TEXT); 
	 
CREATE TABLE IF NOT EXISTS "_Tag"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"tagID" TEXT, 
	"tag" TEXT, 
	UNIQUE("referenceEntityID", "referenceEntityType", "tag") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Person"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"fileEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"personID" TEXT NOT NULL, 
	"bio" TEXT, 
	"username" TEXT NOT NULL, 
	"firstname" TEXT NOT NULL, 
	"lastname" TEXT, 
	"followersCount" INTEGER DEFAULT 0, 
	"followingCount" INTEGER DEFAULT 0, 
	"isTheAccountOwner" INTEGER DEFAULT 0, 
	"isFollowingMe" INTEGER DEFAULT 0, 
	"isFollowedByMe" INTEGER DEFAULT 0, 
	"isFriend" INTEGER DEFAULT 0, 
	"email" TEXT, 
	"profileUrl" TEXT, 
	"isAppUser" INTEGER DEFAULT 0, 
	"birthday" TEXT, 
	"sex" TEXT, 
	"schoolInfo" TEXT, 
	"relationshipStatus" TEXT, 
	"political" TEXT, 
	"books" TEXT, 
	"religion" TEXT, 
	"affiliations" TEXT, 
	"activities" TEXT, 
	"educationHistory" TEXT, 
	"hometown" TEXT, 
	"music" TEXT, 
	"meetingFor" TEXT, 
	"meetingSex" TEXT, 
	"movies" TEXT, 
	"interests" TEXT, 
	"workCurrent" TEXT, 
	"workHistory" TEXT, 
	"tv" TEXT, 
	"quotes" TEXT, 
	"website" TEXT, 
	"timezone" TEXT, 
	"utcOffset" TEXT, 
	"isProfileProtected" INTEGER DEFAULT 0, 
	"servicePostCount" INTEGER DEFAULT 0, 
	"location" TEXT, 
	"latestPostSnippet" TEXT, 
	"recommendationCount" INTEGER DEFAULT 0, 
	"specialities" TEXT, 
	"honours" TEXT, 
	"country" TEXT, 
	"degreeOfSeparation" INTEGER DEFAULT 0, 
	"proposalComments" TEXT, 
	"tagline" TEXT, 
	"language" TEXT, 
	"isPremium" INTEGER DEFAULT 0, 
	"isPage" INTEGER DEFAULT 0, 
	"lastCheckedDate" INTEGER DEFAULT 0,
	UNIQUE("referenceEntityID", "referenceEntityType", "personID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Comment"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"personEntityID" TEXT, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"commentID" TEXT, 
	"commentReplyID" TEXT, 
	"text" TEXT, 
	"commentCount" INTEGER DEFAULT 0, 
	"likeCount" INTEGER DEFAULT 0, 
	"link" TEXT, 
	"privacy" INTEGER DEFAULT 0, 
	"metaID" TEXT, 
	"appID" TEXT, 
	UNIQUE("entityID", "commentID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Like"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"personEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"likeID" TEXT, 
	UNIQUE("referenceEntityID", "referenceEntityType", "personEntityID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Post"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"personEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"type" INTEGER DEFAULT 0, 
	"postEntityID" TEXT, 
	"postID" TEXT NOT NULL, 
	"postReplyCount" INTEGER DEFAULT 0, 
	"postUrl" TEXT, 
	"text" TEXT, 
	"title" TEXT, 
	"latitude" FLOAT DEFAULT 0, 
	"longitude" FLOAT DEFAULT 0, 
	"source" TEXT, 
	"rawText" TEXT, 
	"isShared" INTEGER DEFAULT 0, 
	"shareCount" INTEGER DEFAULT 0, 
	"isTruncated" INTEGER DEFAULT 0, 
	"isFavourited" INTEGER DEFAULT 0, 
	"commentCount" INTEGER DEFAULT 0, 
	"likeCount" INTEGER DEFAULT 0, 
	"favouriteCount" INTEGER DEFAULT 0, 
	"annotation" TEXT, 
	"originalCrossPostID" TEXT, 
	"originalPostID" TEXT, 
	"originalPostUrl" TEXT, 
	"isCommentable" INTEGER DEFAULT 0, 
	"isLikeable" INTEGER DEFAULT 0, 
	"visibility" TEXT, 
	"viewCount" INTEGER DEFAULT 0, 
	UNIQUE("referenceEntityType", "referenceEntityID", "postID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_File"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"folderEntityID" TEXT, 
	"fileID" TEXT, 
	"fileDisplayName" TEXT,
	"fileName" TEXT, 
	"fileSize" INTEGER, 
	"mimeType" TEXT, 
	"link" TEXT, 
	"width" INTEGER, 
	"height" INTEGER, 
	"fileSizeType" INTEGER DEFAULT 0,
	"md5" TEXT, 
	"extension" TEXT, 
	"fileType" INTEGER, 
	"fileSizeTypes" INTEGER, 
	"processedFileSizeTypes" INTEGER DEFAULT 0,
	"fileDisplayType" INTEGER, 
	"serviceEntityID" INTEGER, 
	"wasDownloaded" INTEGER DEFAULT 0, 
	"isFound" INTEGER DEFAULT 0, 
	"revision" INTEGER DEFAULT 0, 
	"subDirectory" TEXT, 
	"isLinkAvailable" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	UNIQUE("socialNetworkUserEntityID", "link", "revision", "fileSizeType") ON CONFLICT IGNORE); 
	
CREATE TABLE IF NOT EXISTS "_Folder"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"createdDate" INT DEFAULT ((strftime('%s', 'now')) * 1000), 
	"updatedDate" INT DEFAULT ((strftime('%s', 'now')) * 1000), 
	"folderID" TEXT, 
	"folderDisplayName" TEXT NOT NULL, 
	"folderDisplayType" INTEGER NOT NULL, 
	"folderType" INTEGER NOT NULL, 
	"serviceEntityID" INTEGER NOT NULL, 
	"fileLimit" INTEGER NOT NULL, 
	"fileCount" INTEGER DEFAULT 0, 
	"initialValue" INTEGER NOT NULL, 
	UNIQUE("socialNetworkUserEntityID", "folderType", "serviceEntityID", "folderDisplayName", "folderDisplayType", "initialValue", "fileLimit") ON CONFLICT IGNORE
); 
	 
CREATE TABLE IF NOT EXISTS "_URL"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"fileEntityID" TEXT, 
	"urlID" TEXT NOT NULL, 
	"pageTitle" TEXT, 
	"pageSubTitle" TEXT, 
	"pageDescription" TEXT, 
	"link" TEXT, 
	UNIQUE("urlID", "link") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Checkin"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"personEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"postEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"checkinID" TEXT NOT NULL, 
	"appID" TEXT, 
	"message" TEXT, 
	"latitude" FLOAT DEFAULT 0, 
	"longitude" FLOAT DEFAULT 0, 
	"taggedPeopleCount" INTEGER DEFAULT 0, 
	UNIQUE("referenceEntityID", "referenceEntityType", "postEntityID", "personEntityID", "checkinID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_MessageThread"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"personEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"messageThreadID" TEXT NOT NULL, 
	"messageThreadObjectID" TEXT, 
	"snippet" TEXT, 
	"title" TEXT, 
	"messageCount" INTEGER DEFAULT 0, 
	"link" TEXT, 
	"subject" TEXT, 
	"participantCount" INTEGER DEFAULT 0, 
	UNIQUE("referenceEntityType", "referenceEntityID", "messageThreadID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Message"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"personEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"messageID" TEXT NOT NULL, 
	"text" TEXT, 
	"textHTML" TEXT, 
	"subject" TEXT, 
	"link" TEXT, 
	UNIQUE("referenceEntityID", "referenceEntityType", "messageID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_AssociatedPerson"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"personEntityID" TEXT, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"associatedpersonID" TEXT, 
	"rsvpStatus" TEXT, 
	"xCoord" FLOAT DEFAULT 0, 
	"yCoord" FLOAT DEFAULT 0, 
	"value" TEXT,
	UNIQUE("referenceEntityID", "referenceEntityType", "personEntityID", "value") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Event"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"fileEntityID" TEXT, 
	"personEntityID" TEXT NOT NULL, 
	"startDate" INTEGER DEFAULT 0, 
	"endDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"eventID" TEXT NOT NULL, 
	"name" TEXT NOT NULL, 
	"tagline" TEXT, 
	"host" TEXT, 
	"location" TEXT, 
	"description" TEXT, 
	"venue" TEXT, 
	"privacy" TEXT, 
	"canInviteFriends" INTEGER DEFAULT 0, 
	"hideGuestList" INTEGER DEFAULT 0, 
	"memberCount" INTEGER DEFAULT 0, 
	UNIQUE("referenceEntityID", "referenceEntityType", "eventID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Group"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"fileEntityID" TEXT, 
	"personEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"groupID" TEXT NOT NULL, 
	"name" TEXT NOT NULL, 
	"link" TEXT, 
	"privacy" TEXT, 
	"description" TEXT, 
	"keywords" TEXT, 
	"country" TEXT, 
	"memberCount" INTEGER DEFAULT 0, 
	"email" TEXT,
	UNIQUE("referenceEntityID", "referenceEntityType", "groupID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Backup"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"endDate" INTEGER DEFAULT 0, 
	"backupID" TEXT, 
	UNIQUE("backupID", "createdDate") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Relationship"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"childReferenceEntityType" INTEGER DEFAULT 0, 
	"childReferenceEntityID" TEXT NOT NULL, 
	"createdDate" INTEGER DEFAULT 0, 
	"relationshipID" TEXT, 
	"relationshipGroupID" TEXT, 
	"originalAttachmentID" TEXT, 
	UNIQUE("socialNetworkUserEntityID", "referenceEntityID", "referenceEntityType", "childReferenceEntityID", "childReferenceEntityType", "relationshipGroupID") ON CONFLICT IGNORE); 
 
CREATE TABLE IF NOT EXISTS "_Profile"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"fileEntityID" TEXT, 
	"locationEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0, 
	"personEntityID" TEXT, 
	"businessEntityID" TEXT, 
	"profileID" TEXT, 
	"firstname" TEXT, 
	"lastname" TEXT, 
	"username" TEXT, 
	"displayName" TEXT, 
	"profileUrl" TEXT, 
	"bio" TEXT, 
	"generalInfo" TEXT, 
	"description" TEXT, 
	"descriptionRaw" TEXT, 
	"associations" TEXT, 
	"keywords" TEXT, 
	"interests" TEXT, 
	"phone" TEXT, 
	"type" TEXT, 
	"gender" INTEGER DEFAULT 0, 
	"relationshipStatus" INTEGER DEFAULT 0, 
	"born" INTEGER DEFAULT 0, 
	"dateFormatType" INTEGER DEFAULT 0, 
	"hasAddedApp" INTEGER DEFAULT 0, 
	"email" TEXT, 
	"locale" TEXT, 
	"additionalUrl" TEXT, 
	"religion" TEXT, 
	"middleName" TEXT, 
	"mediaCount"  INTEGER DEFAULT 0, 
	"timezone"  INTEGER DEFAULT 0, 
	"postCount" INTEGER DEFAULT 0, 
	"totalViewCount" INTEGER DEFAULT -1, 
	"friendCount" INTEGER DEFAULT 0, 
	"followersCount" INTEGER DEFAULT 0, 
	"followingCount" INTEGER DEFAULT 0, 
	"isPremium" INTEGER DEFAULT 0, 
	"isVerified" INTEGER DEFAULT 0, 
	"isFriendCountCapped" INTEGER DEFAULT 0, 
	"profileProtected" INTEGER DEFAULT 0, 
	UNIQUE("socialNetworkUserEntityID", "profileID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Business"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"serviceEntityID" INTEGER DEFAULT 0, 
	"locationEntityID" TEXT, 
	"type" INTEGER DEFAULT 0, 
	"businessID" TEXT, 
	"fanCount" INTEGER DEFAULT 0, 
	"industry" TEXT, 
	"name" TEXT, 
	"employeeCount" TEXT, 
	"products" TEXT, 
	"mission" TEXT, 
	"overview" TEXT, 
	"parkingOption" INTEGER DEFAULT 0, 
	"publicTransit" TEXT, 
	"stockMarketName" TEXT, 
	"checkinCount" INTEGER DEFAULT 0, 
	UNIQUE("entityID", "serviceEntityID") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Hours"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL, 
	"startTime" INTEGER DEFAULT 0, 
	"endTime" INTEGER DEFAULT 0, 
	"hoursID" TEXT, 
	"dayIndex" INTEGER NOT NULL, 
	UNIQUE("hoursID", "dayIndex", "referenceEntityID", "referenceEntityType") ON CONFLICT IGNORE); 
	 
CREATE TABLE IF NOT EXISTS "_Recommendations"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"personEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"type" INTEGER DEFAULT 0, 
	"recommendationID" TEXT, 
	"content" TEXT
); 
 
CREATE TABLE IF NOT EXISTS "_Collection"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"userCreated" INTEGER DEFAULT 1, 
	"isHidden" INTEGER DEFAULT 0, 
	"createdDate" INTEGER, 
	"updatedDate" INTEGER, 
	"collectionID" TEXT, 
	"name" TEXT NOT NULL, 
	"numberItems" INTEGER DEFAULT 0, 
	UNIQUE("name") ON CONFLICT IGNORE 
); 
 
CREATE TABLE IF NOT EXISTS "_Meta"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"createdDate" INTEGER, 
	"type" INTEGER DEFAULT 0, 
	"isPrimary" INTEGER DEFAULT 0, 
	"metaID" TEXT, 
	"value1" TEXT, 
	"value2" TEXT, 
	UNIQUE("value1", "value2", "referenceEntityID", "referenceEntityType") ON CONFLICT IGNORE 
); 
	 
CREATE TABLE IF NOT EXISTS "_Experience"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"type" INTEGER DEFAULT 0, 
	"locationEntityID" TEXT, 
	"businessEntityID" TEXT, 
	"beginDate" INTEGER DEFAULT 0, 
	"beginDateType" INTEGER DEFAULT 0, 
	"endDate" INTEGER DEFAULT 0, 
	"endDateType" INTEGER DEFAULT 0, 
	"experienceID" TEXT, 
	"subject" TEXT, 
	"status" INTEGER, 
	"position" TEXT, 
	"description1" TEXT, 
	"description2" TEXT, 
	"isCurrent" INTEGER DEFAULT 0
);
 
CREATE TABLE IF NOT EXISTS "_Document"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,  
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT,  
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"startDate" INTEGER DEFAULT 0,  
	"endDate" INTEGER DEFAULT 0,  
	"type" INTEGER DEFAULT 0,  
	"documentID" TEXT,  
	"apiID" TEXT,  
	"name" TEXT,  
	"summary" TEXT,  
	"status" INTEGER,  
	"number" TEXT, 
	"issuer" TEXT, 
	"url" TEXT
);

CREATE TABLE IF NOT EXISTS "_LibraryStats"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,  
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"key" INTEGER NOT NULL, 
	"count" FLOAT DEFAULT 0, 
	"hiddenCount" FLOAT DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0,
	UNIQUE("key", "socialNetworkUserEntityID") ON CONFLICT REPLACE
);

CREATE TABLE IF NOT EXISTS "_LicenceStats"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"key" INTEGER NOT NULL, 
	"count" FLOAT DEFAULT 0, 
	"updatedDate" INTEGER DEFAULT 0,
	UNIQUE("key") ON CONFLICT REPLACE
);

CREATE TABLE IF NOT EXISTS "_AccountAccessToken"(
	"entityID" TEXT NOT NULL PRIMARY KEY,
	"baseID" TEXT DEFAULT '',
	"accessToken" TEXT NOT NULL,
	"accessTokenSecret" TEXT,
	"refreshToken" TEXT,
	"expiryDate" TEXT,
	"createdDate" INTEGER DEFAULT 0
);

CREATE TABLE IF NOT EXISTS "_BackupTotals"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"backupEntityID" TEXT NOT NULL, 
	"count" FLOAT DEFAULT 0, 
	UNIQUE("socialNetworkUserEntityID", "backupEntityID") ON CONFLICT IGNORE
);

CREATE TABLE IF NOT EXISTS "_BackupSubTotals"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"backupTotalsEntityID" TEXT NOT NULL, 
	"actionType" INTEGER DEFAULT 0, 
	"itemType" INTEGER DEFAULT 0, 
	"count" FLOAT DEFAULT 0, 
	UNIQUE("backupTotalsEntityID", "referenceEntityType", "actionType", "itemType") ON CONFLICT IGNORE
);

CREATE TABLE IF NOT EXISTS "_SearchLog"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"updatedDate" INTEGER DEFAULT 0,
	"text" TEXT NOT NULL,
	"saved" INTEGER NOT NULL,
	"searchtype" TEXT NOT NULL
);
	
CREATE TABLE IF NOT EXISTS "_SearchLogService"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"searchLogEntityID" TEXT NOT NULL,
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT NOT NULL
);
	
CREATE TABLE IF NOT EXISTS "_SearchLogServiceItem"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT NOT NULL, 
	"searchLogServiceEntityID" TEXT NOT NULL,
	"item" TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS "_SchemaUpdate"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT,
	"baseID" TEXT DEFAULT '',
	"patch" TEXT NOT NULL,
	"updatetime" TEXT NOT NULL,
	"version" TEXT NOT NULL, 
	UNIQUE("patch") ON CONFLICT IGNORE 
);
	
CREATE TABLE IF NOT EXISTS "_CameraBrand"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"cameraBrandID" TEXT NOT NULL, 
	"name" TEXT, 
	UNIQUE("baseID") ON CONFLICT IGNORE
);
	
CREATE TABLE IF NOT EXISTS "_CameraModel"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"cameraModelID" TEXT NOT NULL, 
	"cameraBrandEntityID" TEXT, 
	"fileEntityID" TEXT, 
	"name" TEXT, 
	"megapixels" TEXT, 
	"lcdscreensize" TEXT, 
	"memorytype" TEXT, 
	UNIQUE("baseID") ON CONFLICT IGNORE
);
	
CREATE TABLE IF NOT EXISTS "_ItemLicence"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"itemLicenceID" TEXT NOT NULL, 
	"name" TEXT, 
	"url" TEXT, 
	UNIQUE("baseID") ON CONFLICT IGNORE
);

CREATE TABLE IF NOT EXISTS "_FrontCoverUser"(
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"userEntityID" TEXT NOT NULL,
	"serviceType" TEXT NOT NULL,
	"timestamp" TEXT,
	PRIMARY KEY ("userentityid","servicetype")
);

CREATE TABLE IF NOT EXISTS "_Permissions"(
	"entityID" TEXT PRIMARY KEY,
	"value" TEXT,
	UNIQUE('entityID') ON CONFLICT REPLACE
);

CREATE TABLE IF NOT EXISTS "_FileMetaData"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,  
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT,  
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"fileMetaDataID" TEXT,  
	"clean" TEXT,  
	"label" TEXT,  
	"raw" TEXT,  
	"tag" TEXT,  
	"tagspace" TEXT,  
	"tagspaceid" TEXT
);

CREATE TABLE IF NOT EXISTS "_Timeline"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"baseID" TEXT DEFAULT '',
	"entityID" TEXT, 
	"socialNetworkUserEntityID" TEXT NOT NULL, 
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"createdDate" INTEGER DEFAULT 0, 
	"type" INTEGER DEFAULT 0, 
	"subType" INTEGER DEFAULT 0, 
	"timelineID" TEXT NOT NULL, 
	UNIQUE("baseID") ON CONFLICT IGNORE
);

CREATE TABLE IF NOT EXISTS "_Pagination"( 
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,  
	"entityID" TEXT,  
	"referenceEntityType" INTEGER DEFAULT 0, 
	"referenceEntityID" TEXT, 
	"value" TEXT,  
	"type" INTEGER, 
	UNIQUE("entityID") ON CONFLICT IGNORE
);