CREATE TABLE IF NOT EXISTS '_SearchLog'('id' INTEGER PRIMARY KEY AUTOINCREMENT,'baseID' TEXT DEFAULT '','entityID' TEXT NOT NULL, 'text' TEXT NOT NULL,'updatedDate' INTEGER DEFAULT 0,'saved' INTEGER NOT NULL,'searchtype' TEXT NOT NULL);
CREATE TABLE IF NOT EXISTS '_SearchLogService'('id' INTEGER PRIMARY KEY AUTOINCREMENT,'baseID' TEXT DEFAULT '','entityID' TEXT NOT NULL, 'searchLogEntityID' TEXT NOT NULL,'referenceEntityID' TEXT NOT NULL,'referenceEntityType' INTEGER DEFAULT 0);
CREATE TABLE IF NOT EXISTS '_SearchLogServiceItem'('id' INTEGER PRIMARY KEY AUTOINCREMENT,'baseID' TEXT DEFAULT '','entityID' TEXT NOT NULL, 'searchLogServiceEntityID' TEXT NOT NULL,'item' TEXT NOT NULL);

CREATE TABLE IF NOT EXISTS '_File'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'fileID' TEXT, 'folderEntityID' TEXT, 'socialNetworkUserEntityID' TEXT, 'fileDisplayName' TEXT,'fileName' TEXT, 'fileSize' INTEGER, 'mimeType' TEXT, 'link' TEXT, 'width' INTEGER, 'height' INTEGER, 'fileSizeType' INTEGER DEFAULT 0,'md5' TEXT, 'extension' TEXT, 'fileType' INTEGER, 'fileSizeTypes' INTEGER, 'processedFileSizeTypes' INTEGER DEFAULT 0,'fileDisplayType' INTEGER, 'serviceEntityID' INTEGER, 'wasDownloaded' INTEGER DEFAULT 0, 'isFound' INTEGER DEFAULT 0, 'revision' INTEGER DEFAULT 0, 'subDirectory' TEXT, 'isLinkAvailable' INTEGER DEFAULT 0, 'updatedDate' INTEGER DEFAULT 0, UNIQUE('socialNetworkUserEntityID', 'link', 'revision', 'fileSizeType') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_Folder'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT NOT NULL, 'folderID' TEXT, 'socialNetworkUserEntityID' TEXT NOT NULL, 'createdDate' INT DEFAULT ((strftime('%s', 'now')) * 1000), 'updatedDate' INT DEFAULT ((strftime('%s', 'now')) * 1000), 'folderDisplayName' TEXT NOT NULL, 'folderDisplayType' INTEGER NOT NULL, 'folderType' INTEGER NOT NULL, 'serviceEntityID' INTEGER NOT NULL, 'fileLimit' INTEGER NOT NULL, 'fileCount' INTEGER DEFAULT 0, 'initialValue' INTEGER NOT NULL, UNIQUE('socialNetworkUserEntityID', 'folderType', 'serviceEntityID', 'folderDisplayName', 'folderDisplayType', 'initialValue', 'fileLimit') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_FrontCoverUser'('baseID' TEXT DEFAULT '','entityID' TEXT, 'userEntityID' TEXT NOT NULL,'serviceType' TEXT NOT NULL,'timestamp' TEXT,PRIMARY KEY ('userentityid','servicetype'));
CREATE TABLE IF NOT EXISTS '_LibraryStats'('id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,  'baseID' TEXT DEFAULT '','entityID' TEXT NOT NULL, 'key' INTEGER NOT NULL, 'count' FLOAT DEFAULT 0, 'hiddenCount' FLOAT DEFAULT 0, 'socialNetworkUserEntityID' TEXT NOT NULL, 'updatedDate' INTEGER DEFAULT 0,UNIQUE('key', 'socialNetworkUserEntityID') ON CONFLICT REPLACE);
CREATE TABLE IF NOT EXISTS '_Media'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'mediaID' TEXT NOT NULL, 'mediaObjectID' TEXT, 'mediaObjectLikeID' TEXT, 'personEntityID' TEXT NOT NULL, 'locationEntityID' TEXT, 'imageFileEntityID' TEXT, 'createdDate' INTEGER DEFAULT 0, 'videoFileEntityID' TEXT, 'latitude' FLOAT DEFAULT 0, 'longitude' FLOAT DEFAULT 0, 'updatedDate' INTEGER DEFAULT 0, 'name' TEXT, 'type' INTEGER DEFAULT 0, 'originatorType' INTEGER DEFAULT 0, 'interestScore' INTEGER DEFAULT 0, 'link' TEXT, 'filter' TEXT, 'commentCount' INTEGER DEFAULT 0, 'likeCount' INTEGER DEFAULT 0, 'displayShortUrl' TEXT, 'displayUrlIndexStart' INTEGER DEFAULT 0, 'displayUrlIndexEnd' INTEGER DEFAULT 0, 'tagCount' INTEGER DEFAULT 0, 'taggedPeopleCount' INTEGER DEFAULT 0, 'cameraModelEntityID' TEXT, 'itemLicenceEntityID' TEXT, 'description' TEXT, UNIQUE('entityID') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_MediaAlbum'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'mediaAlbumID' TEXT NOT NULL, 'socialNetworkUserEntityID' TEXT NOT NULL, 'mediaAlbumObjectID' TEXT, 'referenceEntityID' TEXT NOT NULL, 'referenceEntityType' INTEGER DEFAULT 0, 'mediaEntityID' TEXT, 'name' TEXT, 'description' TEXT, 'createdDate' INTEGER DEFAULT 0, 'itemCount' INTEGER DEFAULT 0, 'link' TEXT, 'location' TEXT, 'locationEntityID' TEXT, 'updatedDate' INTEGER DEFAULT 0, 'updatedDateMajor' INTEGER DEFAULT 0, 'type' INTEGER DEFAULT 0, UNIQUE('referenceEntityType', 'referenceEntityID', 'mediaAlbumID') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_Person'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'personID' TEXT NOT NULL, 'socialNetworkUserEntityID' TEXT NOT NULL, 'bio' TEXT, 'createdDate' INTEGER DEFAULT 0, 'referenceEntityID' TEXT NOT NULL, 'referenceEntityType' INTEGER DEFAULT 0, 'fileEntityID' TEXT, 'username' TEXT NOT NULL, 'firstname' TEXT NOT NULL, 'lastname' TEXT, 'followersCount' INTEGER DEFAULT 0, 'followingCount' INTEGER DEFAULT 0, 'isTheAccountOwner' INTEGER DEFAULT 0, 'isFollowingMe' INTEGER DEFAULT 0, 'isFollowedByMe' INTEGER DEFAULT 0, 'isFriend' INTEGER DEFAULT 0, 'updatedDate' INTEGER DEFAULT 0, 'email' TEXT, 'profileUrl' TEXT, 'isAppUser' INTEGER DEFAULT 0, 'birthday' TEXT, 'sex' TEXT, 'schoolInfo' TEXT, 'relationshipStatus' TEXT, 'political' TEXT, 'books' TEXT, 'religion' TEXT, 'affiliations' TEXT, 'activities' TEXT, 'educationHistory' TEXT, 'hometown' TEXT, 'music' TEXT, 'meetingFor' TEXT, 'meetingSex' TEXT, 'movies' TEXT, 'interests' TEXT, 'workCurrent' TEXT, 'workHistory' TEXT, 'tv' TEXT, 'quotes' TEXT, 'website' TEXT, 'timezone' TEXT, 'utcOffset' TEXT, 'isProfileProtected' INTEGER DEFAULT 0, 'servicePostCount' INTEGER DEFAULT 0, 'location' TEXT, 'latestPostSnippet' TEXT, 'recommendationCount' INTEGER DEFAULT 0, 'specialities' TEXT, 'honours' TEXT, 'country' TEXT, 'degreeOfSeparation' INTEGER DEFAULT 0, 'proposalComments' TEXT, 'tagline' TEXT, 'language' TEXT, 'isPremium' INTEGER DEFAULT 0, 'isPage' INTEGER DEFAULT 0, 'lastCheckedDate' INTEGER DEFAULT 0, UNIQUE('referenceEntityID', 'referenceEntityType', 'personID') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_Post'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'postID' TEXT NOT NULL, 'socialNetworkUserEntityID' TEXT NOT NULL, 'referenceEntityID' TEXT NOT NULL, 'referenceEntityType' INTEGER DEFAULT 0, 'personEntityID' TEXT NOT NULL, 'createdDate' INTEGER DEFAULT 0, 'postEntityID' TEXT, 'postReplyCount' INTEGER DEFAULT 0, 'postUrl' TEXT, 'text' TEXT, 'title' TEXT, 'updatedDate' INTEGER DEFAULT 0, 'type' INTEGER DEFAULT 0, 'latitude' FLOAT DEFAULT 0, 'longitude' FLOAT DEFAULT 0, 'source' TEXT, 'rawText' TEXT, 'isShared' INTEGER DEFAULT 0, 'shareCount' INTEGER DEFAULT 0, 'isTruncated' INTEGER DEFAULT 0, 'isFavourited' INTEGER DEFAULT 0, 'commentCount' INTEGER DEFAULT 0, 'likeCount' INTEGER DEFAULT 0, 'favouriteCount' INTEGER DEFAULT 0, 'annotation' TEXT, 'originalCrossPostID' TEXT, 'originalPostID' TEXT, 'originalPostUrl' TEXT, 'isCommentable' INTEGER DEFAULT 0, 'isLikeable' INTEGER DEFAULT 0, 'visibility' TEXT, 'viewCount' INTEGER DEFAULT 0, UNIQUE('referenceEntityType', 'referenceEntityID', 'postID') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_Relationship'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'relationshipID' TEXT, 'socialNetworkUserEntityID' TEXT NOT NULL, 'referenceEntityID' TEXT NOT NULL, 'referenceEntityType' INTEGER DEFAULT 0, 'childReferenceEntityID' TEXT NOT NULL, 'childReferenceEntityType' INTEGER DEFAULT 0, 'relationshipGroupID' TEXT, 'createdDate' INTEGER DEFAULT 0, 'originalAttachmentID' TEXT, UNIQUE('socialNetworkUserEntityID', 'referenceEntityID', 'referenceEntityType', 'childReferenceEntityID', 'childReferenceEntityType', 'relationshipGroupID') ON CONFLICT IGNORE);
CREATE TABLE IF NOT EXISTS '_SocialNetworkUser'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'userID' TEXT NOT NULL, 'serviceEntityID' INTEGER NOT NULL, 'associatedUserID' TEXT, 'socialNetworkUserEntityID' TEXT, 'childReferenceEntityID' TEXT, 'childReferenceEntityType' INTEGER DEFAULT 0, 'firstname' TEXT, 'lastname' TEXT, 'username' TEXT, 'fileDisplayName' TEXT, 'createdDate' INTEGER DEFAULT 0, 'enabled' INTEGER DEFAULT 0, 'selected' INTEGER DEFAULT 0, 'fileEntityID' TEXT, 'lastSyncDate' INTEGER DEFAULT 0, 'currentFanCount' INTEGER DEFAULT 0, 'originalFanCount' INTEGER DEFAULT 0, 'profileUrl' TEXT, 'type' INTEGER DEFAULT 0, 'email' TEXT, 'additionalUrl' TEXT, 'description' TEXT, 'privatePersonCount' INTEGER DEFAULT 0, 'feedBegin' TEXT, 'feedEnd' TEXT, UNIQUE('serviceEntityID', 'userID') ON CONFLICT IGNORE);

CREATE TABLE IF NOT EXISTS '_Collection'( 'id' INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 'baseID' TEXT DEFAULT '','entityID' TEXT, 'collectionID' TEXT, 'name' TEXT NOT NULL, 'createdDate' INTEGER, 'updatedDate' INTEGER, 'isHidden' INTEGER DEFAULT 0, 'numberItems' INTEGER DEFAULT 0, 'userCreated' INTEGER DEFAULT 1, UNIQUE('name') ON CONFLICT IGNORE );

CREATE TABLE IF NOT EXISTS '_Widgets'( 'baseid' TEXT UNIQUE ON CONFLICT REPLACE DEFAULT '', 'entityid' TEXT, 'widgetindex' INTEGER, 'widgettype' INTEGER, 'rollingdatetype' INTEGER DEFAULT 0, 'createddate' INTEGER DEFAULT (strftime('%s', 'now') * 1000), 'updateddate' INTEGER DEFAULT 0, 'hasupdates' INTEGER DEFAULT 0 ); 
CREATE TABLE IF NOT EXISTS '_WidgetFilter'( 'baseid' TEXT UNIQUE ON CONFLICT REPLACE DEFAULT '', 'entityid' TEXT, 'widgetid' TEXT, 'referenceentityid' TEXT, 'referenceentitytype' INTEGER ); 
CREATE TABLE IF NOT EXISTS '_WidgetDateRange'( 'baseid' TEXT UNIQUE ON CONFLICT REPLACE DEFAULT '', 'entityid' TEXT, 'widgetid' TEXT, 'startdate' INTEGER DEFAULT 0, 'enddate' INTEGER DEFAULT 0 );