DROP TABLE IF EXISTS ___FacebookDataTemp; 

CREATE TABLE IF NOT EXISTS "___FacebookDataTemp"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"ownerid" TEXT, 
	"joinid" TEXT, 
	"objectid" TEXT, 
	"pid" TEXT, 
	"created" TEXT, 
	"referencetype" INTEGER, 
	"parentreferencetype" INTEGER); 
	
DROP TABLE IF EXISTS ___TableCountsTemp;
CREATE TABLE IF NOT EXISTS "___TableCountsTemp"
(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, 
	"tablename" INTEGER,
	"count" INTEGER,
	"field1" TEXT DEFAULT NULL,
	"field2" TEXT DEFAULT NULL,
	"field3" TEXT DEFAULT NULL
);
CREATE INDEX "columnIndex" ON "___TableCountsTemp" ("tablename", "count", "field1");

#DISABLE_BATCHING# 
INSERT INTO ___TableCountsTemp(tablename,count,field1,field2,field3)
SELECT 1, COUNT(*) AS count, ownerid, aid, created FROM (SELECT ownerid, aid, created FROM main.photo ORDER BY created DESC) GROUP BY ownerid, aid;

#DISABLE_BATCHING# 
INSERT INTO ___TableCountsTemp(tablename,count,field1,field2)
SELECT 5, COUNT(*) AS count, ownerid, photoid FROM main.instagramphoto GROUP BY ownerid;

#DISABLE_BATCHING# 
INSERT INTO ___TableCountsTemp(tablename,count,field1)
SELECT 3, COUNT(*) AS count, postid FROM main.comment GROUP BY postid;

#DISABLE_BATCHING# 
INSERT INTO ___TableCountsTemp(tablename,count,field1)
SELECT 2, COUNT(*) AS count, objectid FROM main.likes GROUP BY objectid; 

#DISABLE_BATCHING# 
INSERT INTO ___TableCountsTemp(tablename,count,field1)
SELECT 4, COUNT(*) AS count, photoid FROM (SELECT friendid, photoid FROM main.tags GROUP BY photoid, friendid) GROUP BY photoid;
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype FROM 
	(
		SELECT rowid, ownerid AS ownerid, noteid AS joinid, noteid AS objectid, NULL AS pid, created AS created, 2 AS referencetype, 15 AS parentreferencetype from main.note 
		GROUP BY joinid 
	) @rowid@; 
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT ownerid, joinid, objectid, pid, created, referencetype, parentreferencetype FROM 
	(
		SELECT rowid, COALESCE(ownerid, owner, '') AS ownerid, objectidforlike AS joinid, objectidforlike AS objectid, pid AS pid, created AS created, 1 AS referencetype, 15 AS parentreferencetype from main.photo 
		GROUP BY joinid
	) @rowid@;
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT ownerid, joinid, objectid, pid, created, referencetype, parentreferencetype FROM 
	(
		SELECT rowid, COALESCE(ownerid, owner, '') AS ownerid, objectid AS joinid, objectidforlike AS objectid, pid AS pid, created AS created, 1 AS referencetype, 15 AS parentreferencetype from main.photo 
		GROUP BY joinid
	) @rowid@;
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT ownerid, joinid, objectid, pid, created, referencetype, parentreferencetype FROM 
	(
		SELECT rowid, ownerid AS ownerid, postid AS joinid, postid AS objectid, NULL AS pid, created AS created, 2 AS referencetype, 15 AS parentreferencetype from main.post 
		GROUP BY joinid
	) @rowid@;
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype FROM
	(
		SELECT rowid, pageid AS ownerid, checkinid AS joinid, checkinid AS objectid, NULL AS pid, created AS created, 6 AS referencetype, 15 AS parentreferencetype from main.checkin 
		GROUP BY joinid 
	) @rowid@;
	
INSERT INTO ___FacebookDataTemp (ownerid,joinid,objectid,pid,created,referencetype,parentreferencetype) 
	SELECT parent.ownerid AS ownerid, comment.commentid AS joinid, comment.commentid AS objectid, NULL AS pid, comment.created AS created, 7 AS referencetype, parent.referencetype AS parentreferencetype FROM main.comment AS comment 
	JOIN main.___FacebookDataTemp AS parent ON comment.postid = parent.joinid 
	GROUP BY joinid; 

INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,associateduserid,originalfancount,currentfancount,profileurl,type,email) 
	SELECT 
		entityID, 
		serviceEntityID, 
		userid, 
		enabled,  
		selected, 
		fileEntityID, 
		lastsyncdate, 
		firstname, 
		lastname,
		case when replace(username, "profile.php?id=", "")=userid then firstname||" "||lastName else username end as userid, 
		case when replace(fileDisplayName, "profile.php?id=", "")=userid then firstname||" "||lastName else fileDisplayName end as fileDisplayName, 
		createddate, 
		associateduserid, 
		originalfancount, 
		currentfancount, 
		profileurl, 
		type, 
		email 
	FROM ( 
		SELECT 
			 CASE WHEN type = 'page' COLLATE NOCASE THEN "2_"||user.userid ELSE "1_"||user.userid END as entityID, 
			 CASE WHEN type = 'page' COLLATE NOCASE THEN 2 ELSE 1 END AS serviceEntityID, 
			 user.userid AS userid, 
			 1 AS enabled, 
			 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
			 picturedefault AS fileEntityID, 
			 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
			 CASE WHEN profile.firstname IS NULL THEN replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') ELSE profile.firstname END AS firstname,  
			 CASE WHEN profile.lastname IS NULL THEN CASE WHEN trim(substr(user.name, length(replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(user.name))) = '' THEN NULL ELSE trim(substr(user.name, length(replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(user.name))) END ELSE profile.lastname END AS lastname, 
			 
			 CASE WHEN profile.username IS NULL THEN user.name ELSE 
			 case when user.type = 'page' and length(profile.username) - length(replace(profile.username, '/pages/', '')) > 0 
				then replace(replace(profile.username, '/'||replace(profile.username, rtrim(profile.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), ''), ''), rtrim(replace(profile.username, '/'||replace(profile.username, rtrim(profile.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), ''), ''), '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '') 
				else replace(profile.username, rtrim(profile.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '') 
			 end END AS username,  
			 
			 case when type = 'page' collate nocase then 
				replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') 
			 else 
				case when profile.username is null 
					then 
						CASE WHEN profile.firstname IS NULL 
							THEN replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') 
							ELSE profile.firstname 
							END||" "|| 
						CASE WHEN profile.lastname IS NULL 
						THEN CASE WHEN trim(substr(user.name, length(replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(user.name))) = '' 
							THEN NULL 
							ELSE trim(substr(user.name, length(replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(user.name))) 
							END 
						END 
					ELSE replace(profile.username, rtrim(profile.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '') 
					end 
			 end AS fileDisplayName, 
			 
			 CAST(profile.createddate as integer) * 1000 AS createddate, 
			 coalesce("1_"||pageadmin.adminid, pageadmin.adminid) AS associateduserid, 
			 pagefancount.firstdownloadfancount AS originalfancount, 
			 pagefancount.fancount AS currentfancount, 
			 user.profileurl AS profileurl, 
			 CASE WHEN type = 'account for page' COLLATE NOCASE THEN 1 ELSE 0 END AS type, 
			 profile.email AS email 
		FROM main.user AS user 
		LEFT JOIN ( 
			SELECT userid, modified AS createddate, email, profileurl AS username, firstname, lastname FROM profile 
			UNION 
			SELECT pageid AS userid, modified AS createddate, NULL AS email, pageurl AS username, NULL AS firstname, NULL AS lastname FROM page 
		) AS profile ON user.userid = profile.userid 
		LEFT JOIN pageadmin ON user.userid = pageadmin.pageid 	 
		LEFT JOIN pagefancount ON user.userid = pagefancount.pageid
	); 
	
INSERT INTO _SocialNetworkUser (entityID,userID,serviceEntityID,socialNetworkUserEntityID,childReferenceEntityID,childReferenceEntityType,username,fileDisplayName,createdDate,enabled,selected,fileEntityID,profileurl,type) 
	SELECT 
		2 || '_' || user.userid || '_' || event.eid AS entityID, 
		CAST(event.eid as integer) AS userID, 
		2 AS serviceEntityID, 
		2 || '_' || user.userid AS socialNetworkUserEntityID, 
		2 || '_' || user.userid || '_' || event.eid || '_' || event.eid AS childReferenceEntityID, 
		5 AS childReferenceEntityType, 
		event.name AS username, 
		event.name AS fileDisplayName, 
		CAST(event.updatetime as integer) * 1000 AS createdDate, 
		1 AS enabled, 
		1 AS selected, 
		event.picbig AS fileEntityID, 
		'https://www.facebook.com/events/' || event.eid AS profileUrl, 
		2 AS type 
	FROM main.facebookevent AS event 
	JOIN main.user AS user ON user.userid = event.ownerid; 
	 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type) 
	SELECT 
		 "3_"||user.twitter_id as entityID, 
		 3 AS serviceEntityID, 
		 user.twitter_id AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.profileimage AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 CASE WHEN profile.name IS NULL THEN user.name ELSE replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS firstname,  
		 CASE WHEN replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = profile.name THEN NULL ELSE replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		 CASE WHEN profile.name IS NULL THEN user.name ELSE profile.screenname END AS username, 
		 CASE WHEN profile.name IS NULL THEN user.name ELSE profile.screenname END AS fileDisplayName, 
		 CAST(profile.createdat as integer) * 1000 AS createddate, 
		 'https://twitter.com/' || profile.screenname AS profileurl, 
		 0 AS type 
	FROM main.twitteruser AS user 
	LEFT JOIN twitterprofile AS profile ON user.twitter_id = profile.twitter_id; 
 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type) 
	SELECT 
		 "4_"||user.userid as entityID, 
		 4 AS serviceEntityID, 
		 user.userid AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.profilepicture AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 CASE WHEN profile.fullname IS NULL THEN user.username ELSE replace(profile.fullname, ltrim(profile.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS firstname, 
		 CASE WHEN replace(profile.fullname, rtrim(profile.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = profile.fullname THEN NULL ELSE replace(profile.fullname, rtrim(profile.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		 user.username AS username, 
		 user.username AS fileDisplayName, 
		 CAST(profile.created as integer) * 1000 AS createddate, 
		 'https://instagram.com/' || user.username AS profileurl, 
		 0 AS type 
	FROM main.instagramuser AS user 
	LEFT JOIN instagramprofile AS profile ON user.userid = profile.ownerid; 
 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type) 
	SELECT 
		 "5_"||user.userid as entityID, 
		 5 AS serviceEntityID, 
		 user.userid AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.profilepic AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 replace(user.username, ltrim(user.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname,  
		 CASE WHEN replace(user.username, rtrim(user.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = user.username THEN NULL ELSE replace(user.username, rtrim(user.username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		 CASE WHEN profile.displayname IS NULL THEN user.username ELSE profile.displayname END AS username, 
		 CASE WHEN profile.displayname IS NULL THEN user.username ELSE profile.displayname END AS fileDisplayName, 
		 CAST(profile.createdat as integer) * 1000 AS createddate, 
		 profile.url AS profileurl, 
		 0 AS type 
	FROM main.googleplususer AS user 
	LEFT JOIN main.googleplusprofile AS profile ON user.userid = profile.ownerid; 
 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type,email,privatePersonCount) 
	SELECT 
		 "6_"||user.userid as entityID, 
		 6 AS serviceEntityID, 
		 user.userid AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.profileimage AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 CASE WHEN profile.firstname IS NULL THEN replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') ELSE profile.firstname END AS firstname,  
		 profile.lastname AS lastname, 
		 usernames.username AS username, 
		 user.name AS fileDisplayName, 
		 CAST(profile.createdat as integer) * 1000 AS createddate, 
		 user.profileurl AS profileurl, 
		 0 AS type, 
		 user.emailaddress AS email, 
		 CASE WHEN privateContact.count IS NULL THEN 0 ELSE privateContact.count END AS privatePersonCount 
	FROM main.linkedinuser AS user 
	LEFT JOIN linkedinprofile AS profile ON user.userid = profile.ownerid 
	LEFT JOIN linkedinprivatecontacts AS privateContact ON user.userid = privateContact.ownerid 
	join ( 
		select 
			userid, 
			replace(username, ltrim(username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as username 
		from ( 
			select                   
				user.userid, 
				replace(replace(user.profileurl, 'http://www.linkedin.com/in/', ''), 'http://www.linkedin.com/pub/', '') as username                
			from                    
			linkedinuser as user 
		) 
	) as usernames on usernames.userid = user.userid; 
	 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type) 
	SELECT 
		 "7_"||user.userid as entityID, 
		 7 AS serviceEntityID, 
		 user.userid AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.pictureurl AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 CASE WHEN profile.first_name IS NULL THEN replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') ELSE profile.first_name END AS firstname,  
		 profile.last_name AS lastname, 
		 CASE WHEN profile.nickname IS NULL THEN user.name ELSE profile.nickname END AS username, 
		 CASE WHEN profile.nickname IS NULL THEN user.name ELSE profile.nickname END AS fileDisplayName, 
		 CAST(profile.updated_time as integer) * 1000 AS createddate, 
		 user.profileurl AS profileurl, 
		 0 AS type 
	FROM main.viadeouser AS user 
	LEFT JOIN viadeoprofile AS profile ON user.userid = profile.userid; 
	
INSERT INTO _SocialNetworkUser (entityID,userID,serviceEntityID,socialNetworkUserEntityID,childReferenceEntityID,childReferenceEntityType,username,fileDisplayName,createdDate,enabled,selected,profileurl,type) 
	SELECT 
		7 || '_' || user.userid || '_' || forum.forumid AS entityID, 
		forum.forumid AS userID, 
		7 AS serviceEntityID, 
		7 || '_' || user.userid AS socialNetworkUserEntityID, 
		7 || '_' || user.userid || '_' || forum.forumid || '_' || forum.forumid AS childReferenceEntityID, 
		5 AS childReferenceEntityType, 
		forum.name AS username, 
		forum.name AS fileDisplayName, 
		CAST(forum.updated_time AS integer) * 1000 AS createdDate, 
		1 AS enabled, 
		1 AS selected, 
		forum.link AS profileUrl, 
		3 AS type 
	FROM main.viadeoforum AS forum 
	JOIN main.viadeouser AS user ON user.userid = forum.ownerid; 
		 
INSERT INTO _SocialNetworkUser (entityID,serviceEntityID,userid,enabled,selected,fileEntityID,lastsyncdate,firstname,lastname,username,fileDisplayName,createddate,profileurl,type,additionalurl,description,feedBegin,feedEnd) 
	SELECT 
		 CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN "9_"||user.rssid ELSE "8_"||user.rssid END as entityID, 
		 CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN 9 ELSE 8 END AS serviceEntityID, 
		 cast(user.rssid AS text) AS userid, 
		 1 AS enabled, 
		 CASE WHEN selected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS selected, 
		 user.imageurl AS fileEntityID, 
		 CASE WHEN user.lastsynctime = '' OR user.lastsynctime IS NULL THEN 0 ELSE CAST(user.lastsynctime as integer) * 1000 END AS lastsyncdate, 
		 replace(user.title, ltrim(user.title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname,  
		 CASE WHEN replace(user.title, rtrim(user.title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = user.title THEN NULL ELSE replace(user.title, rtrim(user.title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		 user.title AS username, 
		 user.title AS fileDisplayName, 
		 CASE WHEN profile.created IS NULL THEN 0 ELSE CAST(profile.created as integer) * 1000 END AS createddate, 
		 user.link AS profileurl, 
		 0 AS type, 
		 user.rsslink AS additionalurl, 
		 CASE WHEN user.description = '' THEN null ELSE user.description END AS description, 
		 CASE WHEN profile.original IS NULL OR profile.original = '' THEN NULL ELSE profile.original END AS feedBegin, 
		 CASE WHEN profile.original IS NULL OR profile.original = '' THEN NULL ELSE profile.original END AS feedEnd 
	FROM main.rss AS user 
	LEFT JOIN main.rssfeed AS profile ON user.rssid = profile.rssid; 
	 
INSERT INTO _MediaAlbum (entityID,socialNetworkUserEntityID,mediaAlbumID,mediaAlbumObjectID,referenceEntityID,referenceEntityType,mediaEntityID,name,description,createdDate,itemCount,link,location,updatedDate,updatedDateMajor,type) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || album.ownerid || "_" || CASE WHEN album.aid = "0" THEN album.ownerid || '_' || album.aid ELSE album.aid END AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || album.ownerid AS socialNetworkUserEntityID, 
		CASE WHEN album.aid = "0" THEN album.ownerid || '_' || album.aid ELSE album.aid END AS mediaAlbumID, 
		album.objectid AS mediaAlbumObjectID, 
		case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_"||album.ownerid else "1_"||album.ownerid end AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN photo.objectidforlike = '' THEN NULL ELSE "10_" || photo.objectidforlike END AS mediaEntityID, 
		album.name AS name, 
		CASE WHEN album.description = '' THEN null ELSE album.description END AS description, 
		CASE WHEN album.created = '' OR album.created IS NULL THEN CAST(countJoin.created as integer) * 1000 ELSE CAST(album.created as integer) * 1000 END AS createdDate, 
		CASE WHEN album.size = '' OR album.size IS NULL THEN CASE WHEN countJoin.count IS NULL THEN 0 ELSE countJoin.count END ELSE album.size END AS itemCount, 
		CASE WHEN album.link = '' THEN null ELSE album.link END AS link, 
		CASE WHEN album.location = '' THEN null ELSE album.location END AS location, 
		CASE WHEN album.modified = '' OR album.modified IS NULL THEN 0 ELSE CAST(album.modified as integer) * 1000 END AS updatedDate, 
		CASE WHEN album.modifiedmajor = '' OR album.modifiedmajor IS NULL THEN 0 ELSE CAST(album.modifiedmajor as integer) * 1000 END AS updatedDateMajor, 
		CASE WHEN album.aid = "0" THEN 2 ELSE 1 END AS type 
	FROM main.album AS album 
	LEFT JOIN ( 
	   SELECT count, field1 as ownerid, field2 as aid, field3 as created FROM ___TableCountsTemp WHERE tablename = 1
	) AS countJoin ON album.aid = countJoin.aid AND album.ownerid = countJoin.ownerid 
      left join main.photo as photo on photo.pid = album.coverpid 
	left join main.user as user on album.ownerid = user.userid 
	group by entityid; 
	 
INSERT INTO _MediaAlbum (entityID,socialNetworkUserEntityID,mediaAlbumID,referenceEntityID,referenceEntityType,mediaEntityID,name,createdDate,itemCount,type) 
	SELECT 
		"4_" || user.userid || '_' || user.userid || '_' || 1 as entityID, 
		"4_" || user.userid AS socialNetworkUserEntityID, 
		user.userid || '_' || 1 AS mediaAlbumID, 
		"4_"||user.userid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"4_" || user.userid || '_' || joined.photoid AS mediaEntityID, 
		'All media' AS name, 
		CASE WHEN oldestPhoto.createdtime IS NULL OR oldestPhoto.createdtime = '' THEN 0 ELSE CAST(oldestPhoto.createdtime as integer) * 1000 END AS createdDate, 
		CASE WHEN joined.count IS NULL THEN 0 ELSE joined.count END AS itemCount, 
		3 AS type 
	FROM main.instagramuser AS user 
	LEFT JOIN (SELECT count, field1 AS ownerid, field2 AS photoid FROM ___TableCountsTemp WHERE tablename = 5) AS joined ON user.userid = joined.ownerid  
	LEFT JOIN (SELECT ownerid, createdtime FROM (SELECT ownerid, createdtime FROM main.instagramphoto ORDER BY createdtime DESC) GROUP BY ownerid) AS oldestPhoto ON user.userid = oldestPhoto.ownerid; 
	 
INSERT INTO _MediaAlbum (entityID,socialNetworkUserEntityID,mediaAlbumID,referenceEntityID,referenceEntityType,name,type) 
	SELECT     
		serviceEntityID || '_' || userid || '_' ||  userid || '_' || coalesce(albType,2) as entityID, 
		serviceEntityID || '_' || userid AS socialNetworkUserEntityID, 
		userid || '_' || coalesce(albType,2) AS mediaAlbumID,    
		serviceEntityID || "_" || userid AS referenceEntityID, 
		15 AS referenceEntityType,  
		COALESCE (name, 'All media') AS name, 
		coalesce(type, 4) AS type 
	FROM ( 
		SELECT type, albType, name, userid, serviceEntityID FROM ( 
			SELECT 7 as type, 4 as albType, 'Messages Media' as name, userid, CASE WHEN type = 'page' COLLATE NOCASE THEN 2 ELSE 1 END AS serviceEntityID FROM main.user  
			UNION ALL 
			SELECT 6, 5, 'Notes Attachments', userid, CASE WHEN type = 'page' COLLATE NOCASE THEN 2 ELSE 1 END AS serviceEntityID FROM main.user  
			UNION ALL 
			SELECT null, null, null, twitter_id, 3 AS serviceEntityID FROM main.twitteruser  
			UNION ALL 
			SELECT null, null, null, userid, 7 FROM main.viadeouser  
			UNION ALL 
			SELECT null, null, null, userid, 6 FROM main.linkedinuser  
			UNION ALL 
			SELECT null, null, null, userid, 5 FROM main.googleplususer 
			UNION ALL       
			SELECT null, null, null, rssid, CASE WHEN type = 'typeBlog' COLLATE NOCASE THEN 8 ELSE 9 END AS serviceEntityID FROM main.rss 
		) 
	); 
	 
INSERT INTO _MediaAlbum (entityID,socialNetworkUserEntityID,mediaAlbumID,referenceEntityID,referenceEntityType,name,type) 
	SELECT 
		2 || '_' || ownerid || '_' || eid || '_' ||  eid || '_' || 3 as entityID, 
		2 || '_' || ownerid || '_' || eid AS socialNetworkUserEntityID, 
		eid || '_' || 3 AS mediaAlbumID, 
		2 || "_" || ownerid || '_' ||  eid AS referenceEntityID, 
		15 AS referenceEntityType, 
		COALESCE (name, 'Event') || ' Media' AS name, 
		5 AS type 
	FROM ( 
		SELECT name, eid, ownerid FROM main.facebookevent 
	); 
	 
INSERT INTO _Media (entityID,mediaID,link,mediaObjectID,mediaObjectLikeID,personEntityID,name,createdDate,updatedDate,imageFileEntityID,commentCount,likeCount,taggedPeopleCount,originatorType) 
	SELECT 
		10 || "_" || photo.objectidforlike AS entityID, 
		photo.objectidforlike AS mediaID, 
		photo.link AS link, 
		photo.pid AS mediaObjectID, 
		photo.objectidforlike AS mediaObjectLikeID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(user.userid, photo.ownerid, photo.owner, '') || "_" || photo.owner AS personEntityID, 
		CASE WHEN photo.caption = '' THEN null ELSE photo.caption END AS name, 
		CASE WHEN photo.created = '' OR photo.created IS NULL THEN 0 ELSE CAST(photo.created as integer) * 1000 END AS createdDate, 
		CASE WHEN photo.modified = '' OR photo.modified IS NULL THEN 0 ELSE CAST(photo.modified as integer) * 1000 END AS updatedDate, 
		photo.srcbig AS imageFileEntityID, 
		CASE WHEN commentCountJoin.count IS NULL THEN 0 ELSE commentCountJoin.count END AS commentCount,    
		CASE WHEN likeCountJoin.count IS NULL THEN 0 ELSE likeCountJoin.count END AS likeCount, 
		CASE WHEN tagJoin.count IS NULL THEN 0 ELSE tagJoin.count END AS taggedPeopleCount, 
		1 AS originatorType 
	FROM main.photo AS photo 
	LEFT JOIN ( 
		SELECT count, field1 AS postid FROM main.___TableCountsTemp WHERE tablename = 3
	) AS commentCountJoin ON photo.objectid = commentCountJoin.postid 
	LEFT JOIN ( 
		SELECT count, field1 AS objectid FROM main.___TableCountsTemp WHERE tablename = 2
	) AS likeCountJoin ON photo.objectidforlike = likeCountJoin.objectid 
	LEFT JOIN (    
	   SELECT count, field1 AS photoid FROM main.___TableCountsTemp WHERE tablename = 4
	) AS tagJoin ON photo.pid = tagJoin.photoid 
	LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
	LEFT JOIN main.user AS user ON user.userid = photo.ownerid OR user.userid = event.ownerid 
	WHERE personEntityID IS NOT NULL; 
 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(user.userid, photo.ownerid, photo.owner, '') || "_" AS entityid, 
		photo.srcbig AS link, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid AS socialNetworkUserEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN 2 ELSE 1 END AS serviceEntityID, 
		0 AS fileType, 
		2 AS fileDisplayType 
	FROM main.photo AS photo 
	LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
	LEFT JOIN main.user AS user ON photo.ownerid = user.userid OR event.ownerid = user.userid 
	WHERE photo.srcbig != ""; 
 
INSERT INTO _Relationship (socialNetworkUserEntityID,referenceEntityID,referenceEntityType,childReferenceEntityID,childReferenceEntityType) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(user.userid, photo.ownerid, photo.owner, '') || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END AS socialNetworkUserEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(user.userid, photo.ownerid, photo.owner, '') || "_" || 
         CASE WHEN event.eid IS NULL THEN 
              CASE WHEN photo.aid = "0" THEN COALESCE(photo.ownerid, photo.owner, '') || '_' || photo.aid ELSE photo.aid END 
         ELSE event.eid || '_' || event.eid || '_3' END AS referenceEntityID, 
		12 AS referenceEntityType, 
		10 || "_" || photo.objectidforlike AS childReferenceEntityID, 
		1 AS childReferenceEntityType 
	FROM main.photo AS photo 
	LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
	LEFT JOIN main.user AS user ON photo.ownerid = user.userid OR event.ownerid = user.userid; 
	 
INSERT INTO _Media (entityID,mediaID,link,personEntityID,name,createdDate,updatedDate,imageFileEntityID,videoFileEntityID,type,locationEntityID,filter,commentCount,likeCount,tagCount,originatorType) 
	SELECT 
		"4_" || photo.photoid AS entityID, 
		photo.photoid AS mediaID, 
		photo.link AS link, 
		"4_" || photo.ownerid || "_" || photo.ownerid AS personEntityID, 
		CASE WHEN photo.caption = '' THEN null ELSE photo.caption END AS name, 
		CASE WHEN photo.createdtime = '' OR photo.createdtime IS NULL THEN 0 ELSE CAST(photo.createdtime as integer) * 1000 END AS createdDate, 
		CASE WHEN photo.createdtime = '' OR photo.createdtime IS NULL THEN 0 ELSE CAST(photo.createdtime as integer) * 1000 END AS updatedDate, 
		photo.standardresurl AS imageFileEntityID, 
		CASE WHEN photo.videostandardresurl = '' THEN null ELSE photo.videostandardresurl END AS videoFileEntityID, 
		CASE WHEN photo.type = 'Video' COLLATE NOCASE THEN 1 ELSE 0 END AS type, 
		CASE WHEN photo.locationid = '' THEN null ELSE photo.locationid END AS locationEntityID, 
		photo.filter AS filter, 
		CASE WHEN commentCountJoin.count IS NULL THEN photo.commentcount ELSE MAX(commentCountJoin.count, photo.commentcount) END AS commentCount, 
		CASE WHEN likeCountJoin.count IS NULL THEN photo.likecount ELSE MAX(likeCountJoin.count, photo.likecount) END AS likeCount, 
		CASE WHEN tagJoin.count IS NULL THEN 0 ELSE tagJoin.count END AS tagCount, 
		2 AS originatorType 
	FROM main.instagramphoto AS photo 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, mediaid FROM main.instagramcomment GROUP BY mediaid 
	) AS commentCountJoin ON photo.photoid = commentCountJoin.mediaid 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, mediaid FROM main.instagramlike GROUP BY mediaid 
	) AS likeCountJoin ON photo.photoid = likeCountJoin.mediaid 
	LEFT JOIN (    
		SELECT COUNT(*) AS count, mediaid FROM main.instagramtag GROUP BY mediaid 
	) AS tagJoin ON photo.photoid = tagJoin.mediaid; 
 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"4_"||photo.ownerid||"_" as entityid, 
	photo.standardresurl as link, 
	"4_"||photo.ownerid as socialNetworkUserEntityID, 
	4 as serviceEntityID, 
	0 as fileType, 
	2 as fileDisplayType 
from main.instagramphoto AS photo 
where link != ""; 
 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"4_"||photo.ownerid||"_" as entityid, 
	photo.videostandardresurl as link, 
	"4_"||photo.ownerid as socialNetworkUserEntityID, 
	4 as serviceEntityID, 
	1 fileType, 
	0 as fileDisplayType 
from main.instagramphoto AS photo 
where type="video" 
and link != ""; 
 
INSERT INTO _Relationship (socialNetworkUserEntityID,referenceEntityID,referenceEntityType,childReferenceEntityID,childReferenceEntityType) 
	SELECT 
		"4_" || photo.ownerid AS socialNetworkUserEntityID, 
		"4_" || photo.ownerid || '_' || photo.ownerid || '_' || 1 AS referenceEntityID, 
		12 AS referenceEntityType, 
		"4_" || photo.photoid AS childReferenceEntityID, 
		1 AS childReferenceEntityType 
	FROM main.instagramphoto AS photo; 
	
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,text,title,updatedDate,rawText,type,isCommentable,isLikeable,commentCount,likeCount) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || post.ownerid || "_" || post.ownerid || "_" || post.noteid AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || post.ownerid AS socialNetworkUserEntityID, 
		post.ownerid || "_" || post.noteid AS postID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || post.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.created = '' OR post.created IS NULL THEN 0 ELSE CAST(post.created as integer) * 1000 END AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || post.ownerid || "_" || post.ownerid  AS personEntityID, 
		post.content AS text, 
		post.title AS title, 
		CASE WHEN post.modified = '' OR post.modified IS NULL THEN 0 ELSE CAST(post.modified as integer) * 1000 END AS updatedDate, 
		post.contenthtml AS rawText, 
		3 AS type, 
		1 AS isCommentable, 
		1 AS isLikeable, 
		CASE WHEN commentCountJoin.count IS NULL THEN 0 ELSE CAST(commentCountJoin.count AS INTEGER) END AS commentCount, 
		CASE WHEN likeCountJoin.count IS NULL THEN 0 ELSE CAST(likeCountJoin.count AS INTEGER) END AS likeCount 
	FROM main.note AS post 
	LEFT JOIN ( 
		SELECT count, field1 AS postid FROM main.___TableCountsTemp WHERE tablename = 3
	) AS commentCountJoin ON post.noteid = commentCountJoin.postid 
	LEFT JOIN ( 
		SELECT count, field1 AS objectid FROM main.___TableCountsTemp WHERE tablename = 2
	) AS likeCountJoin ON post.noteid = likeCountJoin.objectid 
	left join main.user as user on user.userid = post.ownerid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,text,updatedDate,source,type,isCommentable,isLikeable,commentCount,likeCount) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END || "_" || post.postid AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END AS socialNetworkUserEntityID, 
		post.postid AS postID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NULL THEN "" ELSE "_" || event.eid END AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.created = '' OR post.created IS NULL THEN 0 ELSE CAST(post.created as integer) * 1000 END AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || post.actorid as personEntityID, 
		post.message AS text, 
		CASE WHEN post.modified = '' OR post.modified IS NULL THEN 0 ELSE CAST(post.modified as integer) * 1000 END AS updatedDate, 
		CASE WHEN post.source = '' THEN null ELSE post.source END AS source, 
		CASE WHEN post.targetid != '' THEN 2 ELSE 1 END AS type, 
		1 AS isCommentable, 
		1 AS isLikeable, 
		CASE WHEN commentCountJoin.count IS NULL THEN 0 ELSE CAST(commentCountJoin.count AS INTEGER) END AS commentCount, 
		CASE WHEN likeCountJoin.count IS NULL THEN 0 ELSE CAST(likeCountJoin.count AS INTEGER) END AS likeCount 
	FROM main.post AS post 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, postid FROM main.comment GROUP BY postid 
	) AS commentCountJoin ON post.postid = commentCountJoin.postid 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, objectid FROM main.likes GROUP BY objectid 
	) AS likeCountJoin ON post.postid = likeCountJoin.objectid 
	LEFT JOIN main.facebookevent AS event ON post.ownerid = event.eid 
	LEFT JOIN main.user as user on post.ownerid = user.userid or event.ownerid = user.userid 
	left join main.user as actorUser on post.actorid = actorUser.userid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,text,type,postEntityID,source,isShared,shareCount,isTruncated,isFavourited,postReplyCount) 
	SELECT 
		"3_" || post.ownerid || "_" || post.postid AS entityID, 
		"3_" || post.ownerid AS socialNetworkUserEntityID, 
		post.postid AS postID, 
		"3_" || post.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.created = '' OR post.created IS NULL THEN 0 ELSE CAST(post.created as integer) * 1000 END AS createdDate, 
		"3_" || post.ownerid || "_" || post.personid AS personEntityID, 
		post.text AS text, 
		CASE WHEN post.postType IS NULL THEN 0 ELSE CAST(post.postType AS INTEGER) END AS type, 
		CASE WHEN post.inreplytostatusid = '' THEN NULL ELSE post.inreplytostatusid END AS postEntityID, 
		post.source AS source, 
		CASE WHEN post.retweeted = 'false' COLLATE NOCASE THEN 0 ELSE 1 END AS isShared, 
		ABS(post.retweetedcount) AS shareCount, 
		CASE WHEN post.truncated = 'false' COLLATE NOCASE THEN 0 ELSE 1 END AS isTruncated, 
		CASE WHEN post.favorited = 'false' COLLATE NOCASE THEN 0 ELSE 1 END AS isFavourited, 
		CASE WHEN joined.count IS NULL THEN 0 ELSE CAST(joined.count AS INTEGER) END AS postReplyCount 
	FROM (
		SELECT 
			CASE WHEN favourite.user_id IS NOT NULL AND mention.user_id IS NOT NULL AND tweet.user_id IS NOT NULL THEN 18 
				 WHEN mention.user_id IS NOT NULL AND tweet.user_id IS NOT NULL THEN 17 
				 WHEN favourite.user_id IS NOT NULL AND mention.user_id IS NOT NULL THEN 16 
				 WHEN favourite.user_id IS NOT NULL AND tweet.user_id IS NOT NULL THEN 15 
				 WHEN favourite.user_id IS NOT NULL THEN 6 
				 WHEN mention.user_id IS NOT NULL THEN 5 
				 WHEN tweet.user_id IS NOT NULL THEN 4 
			END AS postType, 
			post.* 
		FROM (
			SELECT tweet_id AS postid, tweeter_id AS personid, user_id AS ownerid, tweet AS text, source AS source, createdat AS created, retweeted AS retweeted, retweetedcount AS retweetedcount, inreplytouserid AS inreplytouserid, inreplytostatusid AS inreplytostatusid, favorited AS favorited, truncated AS truncated, NULL AS mentionerscreenname, NULL AS mentionerprofileimage FROM main.TwitterFavourite 
			UNION ALL 
			SELECT mention_id AS postid, mentioner_id AS personid, user_id AS ownerid, mention AS text, source AS source, createdat AS created, 'false' AS retweeted, 0 AS retweetedcount, inreplytouserid AS inreplytouserid, inreplytostatusid AS inreplytostatusid, 'false' AS favorited, 'false' AS truncated, mentionerscreenname AS mentionerscreenname, mentionerprofileimage AS mentionerprofileimage FROM main.TwitterMention 
			UNION ALL 
			SELECT tweet_id AS postid, user_id AS personid, user_id AS ownerid, tweet AS text, source AS source, createdat AS created, retweeted AS retweeted, retweetedcount AS retweetedcount, inreplytouserid AS inreplytouserid, inreplytostatusid AS inreplytostatusid, favorited AS favorited, truncated AS truncated, NULL AS mentionerscreenname, NULL AS mentionerprofileimage FROM main.TwitterTweet 
		) AS post 
		LEFT JOIN main.TwitterFavourite AS favourite ON post.ownerid = favourite.user_id AND post.postid = favourite.tweet_id 
		LEFT JOIN main.TwitterMention AS mention ON post.ownerid = mention.user_id AND post.postid = mention.mention_id 
		LEFT JOIN main.TwitterTweet AS tweet ON post.ownerid = tweet.user_id AND post.postid = tweet.tweet_id 
		GROUP BY post.ownerid, post.postid 
	) AS post 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, inreplytostatusid FROM ( 
			SELECT inreplytostatusid FROM main.twitterfavourite 
			UNION ALL 
			SELECT inreplytostatusid FROM main.twittermention 
			UNION ALL 
			SELECT inreplytostatusid FROM main.twittertweet 
		) WHERE inreplytostatusid != '' GROUP BY inreplytostatusid  
	) AS joined ON post.postid = joined.inreplytostatusid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,postUrl,text,title,latitude,longitude,updatedDate,type,source,rawText,shareCount,commentCount,likeCount,annotation,originalCrossPostID,originalpostID,originalPostUrl) 
	SELECT 
		"5_" || post.ownerid || "_" || post.activityid AS entityID, 
		"5_" || post.ownerid AS socialNetworkUserEntityID, 
		post.activityid AS postID, 
		"5_" || post.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.published = '' OR post.published IS NULL THEN 0 ELSE CAST(post.published as integer) * 1000 END AS createdDate, 
		"5_" || post.ownerid || "_" || post.actorid AS personEntityID, 
		post.url AS postUrl, 
		post.content AS text, 
		post.title AS title, 
		CASE WHEN post.geocode = '' THEN 0 ELSE CAST(replace(post.geocode, ltrim(post.geocode, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS FLOAT) END AS latitude, 
		CASE WHEN post.geocode = '' THEN 0 ELSE CAST(replace(post.geocode, rtrim(post.geocode, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS FLOAT) END AS longitude, 
		CASE WHEN post.updated IS NULL OR post.updated = '' THEN 0 ELSE CAST(post.updated AS INTEGER) * 1000 END AS updatedDate, 
		CASE WHEN post.verb = 'post' COLLATE NOCASE THEN 7 ELSE 8 END AS type,  
		post.provider AS source, 
		CASE WHEN post.originalcontent = '' THEN null ELSE post.originalcontent END AS rawText, 
		CASE WHEN post.resharerstotal IS NULL THEN 0 ELSE CAST(post.resharerstotal AS INTEGER) END AS shareCount, 
		CASE WHEN post.repliestotal IS NULL THEN 0 ELSE CAST(post.repliestotal AS INTEGER) END AS commentCount, 
		CASE WHEN post.plusonerstotal IS NULL THEN 0 ELSE CAST(post.plusonerstotal AS INTEGER) END AS likeCount, 
		CASE WHEN post.annotation = '' THEN null ELSE post.annotation END AS annotation, 
		CASE WHEN post.crosspostsource = '' THEN null ELSE post.crosspostsource END AS originalCrossPostID, 
		CASE WHEN post.objectid = '' THEN null ELSE post.objectid END AS originalpostID, 
		post.objecturl AS originalPostUrl 
	FROM main.googleplusactivity AS post; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,text,type,source,likeCount,isCommentable,isLikeable,commentCount,visibility) 
	SELECT 
		"6_" || post.ownerid || "_" || post.networkupdateid AS entityID, 
		"6_" || post.ownerid AS socialNetworkUserEntityID, 
		post.networkupdateid AS postID, 
		"6_" || post.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.created = '' OR post.created IS NULL THEN 0 ELSE CAST(post.created AS INTEGER) * 1000 END AS createdDate, 
		"6_" || post.ownerid || "_" || post.authorid AS personEntityID, 
		post.comment AS text, 
		CASE WHEN post.type IS NULL OR post.type != 'SHAR' COLLATE NOCASE THEN 10 ELSE 9 END AS type, 
		CASE WHEN post.application = '' THEN null ELSE post.application END AS source, 
		CASE WHEN post.numlikes IS NOT NULL THEN CAST(post.numlikes AS INTEGER) ELSE 0 END AS likeCount, 
		CASE WHEN post.iscommentable = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS isCommentable, 
		CASE WHEN post.islikeable = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS isLikeable, 
		CASE WHEN commentCountJoin.count IS NULL THEN 0 ELSE CAST(commentCountJoin.count AS INTEGER) END AS commentCount, 
		CASE WHEN visibility = '' THEN NULL ELSE visibility END AS visibility 
	FROM main.linkedinnetworkupdate AS post 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, networkupdateid FROM main.linkedincomment GROUP BY networkupdateid 
	) AS commentCountJoin ON post.networkupdateid = commentCountJoin.networkupdateid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,postUrl,text,title,type,rawText) 
	SELECT 
		CASE WHEN rssUser.type = "typePinterest" COLLATE NOCASE THEN "9_" ELSE "8_" END || post.rssid || "_" || post.rssfeeditemid AS entityID, 
		CASE WHEN rssUser.type = "typePinterest" COLLATE NOCASE THEN "9_" ELSE "8_" END || post.rssid AS socialNetworkUserEntityID, 
		post.rssfeeditemid AS postID, 
		CASE WHEN rssUser.type = "typePinterest" COLLATE NOCASE THEN "9_" ELSE "8_" END || post.rssid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.created = '' OR post.created IS NULL THEN 0 ELSE CAST(post.created as integer) * 1000 END AS createdDate, 
		CASE WHEN rssUser.type = "typePinterest" COLLATE NOCASE THEN "9_" ELSE "8_" END || post.rssid || "_" || post.rssid as personEntityID, 
		post.link AS postUrl, 
		post.description AS text, 
		CASE WHEN post.title = '' THEN null ELSE post.title END AS title, 
		11 AS type, 
		post.original AS rawText 
	FROM main.rssfeeditem AS post 
	left join main.rss as rssUser on post.rssid = rssUser.rssid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,createdDate,personEntityID,postUrl,text,type,commentCount,likeCount) 
	SELECT 
		"7_" || post.ownerid || "_" || post.newsitemid AS entityID, 
		"7_" || post.ownerid AS socialNetworkUserEntityID, 
		post.newsitemid AS postID, 
		"7_" || post.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN post.updated_time = '' OR post.updated_time IS NULL THEN 0 ELSE CAST(post.updated_time as integer) * 1000 END AS createdDate, 
		"7_" || post.ownerid || "_" || post.ownerid AS personEntityID, 
		CASE WHEN post.link = '' THEN null ELSE post.link END AS postUrl, 
		post.message AS text, 
		CASE WHEN post.type = 'NEWS ITEM' COLLATE NOCASE THEN 12 ELSE 14 END AS type, 
		CASE WHEN commentCountJoin.count IS NULL THEN 0 ELSE CAST(commentCountJoin.count AS INTEGER) END AS commentCount, 
		CASE WHEN likeCountJoin.count IS NULL THEN 0 ELSE CAST(likeCountJoin.count AS INTEGER) END AS likeCount 
	FROM main.viadeonewsitems AS post 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, newsitemid FROM main.viadeocomments GROUP BY newsitemid 
	) AS commentCountJoin ON post.newsitemid = commentCountJoin.newsitemid 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, newsitemid FROM main.viadeolikes GROUP BY newsitemid 
	) AS likeCountJoin ON post.newsitemid = likeCountJoin.newsitemid; 
	 
INSERT INTO _Post (entityID,socialNetworkUserEntityID,postID,referenceEntityID,referenceEntityType,personEntityID,postUrl,text,title,createdDate,updatedDate,type,commentCount,viewCount) 
	SELECT 
		"7_" || forum.ownerid || '_' || forum.forumid || "_" || post.postID AS entityID, 
		"7_" || forum.ownerid || '_' || forum.forumid AS socialNetworkUserEntityID, 
		post.postID AS postID, 
		"7_" || forum.ownerid || "_" || post.forumid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"7_" || forum.ownerid || "_" || post.authorid AS personEntityID,     
		post.link AS postUrl,    
		post.message AS text,     
		CASE WHEN post.title = '' THEN null ELSE post.title END AS title, 
		CASE WHEN post.updated_time = '' OR post.updated_time IS NULL THEN 0 ELSE CAST(post.updated_time as integer) * 1000 END AS createdDate, 
		CASE WHEN post.updated_time = '' OR post.updated_time IS NULL THEN 0 ELSE CAST(post.updated_time as integer) * 1000 END AS updatedDate, 
		CASE WHEN post.type = 'GROUP MESSAGE' COLLATE NOCASE THEN 13 ELSE 14 END AS type, 
		CASE WHEN post.comment_count IS NULL THEN 0 ELSE CAST(post.comment_count AS INTEGER) END AS commentCount, 
		CASE WHEN post.view_count IS NULL THEN 0 ELSE CAST(post.view_count AS INTEGER) END AS viewCount 
	FROM main.viadeoforumpost AS post 
	JOIN main.viadeoforum AS forum ON post.forumid = forum.forumid; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,createdDate,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,isTheAccountOwner,isFriend,updatedDate,email,profileUrl,isAppUser,birthday,sex,schoolInfo,relationshipStatus,political,books,religion,affiliations,activities,educationHistory,hometown,music,meetingFor,meetingSex,movies,interests,workCurrent,workHistory,tv,quotes,website) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || person.ownerid || "_" || person.uid as entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || person.ownerid AS socialNetworkUserEntityID, 
		person.uid AS personID, 
		CASE WHEN person.aboutme = '' THEN null ELSE person.aboutme END AS bio, 
		CASE WHEN person.created = '' THEN 0 ELSE CAST(person.created as integer) * 1000 END AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || person.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.picbigwithlogo AS fileEntityID, 
		CASE WHEN person.username = '' THEN person.name ELSE person.username END AS username, 
		CASE WHEN person.firstname = '' THEN replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') ELSE person.firstname END AS firstname, 
		CASE WHEN person.lastname = '' THEN CASE WHEN trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) = '' THEN NULL ELSE trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) END ELSE person.lastname END AS lastname, 
		CASE WHEN person.uid = person.ownerid THEN 1 ELSE 0 END AS isTheAccountOwner, 
		CASE WHEN person.status = 'current' COLLATE NOCASE THEN 2 ELSE CASE WHEN person.status = 'disconnected' COLLATE NOCASE THEN 1 ELSE 0 END END AS isFriend, 
		CASE WHEN person.modified = '' THEN 0 ELSE CAST(person.modified as integer) * 1000 END AS updatedDate, 
		CASE WHEN person.email = '' THEN null ELSE person.email END AS email, 
		person.profileurl AS profileUrl, 
		CASE WHEN person.socialsafeuser = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS isAppUser, 
		CASE WHEN person.birthday = '' THEN null ELSE person.birthday END AS birthday, 
		CASE WHEN person.sex = '' THEN null ELSE person.sex END AS sex, 
		CASE WHEN person.hsinfo = '' THEN null ELSE person.hsinfo END AS schoolInfo, 
		CASE WHEN person.relationshipstatus = '' THEN null ELSE person.relationshipstatus END AS relationshipStatus, 
		CASE WHEN person.political = '' THEN null ELSE person.political END AS political, 
		CASE WHEN person.books = '' THEN null ELSE person.books END AS books, 
		CASE WHEN person.religion = '' THEN null ELSE person.religion END AS religion, 
		CASE WHEN person.affiliations = '' THEN null ELSE person.affiliations END AS affiliations, 
		CASE WHEN person.activities = '' THEN null ELSE person.activities END AS activities, 
		CASE WHEN person.educationhistory = '' THEN null ELSE person.educationhistory END AS educationHistory, 
		CASE WHEN person.hometown = '' THEN null ELSE person.hometown END AS hometown, 
		CASE WHEN person.music = '' THEN null ELSE person.music END AS music, 
		CASE WHEN person.meetingfor = '' THEN null ELSE person.meetingfor END AS meetingFor, 
		CASE WHEN person.meetingsex = '' THEN null ELSE person.meetingsex END AS meetingSex, 
		CASE WHEN person.movies = '' THEN null ELSE person.movies END AS movies, 
		CASE WHEN person.interests = '' THEN null ELSE person.interests END AS interests, 
		CASE WHEN person.workhistory = '' THEN NULL ELSE replace(person.workhistory, ltrim(person.workhistory, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNMö!@#$%^&*()_+-=`~[]{}|:./|\<>? '), '') END AS workCurrent, 
		CASE WHEN person.workhistory = '' THEN null ELSE person.workhistory END AS workHistory, 
		CASE WHEN person.tv = '' THEN null ELSE person.tv END AS tv, 
		CASE WHEN person.quotes = '' THEN null ELSE person.quotes END AS quotes, 
		CASE WHEN person.website = '' THEN null ELSE person.website END AS website 
	FROM main.friend AS person 
	left join main.user as user on person.ownerid = user.userid; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end||person.ownerid||"_" as entityID, 
	person.picbigwithlogo as link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end||person.ownerid as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.friend AS person 
left join main.user as user on person.ownerid = user.userid 
where link != ""; 
 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,createdDate,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,followersCount,followingCount,isTheAccountOwner,isFollowingMe,isFollowedByMe,website,timezone,utcOffset,isProfileProtected,servicePostCount,location,profileURL) 
	SELECT 
		"3_" || person.user_id || "_" || person.twitter_id AS entityID, 
		"3_" || person.user_id AS socialNetworkUserEntityID, 
		person.twitter_id AS personID, 
		CASE WHEN person.description = '' THEN null ELSE person.description END AS bio, 
		CASE WHEN person.createdat = '' THEN 0 ELSE CAST(person.createdat as integer) * 1000 END AS createdDate, 
		"3_" || person.user_id AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.profileimage AS fileEntityID, 
		CASE WHEN person.screenname = '' THEN person.name ELSE person.screenname END AS username, 
		replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname, 
		CASE WHEN trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) = '' THEN NULL ELSE trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) END AS lastname, 
		person.followerscount AS followersCount, 
		person.friendscount AS followingCount, 
		CASE WHEN person.twitter_id = person.user_id THEN 1 ELSE 0 END AS isTheAccountOwner, 
		person.followerStatus AS isFollowingMe, 
		person.followingStatus AS isFollowedByMe, 
		CASE WHEN person.website = '' THEN null ELSE person.website END AS website, 
		CASE WHEN person.timezone = '' THEN null ELSE person.timezone END AS timezone, 
		person.utcoffset AS utcOffset, 
		CASE WHEN person.profileprotected = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS isProfileProtected, 
		person.statusescount AS servicePostCount, 
		CASE WHEN person.location = '' THEN null ELSE person.location END AS location, 
		CASE WHEN person.screenname = '' THEN NULL ELSE 'https://twitter.com/' || person.screenname END AS profileURL 
	FROM (
		SELECT 
			CASE WHEN follower.current = 'true' COLLATE NOCASE THEN 2 ELSE CASE WHEN follower.current = 'false' COLLATE NOCASE THEN 1 ELSE 0 END END AS followerStatus, 
			CASE WHEN friend.current = 'true' COLLATE NOCASE THEN 2 ELSE CASE WHEN friend.current = 'false' COLLATE NOCASE THEN 1 ELSE 0 END END AS followingStatus, 
			people.* 
		FROM (
			SELECT user_id, twitter_id, description, createdat, profileimage, screenname, name, followerscount, friendscount, website, timezone, utcOffset, profileprotected, statusescount, location FROM (
				SELECT user_id, twitter_id, description, createdat, profileimage, screenname, name, followerscount, friendscount, website, timezone, utcOffset, profileprotected, statusescount, location FROM main.twitterfollower 
				UNION ALL 
				SELECT user_id, twitter_id, description, createdat, profileimage, screenname, name, followerscount, friendscount, website, timezone, utcOffset, profileprotected, statusescount, location FROM main.twitterfriend
			)
		) AS people 
		LEFT JOIN main.twitterfollower AS follower ON people.user_id = follower.user_id AND people.twitter_id = follower.twitter_id 
		LEFT JOIN main.twitterfriend AS friend ON people.user_id = friend.user_id AND people.twitter_id = friend.twitter_id 
		GROUP BY people.user_id, people.twitter_id
	) AS person; 
 
INSERT INTO _File (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
	SELECT 
		"3_" || person.user_id || "_" AS entityid, 
		person.profileimage AS link, 
		"3_" || person.user_id AS socialNetworkUserEntityID, 
		3 AS serviceEntityID, 
		0 AS fileType, 
		1 AS fileDisplayType 
	FROM (
		SELECT profileimage, user_id FROM (
			SELECT profileimage, user_id, twitter_id FROM main.twitterfollower 
			UNION ALL 
			SELECT profileimage, user_id, twitter_id FROM main.twitterfriend
		) GROUP BY user_id, twitter_id 
	) AS person 
	WHERE link != ""; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,followersCount,followingCount,isTheAccountOwner,isFollowingMe,isFollowedByMe,website,servicePostCount,profileURL) 
	SELECT 
		"4_" || person.ownerid || "_" || person.personid AS entityID, 
		"4_" || person.ownerid AS socialNetworkUserEntityID, 
		person.personid AS personID, 
		CASE WHEN person.bio = '' THEN null ELSE person.bio END AS bio, 
		"4_" || person.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.profilepicture AS fileEntityID, 
		CASE WHEN person.username = '' THEN person.fullname ELSE person.username END AS username, 
		replace(person.fullname, ltrim(person.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname, 
		CASE WHEN trim(substr(person.fullname, length(replace(person.fullname, ltrim(person.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.fullname))) = '' THEN NULL ELSE trim(substr(person.fullname, length(replace(person.fullname, ltrim(person.fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.fullname))) END AS lastname, 
		CASE WHEN person.followedby = '' THEN 0 ELSE person.followedby END AS followersCount, 
		CASE WHEN person.follows = '' THEN 0 ELSE person.follows END AS followingCount, 
		CASE WHEN person.personid = person.ownerid THEN 1 ELSE 0 END AS isTheAccountOwner, 
		CASE WHEN person.followerstatus = 'current' COLLATE NOCASE OR person.followerstatus = 'reconnected' COLLATE NOCASE THEN 2 ELSE CASE WHEN person.followerstatus = 'lost' COLLATE NOCASE THEN 1 ELSE 0 END END AS isFollowingMe, 
		CASE WHEN person.followingstatus = 'current' COLLATE NOCASE OR person.followingstatus = 'reconnected' COLLATE NOCASE THEN 2 ELSE CASE WHEN person.followingstatus = 'lost' COLLATE NOCASE THEN 1 ELSE 0 END END AS isFollowedByMe, 
		CASE WHEN person.website = '' THEN null ELSE person.website END AS website, 
		CASE WHEN person.media = '' THEN 0 ELSE person.media END AS servicePostCount, 
		CASE WHEN person.username = '' THEN NULL ELSE 'https://instagram.com/' || person.username END AS profileURL 
	FROM main.instagrampeople AS person; 
 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"4_"||person.ownerid||"_" as entityid, 
	person.profilepicture as link, 
	"4_"||person.ownerid as socialNetworkUserEntityID, 
	4 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.instagrampeople AS person 
where link != ""; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,followersCount,isTheAccountOwner,isFriend,profileUrl,birthday,affiliations,hometown,interests,workCurrent,workHistory,location,latestPostSnippet,recommendationCount,specialities,honours,country,degreeOfSeparation,proposalComments) 
	SELECT 
		"6_" || person.ownerid || "_" || person.connectionid AS entityID, 
		"6_" || person.ownerid AS socialNetworkUserEntityID, 
		person.connectionid AS personID, 
		CASE WHEN person.headline = '' THEN null ELSE person.headline END AS bio, 
		"6_" || person.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.pictureurl AS fileEntityID, 
		person.firstname || ' ' || person.lastname AS username, 
		person.firstname AS firstname, 
		person.lastname AS lastname, 
		CASE WHEN person.numberofconnections = '' THEN 0 ELSE CAST(person.numberofconnections AS integer) END AS followersCount, 
		CASE WHEN person.connectionid = person.ownerid THEN 1 ELSE 0 END AS isTheAccountOwner, 
		CASE WHEN person.status = 'currentConnection' COLLATE NOCASE THEN 2 ELSE CASE WHEN person.status = 'lostConnection' COLLATE NOCASE THEN 1 ELSE 0 END END AS isFriend, 
		CASE WHEN person.profileurl = '' THEN null ELSE person.profileurl END AS profileUrl, 
		CASE WHEN person.dateofbirth = '' THEN null ELSE person.dateofbirth END AS birthday, 
		CASE WHEN person.associations = '' THEN null ELSE person.associations END AS affiliations, 
		CASE WHEN person.mainaddress = '' THEN null ELSE person.mainaddress END AS hometown, 
		CASE WHEN person.interests = '' THEN null ELSE person.interests END AS interests, 
		CASE WHEN person.headline = '' THEN null ELSE person.headline END AS workCurrent, 
		person.industry AS workHistory, 
		person.locationname AS location, 
		CASE WHEN person.currentshare = '' THEN null ELSE person.currentshare END AS latestPostSnippet, 
		CASE WHEN person.numberofrecommendations = '' THEN 0 ELSE CAST(person.numberofrecommendations AS integer) END AS recommendationCount, 
		CASE WHEN person.specialities = '' THEN null ELSE person.specialities END AS specialities, 
		CASE WHEN person.honours = '' THEN null ELSE person.honours END AS honours, 
		person.locationcountrycode AS country, 
		CASE WHEN person.degreesofseparation = '' THEN 0 ELSE CAST(person.degreesofseparation AS integer) END AS degreeOfSeparation, 
		CASE WHEN person.proposalcomments = '' THEN null ELSE person.proposalcomments END AS proposalComments 
	FROM main.linkedinconnection AS person; 
 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"6_"||person.ownerid||"_" as entityid, 
	person.pictureurl as link, 
	"6_"||person.ownerid as socialNetworkUserEntityID, 
	6 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.linkedinconnection AS person 
where link != ""; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,profileUrl,birthday,sex,relationshipStatus,location,tagline,isTheAccountOwner) 
	SELECT 
		"5_" || person.ownerid || "_" || person.personid AS entityID, 
		"5_" || person.ownerid AS socialNetworkUserEntityID, 
		person.personid AS personID, 
		CASE WHEN person.aboutme = '' THEN null ELSE person.aboutme END AS bio, 
		"5_" || person.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.image AS fileEntityID, 
		person.displayname AS username, 
		replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname, 
		CASE WHEN trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) = '' THEN NULL ELSE trim(substr(person.name, length(replace(person.name, ltrim(person.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(person.name))) END AS lastname, 
		CASE WHEN person.url = '' THEN null ELSE person.url END AS profileUrl, 
		CASE WHEN person.birthday = '' THEN null ELSE person.birthday END AS birthday, 
		CASE WHEN person.gender = '' THEN null ELSE person.gender END AS sex, 
		CASE WHEN person.relationshipstatus = '' THEN null ELSE person.relationshipstatus END AS relationshipStatus, 
		CASE WHEN person.currentlocation = '' THEN null ELSE person.currentlocation END AS location, 
		CASE WHEN person.tagline = '' THEN null ELSE person.tagline END AS tagline, 
		CASE WHEN person.personid = person.ownerid THEN 1 ELSE 0 END AS isTheAccountOwner 
	FROM main.googleplusperson AS person; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"5_"||person.ownerid||"_" as entityid, 
	person.image as link, 
	"5_"||person.ownerid as socialNetworkUserEntityID, 
	5 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.googleplusperson AS person 
where link != ""; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,bio,referenceEntityID,referenceEntityType,fileEntityID,username,firstname,lastname,followersCount,isFriend,updatedDate,profileUrl,sex,interests,timezone,location,country,degreeOfSeparation,language,isPremium,isTheAccountOwner) 
	SELECT 
		"7_" || person.ownerid || "_" || person.contactid AS entityID, 
		"7_" || person.ownerid AS socialNetworkUserEntityID, 
		person.contactid AS personID, 
		CASE WHEN person.headline = '' THEN null ELSE person.headline END AS bio, 
		"7_" || person.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		person.picture_large AS fileEntityID, 
		person.nickname AS username, 
		person.first_name AS firstname, 
		person.last_name AS lastname, 
		abs(person.contact_count) AS followersCount, 
		CASE WHEN person.connection = 'current' COLLATE NOCASE THEN 2 ELSE CASE WHEN person.connection = 'lost' COLLATE NOCASE THEN 1 ELSE 0 END END AS isFriend, 
		CAST(person.updated_time as integer) * 1000 AS updatedDate, 
		CASE WHEN person.link = '' THEN null ELSE person.link END AS profileUrl, 
		CASE WHEN person.gender = '' THEN null ELSE person.gender END AS sex, 
		CASE WHEN person.interests = '' THEN null ELSE person.interests END AS interests, 
		CASE WHEN person.timezone = '' THEN null ELSE person.timezone END AS timezone, 
		CASE WHEN person.city = '' THEN null ELSE person.city END AS location, 
		person.country AS country, 
		abs(person.distance) AS degreeOfSeparation, 
		person.language AS language, 
		CASE WHEN person.is_premium = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS isPremium, 
		CASE WHEN person.contactid = person.ownerid THEN 1 ELSE 0 END AS isTheAccountOwner 
	FROM main.viadeocontact AS person; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"7_"||person.ownerid||"_" as entityid, 
	person.picture_large as link, 
	"7_"||person.ownerid as socialNetworkUserEntityID, 
	7 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.viadeocontact AS person 
where link != ""; 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,referenceEntityID,referenceEntityType,firstname,lastname,username,fileEntityID,profileUrl,createdDate,email,isTheAccountOwner) 
	SELECT 
		serviceEntityID || "_" || userid || "_" || userid AS entityID, 
		serviceEntityID || "_" || userid AS socialNetworkUserEntityID, 
		userid AS personID,      
		serviceEntityID || "_" || userid AS referenceEntityID, 
		15 AS referenceEntityType,      
		replace(name, ltrim(name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname, 
		CASE WHEN trim(substr(name, length(replace(name, ltrim(name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(name))) = '' THEN NULL ELSE trim(substr(name, length(replace(name, ltrim(name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(name))) END AS lastname, 
		CASE WHEN username IS NULL THEN name ELSE username END AS username, 
		profileimage AS fileEntityID, 
		profileurl AS profileUrl,      
		CASE WHEN lastsynctime = '' THEN 0 ELSE CAST(lastsynctime as integer) * 1000 END AS createdDate,      
		emailaddress AS email, 
		1 AS isTheAccountOwner 
	FROM ( 
		SELECT serviceEntityID, userid, name, username, profileimage, profileimagesmall, profileurl, lastsynctime, emailaddress FROM ( 
			SELECT case when type="page" collate nocase then "2" else "1" end as serviceEntityID, userid, name, NULL AS username, picturedefault AS profileimage, picturesmall AS profileimagesmall, profileurl, lastsynctime, NULL AS emailaddress FROM main.user 
			UNION ALL 
			SELECT "3" as serviceEntityID, twUser.twitter_id AS userid, CASE WHEN twProfile.name IS NULL THEN twUser.name ELSE twProfile.name END AS name, twUser.name AS username, twUser.profileimage, NULL AS profileimagesmall, 'https://twitter.com/' || twUser.name AS profileurl, lastsynctime, NULL AS emailaddress FROM main.twitteruser AS twUser LEFT JOIN main.twitterprofile AS twProfile ON twUser.twitter_id = twProfile.twitter_id 
			UNION ALL 
			SELECT "7" as serviceEntityID, userid, name, NULL AS username, pictureurl AS profileimage, NULL AS profileimagesmall, profileurl, lastsynctime, NULL AS emailaddress FROM main.viadeouser  
			UNION ALL 
			SELECT "6" as serviceEntityID, userid, name, NULL AS username, profileimage, NULL AS profileimagesmall, profileurl, lastsynctime, emailaddress FROM main.linkedinuser  
			UNION ALL 
			SELECT "4" as serviceEntityID, userid, CASE WHEN insProfile.fullname IS NULL THEN insUser.username ELSE insProfile.fullname END AS name, insUser.username AS username, insUser.profilepicture AS profileimage, NULL AS profileimagesmall, 'https://instagram.com/' || insUser.username AS profileurl, lastsynctime, NULL AS emailaddress FROM main.instagramuser AS insUser LEFT JOIN main.instagramprofile AS insProfile ON insUser.userid = insProfile.ownerid 
			UNION ALL 
			SELECT "5" as serviceEntityID, userid, username, NULL AS username, profilepic AS profileimage, NULL AS profileimagesmall, 'https://plus.google.com/' || userid AS profileurl, lastsynctime, NULL AS emailaddress FROM main.googleplususer 
		)  
	); 
	 
INSERT INTO _Person (entityID,socialNetworkUserEntityID,personID,referenceEntityID,referenceEntityType,firstname,lastname,username,fileEntityID,profileUrl,createdDate,isTheAccountOwner) 
	SELECT 
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN "9_" ELSE "8_" END || rssid || "_" || rssid AS entityID, 
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN "9_" ELSE "8_" END || rssid AS socialNetworkUserEntityID, 
		rssid AS personID,      
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN "9_" ELSE "8_" END || rssid AS referenceEntityID, 
		15 AS referenceEntityType,      
		replace(title, ltrim(title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname, 
		CASE WHEN trim(substr(title, length(replace(title, ltrim(title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(title))) = '' THEN NULL ELSE trim(substr(title, length(replace(title, ltrim(title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(title))) END AS lastname, 
		title AS username, 
		imageurl AS fileEntityID,  
		link AS profileUrl,      
		CASE WHEN lastsynctime = '' THEN 0 ELSE CAST(lastsynctime as integer) * 1000 END AS createdDate, 
		1 AS isTheAccountOwner 
	FROM main.rss; 
	 
INSERT INTO _MessageThread (entityID,socialNetworkUserEntityID,messageThreadID,createdDate,referenceEntityID,referenceEntityType,snippet,title,personEntityID,messageCount,updatedDate,messageThreadObjectID,participantCount) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid || "_" || thread.thread_id AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid AS socialNetworkUserEntityID, 
		thread.thread_id AS messageThreadID, 
		CAST(joined.created_time as integer) * 1000 AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		thread.snippet AS snippet, 
		CASE WHEN thread.subject = '' THEN null ELSE thread.subject END AS title, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid || "_" || thread.snippet_author AS personEntityID, 
		thread.message_count AS messageCount, 
		CAST(thread.updated_time as integer) * 1000 AS updatedDate, 
		thread.object_id AS messageThreadObjectID, 
		CASE WHEN participantJoined.count IS NULL THEN 0 ELSE participantJoined.count END AS participantCount 
	FROM main.thread AS thread 
	LEFT JOIN ( 
		SELECT created_time, thread_id FROM ( 
			SELECT created_time, thread_id FROM main.message ORDER BY created_time DESC 
		) GROUP BY thread_id 
	) AS joined ON thread.thread_id = joined.thread_id 
	LEFT JOIN (  
		SELECT COUNT(*) AS count, thread_id FROM main.threadrecipients GROUP BY thread_id 
	) AS participantJoined ON thread.thread_id = participantJoined.thread_id 
	left join main.user as user on thread.ownerid = user.userid; 
	 
INSERT INTO _MessageThread (entityID,socialNetworkUserEntityID,messageThreadID,createdDate,referenceEntityID,referenceEntityType,title,messageCount,updatedDate,link,subject,messageThreadObjectID,participantCount,personEntityID,snippet) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid || "_" || thread.thread_id AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid AS socialNetworkUserEntityID, 
		thread.thread_id AS messageThreadID, 
		CAST(thread.created as integer) * 1000 AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN thread.title = '' THEN null ELSE thread.title END AS title, 
		thread.num_messages AS messageCount, 
		thread.timestamp_milliseconds AS updatedDate, 
		thread.link AS link, 
		CASE WHEN thread.subject = '' THEN null ELSE thread.subject END AS subject, 
		thread.thread_fbid AS messageThreadObjectID, 
		CASE WHEN participantJoined.count IS NULL THEN 0 ELSE participantJoined.count END AS participantCount, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || thread.ownerid || "_" || message.sender_id as personEntityID, 
		message.body as snippet 
	FROM main.facebookunifiedthread AS thread 
	LEFT JOIN ( 
	   SELECT thread_id, body, sender_id FROM ( 
			  SELECT thread_id, body, sender_id FROM main.facebookunifiedmessage ORDER BY timestamp_milliseconds 
	   ) GROUP BY thread_id 
	) AS message ON thread.thread_id = message.thread_id     
	LEFT JOIN (  
		SELECT COUNT(*) AS count, thread_id FROM main.threadrecipients GROUP BY thread_id 
	) AS participantJoined ON thread.thread_id = participantJoined.thread_id 
	left join main.user as user on thread.ownerid = user.userid; 
	 
INSERT INTO _MessageThread (entityID,socialNetworkUserEntityID,messageThreadID,createdDate,referenceEntityID,referenceEntityType,title,messageCount,updatedDate,participantCount,personEntityID,snippet) 
	SELECT 
		"3_" || thread.ownerid || "_" || thread.thread_id AS entityID, 
		"3_" || thread.ownerid AS socialNetworkUserEntityID, 
		thread.thread_id AS messageThreadID, 
		CAST(thread.createdat as integer) * 1000 AS createdDate, 
		"3_" || thread.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		CASE WHEN thread.sender_id = thread.ownerid THEN thread.senderscreenname || ' ' || thread.recipientscreenname ELSE thread.recipientscreenname || ' ' || thread.senderscreenname END AS title, 
		countJoin.count AS messageCount, 
		CAST(updateJoin.createdat as integer) * 1000 AS updatedDate, 
		2 AS participantCount, 
		"3_" || thread.ownerid || "_" || updateJoin.sender_id as personEntityID, 
            updateJoin.text as snippet 
	FROM ( 
		SELECT ownerid, thread_id, createdat, sender_id, senderscreenname, recipientscreenname FROM ( 
			SELECT ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id, * FROM main.twittermessage ORDER BY createdat DESC 
		) GROUP BY thread_id 
	) AS thread 
	LEFT JOIN ( 
		SELECT createdat, sender_id, text, thread_id FROM ( 
			SELECT ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id, * FROM main.twittermessage ORDER BY createdat 
		) GROUP BY thread_id 
	) AS updateJoin ON thread.thread_id = updateJoin.thread_id 
	LEFT JOIN ( 
		SELECT thread_id, COUNT(thread_id) AS count FROM ( 
			SELECT ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id, * FROM main.twittermessage ORDER BY createdat 
		) GROUP BY thread_id 
	) AS countJoin ON thread.thread_id = countJoin.thread_id; 
	 
INSERT INTO _MessageThread (entityID,socialNetworkUserEntityID,messageThreadID,createdDate,referenceEntityID,referenceEntityType,messageCount,updatedDate,subject,participantCount,personEntityID,snippet) 
	SELECT 
		"7_" || thread.ownerid || "_" || thread.thread_id AS entityID, 
		"7_" || thread.ownerid AS socialNetworkUserEntityID, 
		thread.thread_id AS messageThreadID, 
		CAST(thread.updated_time as integer) * 1000 AS createdDate, 
		"7_" || thread.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		countJoin.count AS messageCount, 
		CAST(updateJoin.updated_time as integer) * 1000 AS updatedDate, 
		thread.subject AS subject, 
		2 AS participantCount, 
		"7_" || thread.ownerid || "_" || updateJoin.fromid AS personEntityID, 
            updateJoin.message as snippet 
	FROM ( 
		SELECT subject, ownerid, thread_id, updated_time FROM ( 
			SELECT ownerid || '_' || fromid AS thread_id, * FROM main.viadeomessages ORDER BY updated_time DESC 
		) GROUP BY thread_id 
	) AS thread 
	LEFT JOIN ( 
		SELECT thread_id, message, fromid, updated_time FROM ( 
			SELECT ownerid || '_' || fromid AS thread_id, * FROM main.viadeomessages ORDER BY updated_time 
		) GROUP BY thread_id 
	) AS updateJoin ON thread.thread_id = updateJoin.thread_id 
	LEFT JOIN ( 
		SELECT thread_id, COUNT(thread_id) AS count FROM ( 
			SELECT ownerid || '_' || fromid AS thread_id, * FROM main.viadeomessages ORDER BY updated_time 
		) GROUP BY thread_id 
	) AS countJoin ON thread.thread_id = countJoin.thread_id; 
	 
INSERT INTO _Message (entityID,socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate,text,messageID) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.message_id AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid AS socialNetworkUserEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.author_id AS personEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.thread_id AS referenceEntityID, 
		4 as referenceEntityType, 
		CAST(message.created_time as integer) * 1000 AS createdDate, 
		message.body AS text, 
		message.message_id AS messageID 
	FROM main.message AS message 
	LEFT JOIN main.user AS user ON user.userid = message.ownerid; 
	 
INSERT INTO _Message (entityID,socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate,text,messageID,textHTML,subject) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.message_id AS entityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid AS socialNetworkUserEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.sender_id AS personEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || message.ownerid || "_" || message.thread_id AS referenceEntityID, 
		4 as referenceEntityType, 
		message.timestamp_milliseconds AS createdDate, 
		message.body AS text, 
		message.message_id AS messageID, 
		message.html_body AS textHTML, 
		CASE WHEN message.subject = '' THEN null ELSE message.subject END AS subject 
	FROM main.facebookunifiedmessage AS message 
	LEFT JOIN main.user AS user ON message.ownerid = user.userid; 
	 
INSERT INTO _Message (entityID,socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate,text,messageID) 
	SELECT 
		"3_" || message.ownerid || "_" || message.message_id as entityID, 
		"3_" || message.ownerid AS socialNetworkUserEntityID, 
		"3_" || message.ownerid || "_" || message.sender_id AS personEntityID, 
		"3_" || message.ownerid || "_" || message.ownerid || "_" || CASE WHEN message.sender_id = message.ownerid THEN message.recipient_id ELSE message.sender_id END AS referenceEntityID, 
		4 as referenceEntityType, 
		CAST(message.createdat as integer) * 1000 AS createdDate, 
		message.text AS text, 
		message.message_id AS messageID 
	FROM main.twittermessage AS message; 
	 
INSERT INTO _Message (entityID,socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate,text,messageID,subject,link) 
	SELECT 
		"7_" || message.ownerid || "_" || message.messageid as entityID, 
		"7_" || message.ownerid AS socialNetworkUserEntityID, 
		"7_" || message.ownerid || "_" || message.fromid AS personEntityID, 
		"7_" || message.ownerid || "_" || message.ownerid || '_' || message.fromid AS referenceEntityID, 
		4 as referenceEntityType, 
		CAST(message.updated_time as integer) * 1000 AS createdDate, 
		message.message AS text, 
		message.messageid AS messageID, 
		message.subject AS subject, 
		message.link AS link 
	FROM main.viadeomessages AS message; 
	 
INSERT INTO _Comment (entityID,commentID,createdDate,text,personEntityID,referenceEntityID,referenceEntityType,commentReplyID,commentCount,likeCount,socialNetworkUserEntityID) 
	SELECT 
		COALESCE( 
            CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END || "_" || comment.commentid || "_" || CASE WHEN comment.parentid != '0' THEN 7 ELSE CASE WHEN comment.type = 'photo' COLLATE NOCASE OR comment.type = 'tagged photo' COLLATE NOCASE OR comment.type = 'photo and tagged photo' COLLATE NOCASE THEN 1 ELSE 2 END END, 
            CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END 
		) AS entityID, 
		comment.commentid AS commentID, 
		CAST(comment.created AS integer) * 1000 AS createdDate, 
		comment.text AS text, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || comment.posteruid AS personEntityID, 
		CASE WHEN comment.parentid != '0' THEN 
				CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || comment.parentid || "_" || CASE WHEN comment.type = 'photo' COLLATE NOCASE OR comment.type = 'tagged photo' COLLATE NOCASE OR comment.type = 'photo and tagged photo' COLLATE NOCASE THEN 1 ELSE 2 END 
			WHEN parent.pid IS NULL THEN 
			     CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END || "_" || comment.postid 
			ELSE 
				"10_" || parent.objectid 
		END AS referenceEntityID, 
		CASE WHEN comment.parentid != '0' THEN 
			7 
		ELSE 
		CASE WHEN comment.type = 'photo' COLLATE NOCASE OR comment.type = 'tagged photo' COLLATE NOCASE OR comment.type = 'photo and tagged photo' COLLATE NOCASE THEN 
			1 
		ELSE 
			2 
		END END AS referenceEntityType, 
		CASE WHEN comment.parentid = '0' THEN NULL ELSE comment.parentid END AS commentReplyID, 
		comment.commentcount AS commentCount, 
		CASE WHEN likeJoin.count IS NOT NULL THEN likeJoin.count ELSE comment.likes END AS likeCount, 
		CASE WHEN user.type="page" COLLATE NOCASE THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END AS socialNetworkUserEntityID 
	FROM main.comment AS comment  
	LEFT JOIN main.___FacebookDataTemp AS parent ON parent.joinid = comment.postid 
	LEFT JOIN main.facebookevent AS event ON parent.ownerid = event.eid 
	LEFT JOIN main.user AS user ON event.ownerid = user.userid OR parent.ownerid = user.userid 
	LEFT JOIN (  
		SELECT COUNT(*) AS count, objectid FROM main.likes WHERE liketype = 'comment' COLLATE NOCASE GROUP BY objectid 
	) AS likeJoin ON comment.commentid = likeJoin.objectid 
	WHERE comment.postid != '' 
	GROUP BY referenceEntityID, personEntityID, commentID; 
	 
INSERT INTO _Comment (entityID,commentID,createdDate,text,personEntityID,referenceEntityID,referenceEntityType,updatedDate,link,socialNetworkUserEntityID) 
	SELECT 
		"5_"||comment.ownerid||"_"||comment.commentid || "_" || 2 AS entityID, 
		comment.commentid AS commentID, 
		CAST(comment.published as integer) * 1000 AS createdDate, 
		comment.content AS text, 
		"5_"||comment.ownerid||"_"||comment.actorid AS personEntityID, 
		"5_"||comment.ownerid||"_"||comment.activityid AS referenceEntityID, 
		2 AS referenceEntityType, 
		CAST(comment.updated as integer) * 1000 AS updatedDate, 
		comment.selflink AS link, 
		"5_"||comment.ownerid as socialNetworkUserEntityID 
	FROM main.googlepluscomment AS comment 
	GROUP BY referenceEntityID, personEntityID, commentID; 
	 
INSERT INTO _Comment (entityID,commentID,createdDate,text,personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID) 
	SELECT 
		"4_"||photo.ownerid||"_"||comment.commentid || "_" || 1 AS entityID, 
		comment.commentid AS commentID, 
		CAST(comment.created as integer) * 1000 AS createdDate, 
		comment.text AS text, 
		"4_"||photo.ownerid||"_"||comment.commenterid AS personEntityID, 
		"4_"||comment.mediaid AS referenceEntityID, 
		1 AS referenceEntityType, 
		"4_"||photo.ownerid as socialNetworkUserEntityID 
	FROM main.instagramcomment AS comment 
	join main.instagramphoto as photo on photo.photoid = comment.mediaid 
	GROUP BY referenceEntityID, personEntityID, commentID; 
	 
INSERT INTO _Comment (entityID,commentID,createdDate,text,personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID) 
	SELECT 
		"6_"||comment.ownerid||"_"||comment.commentid || "_" || 2 AS entityID, 
		comment.commentid AS commentID, 
		CAST(comment.created as integer) * 1000 AS createdDate, 
		comment.comment AS text, 
		"6_"||comment.ownerid||"_"||comment.personid AS personEntityID, 
		"6_"||comment.ownerid||"_"||comment.networkupdateid AS referenceEntityID, 
		2 AS referenceEntityType, 
		"6_"||comment.ownerid as socialNetworkUserEntityID 
	FROM main.linkedincomment AS comment 
	GROUP BY referenceEntityID, personEntityID, commentID; 
	 
INSERT INTO _Comment (entityID,commentID,createdDate,text,personEntityID,referenceEntityID,referenceEntityType,updatedDate,link,privacy,socialNetworkUserEntityID) 
	SELECT 
		"7_" || items.ownerid || CASE WHEN items.forumid IS NOT NULL THEN '_' || items.forumid ELSE '' END || "_" || comment.commentid || "_" || 2 AS entityID, 
		comment.commentid AS commentID, 
		CAST(comment.created_time as integer) * 1000 AS createdDate, 
		comment.message AS text, 
		"7_"||items.ownerid||"_"||comment.fromid AS personEntityID, 
		"7_" || items.ownerid || CASE WHEN items.forumid IS NOT NULL THEN '_' || items.forumid ELSE '' END ||"_"||comment.newsitemid AS referenceEntityID, 
		2 AS referenceEntityType, 
		CAST(comment.updated_time as integer) * 1000 AS updatedDate, 
		CASE WHEN comment.link = '' THEN null ELSE comment.link END AS link, 
		CASE WHEN comment.privacy = 'PRIVATE' COLLATE NOCASE THEN 1 ELSE 0 END AS privacy, 
		"7_" || items.ownerid || CASE WHEN items.forumid IS NOT NULL THEN '_' || items.forumid ELSE '' END AS socialNetworkUserEntityID 
	FROM main.viadeocomments AS comment 
	JOIN (  
	   SELECT ownerid AS ownerid, newsitemid AS postEntityID, NULL AS forumid FROM main.viadeonewsitems 
	   UNION ALL 
	   SELECT forum.ownerid AS ownerid, forumpost.postid AS postEntityID, forum.forumid AS forumid FROM main.viadeoforumpost AS forumpost 
	   JOIN main.viadeoforum AS forum ON forumpost.forumid = forum.forumid 
	) AS items ON comment.newsitemid = items.postEntityID  
	GROUP BY referenceEntityID, personEntityID, commentID; 
	 
INSERT INTO _Like (socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END AS socialNetworkUserEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || like.friendid AS personEntityID, 
		CASE WHEN parent.pid IS NOT NULL THEN 
			"10_" || parent.objectid 
		ELSE 
			CASE WHEN like.liketype = 'comment' COLLATE NOCASE THEN 
			   CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || like.objectid || "_" || parent.parentreferencetype 
			ELSE 
			   CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || like.objectid 
			END 
		END AS referenceEntityID, 
		CASE WHEN like.liketype = 'comment' COLLATE NOCASE THEN 7 ELSE parent.referencetype END AS referenceEntityType, 
		CASE WHEN parent.created = '' OR parent.created IS NULL THEN 0 ELSE CAST(parent.created AS INTEGER) * 1000 END AS createdDate 
	FROM main.likes AS like 
	LEFT JOIN main.___FacebookDataTemp AS parent ON like.objectid = parent.joinid 
	LEFT JOIN main.facebookevent AS event ON parent.ownerid = event.eid 
	LEFT JOIN main.user AS user ON parent.ownerid = user.userid OR event.ownerid = user.userid 
	WHERE personEntityID != "" 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
 
INSERT INTO _Like (socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate) 
	SELECT 
		"5_" || activity.ownerid AS socialNetworkUserEntityID, 
		"5_" || activity.ownerid || "_" || like.personid AS personEntityID, 
		"5_" || activity.ownerid || "_" || like.activityid AS referenceEntityID, 
		2 AS referenceEntityType, 
		CASE WHEN activity.published = '' OR activity.published IS NULL THEN 0 ELSE CAST(activity.published AS INTEGER) * 1000 END AS createdDate 
	FROM (SELECT personid, activityid FROM main.googleplusassociation WHERE association = 'PlusOner' COLLATE NOCASE) AS like 
	JOIN main.googleplusactivity AS activity ON activity.activityid = like.activityid 
	LEFT JOIN main.googleplususer AS user ON like.personid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
 
INSERT INTO _Like (socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate) 
	SELECT 
		"4_" || photo.ownerid AS socialNetworkUserEntityID, 
		"4_" || photo.ownerid || "_" || like.likerid AS personEntityID, 
		"4_" || like.mediaid AS referenceEntityID, 
		1 AS referenceEntityType, 
		CASE WHEN photo.createdtime = '' OR photo.createdtime IS NULL THEN 0 ELSE CAST(photo.createdtime AS INTEGER) * 1000 END AS createdDate 
	FROM main.instagramlike AS like 
	JOIN main.instagramphoto AS photo ON photo.photoid = like.mediaid 
	LEFT JOIN main.instagramuser AS user ON like.likerid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _Like (socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate) 
	SELECT 
		"6_" || like.ownerid AS socialNetworkUserEntityID, 
		"6_" || like.ownerid || "_" || like.personid AS personEntityID, 
		"6_" || like.ownerid || "_" || like.messageid AS referenceEntityID, 
		2 AS referenceEntityType, 
		CAST(like.created as integer) * 1000 AS createdDate 
	FROM main.linkedinlike AS like 
	LEFT JOIN main.linkedinuser AS user on like.personid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
 
INSERT INTO _Like (socialNetworkUserEntityID,personEntityID,referenceEntityID,referenceEntityType,createdDate) 
	SELECT 
		"7_" || item.ownerid || CASE WHEN item.forumid IS NOT NULL THEN '_' || item.forumid ELSE '' END AS socialNetworkUserEntityID, 
		"7_" || item.ownerid || "_" || like.likeid AS personEntityID, 
		"7_" || item.ownerid || CASE WHEN item.forumid IS NOT NULL THEN '_' || item.forumid ELSE '' END || "_" || like.newsitemid AS referenceEntityID, 
		2 AS referenceEntityType, 
		CASE WHEN item.updated_time = '' OR item.updated_time IS NULL THEN 0 ELSE CAST(item.updated_time AS INTEGER) * 1000 END AS createdDate 
	FROM main.viadeolikes AS like 
	JOIN (  
	   SELECT ownerid AS ownerid, newsitemid AS postEntityID, NULL AS forumid, updated_time AS updated_time FROM main.viadeonewsitems 
	   UNION ALL 
	   SELECT forum.ownerid AS ownerid, forumpost.postid AS postEntityID, forum.forumid AS forumid, forumpost.updated_time AS updated_time FROM main.viadeoforumpost AS forumpost 
	   JOIN main.viadeoforum AS forum ON forumpost.forumid = forum.forumid 
	) AS item ON like.newsitemid = item.postEntityID 
	LEFT JOIN main.viadeouser AS user ON like.likeid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _Checkin (entityID,checkinID,personEntityID,referenceEntityID,referenceEntityType,appID,postEntityID,createdDate,message,latitude,longitude,taggedPeopleCount,socialNetworkUserEntityID) 
	SELECT 
		"2_" || checkin.pageid || "_" || checkin.checkinid as entityID, 
		checkin.checkinid AS checkinID, 
		"2_" || checkin.pageid || "_" || checkin.authoruid AS personEntityID, 
		"2_" || checkin.pageid AS referenceEntityID, 
		15 AS referenceEntityType, 
		checkin.appid AS appID, 
		checkin.postid AS postEntityID, 
		CAST(checkin.created as integer) * 1000 AS createdDate, 
		checkin.message AS message, 
		CAST(checkin.latitude AS FLOAT) AS latitude, 
		CAST(checkin.longitude AS FLOAT) AS longitude, 
		CASE WHEN joined.count IS NULL THEN 0 ELSE joined.count END AS taggedPeopleCount, 
		"2_" || checkin.pageid AS socialNetworkUserEntityID 
	FROM main.checkin AS checkin 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, checkinid FROM main.checkintag GROUP BY checkinid 
	) AS joined ON checkin.checkinid = joined.checkinid; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,createdDate) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || checkin.authoruid || "_" || association.taggeduid AS personEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || checkin.authoruid || "_" || association.checkinid AS referenceEntityID, 
		6 AS referenceEntityType, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || checkin.authoruid AS socialNetworkUserEntityID, 
		CAST(checkin.created AS integer) * 1000 AS createdDate 
	FROM main.checkintag AS association 
	JOIN main.checkin AS checkin ON checkin.checkinid = association.checkinid 
	LEFT JOIN main.user AS user ON association.taggeduid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||checkin.authoruid||"_" as entityid, 
	case when person.picbigwithlogo is null then CASE WHEN person.picsquare IS NULL THEN user.picturedefault ELSE person.picsquare END else person.picbigwithlogo end AS link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||checkin.authoruid as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.checkintag AS association 
join main.checkin as checkin on checkin.checkinid = association.checkinid 
LEFT JOIN (SELECT uid, picsquare, picbigwithlogo FROM main.friend WHERE picsquare != '') AS person ON association.taggeduid = person.uid 
LEFT JOIN main.user AS user ON association.taggeduid = user.userid 
where link != ""; 
 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,createdDate) 
	SELECT  
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(thread.ownerid,fbu.ownerid) || "_" || association.user_id AS personEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(thread.ownerid,fbu.ownerid) || "_" || association.thread_id AS referenceEntityID, 
		4 AS referenceEntityType, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || COALESCE(thread.ownerid,fbu.ownerid) AS socialNetworkUserEntityID, 
		COALESCE(CAST(thread.updated_time AS integer) * 1000, CAST(fbu.timestamp_milliseconds AS integer)) AS createdDate 
	FROM main.threadrecipients AS association 
	LEFT JOIN main.thread as thread on thread.thread_id = association.thread_id 
	LEFT JOIN main.facebookunifiedthread AS fbu ON fbu.thread_id = association.thread_id 
	LEFT JOIN main.user AS user ON thread.ownerid = user.userid OR fbu.ownerid = user.userid 	 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||thread.ownerid||"_" as entityid, 
	case when person.picbigwithlogo is null then CASE WHEN person.picsquare IS NULL THEN user.picturedefault ELSE person.picsquare END else person.picbigwithlogo end AS link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||thread.ownerid as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.threadrecipients AS association 
join main.thread as thread on thread.thread_id = association.thread_id 
LEFT JOIN (SELECT uid, picsquare, picbigwithlogo, ownerid FROM main.friend WHERE picsquare != '') AS person ON association.user_id = person.uid 
LEFT JOIN main.user AS user ON association.user_id = user.userid or person.ownerid = user.userid 
where link != "" 
GROUP BY link, socialNetworkUserEntityID; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,createdDate) 
	SELECT 
		"3_" || participant.ownerid || "_" || participant.participantID AS personEntityID, 
		"3_" || participant.ownerid || "_" || participant.thread_id AS referenceEntityID, 
		4 AS referenceEntityType, 
		"3_" || participant.ownerid AS socialNetworkUserEntityID, 
		CAST(participant.created AS integer) * 1000 AS createdDate 
	FROM ( 
		SELECT createdat AS created, ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id, sender_id AS participantID, ownerid FROM main.twittermessage    
		UNION ALL 
		SELECT createdat, ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id,recipient_id AS participantID, ownerid FROM main.twittermessage 
	) AS participant 
	LEFT JOIN ( 
		SELECT 
			twUser.twitter_id AS userid, 
			CASE WHEN twProfile.name IS NULL THEN 
				twUser.name 
			ELSE 
				twProfile.name 
			END AS name, 
			twUser.profileimage 
		FROM main.twitteruser AS twUser 
		LEFT JOIN (SELECT name, twitter_id FROM main.twitterprofile GROUP BY twitter_id ORDER BY id) AS twProfile ON twUser.twitter_id = twProfile.twitter_id 
	) AS user ON participant.participantID = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
	SELECT 
		"3_"||participant.ownerid||"_" AS entityid, 
		CASE WHEN person.profileimage IS NULL THEN user.profileimage ELSE person.profileimage END AS link, 
		"3_"||participant.ownerid AS socialNetworkUserEntityID, 
		3 AS serviceEntityID, 
		0 AS fileType, 
		1 AS fileDisplayType 
	FROM ( 
		SELECT ownerid, ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id, sender_id AS participantID FROM main.twittermessage 
		UNION ALL 
		SELECT ownerid, ownerid || '_' || CASE WHEN sender_id = ownerid THEN recipient_id ELSE sender_id END AS thread_id,recipient_id AS participantID FROM main.twittermessage 
	) AS participant 
	LEFT JOIN main.twitterfollower AS person ON participant.participantID = person.twitter_id 
	LEFT JOIN ( 
		 SELECT 
				twUser.twitter_id AS userid, 
				twUser.profileimage 
		 FROM main.twitteruser AS twUser 
	) AS user ON participant.participantID = user.userid 
	WHERE link != "" 
	GROUP BY socialNetworkUserEntityID; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,xCoord,yCoord,createdDate,socialNetworkUserEntityID,value) 
	SELECT 
		case when association.friendid is not null and association.friendid is not '' then 
			CASE WHEN association.friendid = "0" THEN NULL WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || "_" || association.friendid 
			else null 
		end AS personEntityID, 
		"10_" || photo.objectidforlike AS referenceEntityID, 
		1 AS referenceEntityType, 
		CAST(association.xpos AS integer) AS xCoord, 
		CAST(association.ypos AS integer) AS yCoord, 
		CAST(association.created as integer) * 1000 AS createdDate, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || user.userid || CASE WHEN event.eid IS NOT NULL THEN '_' || event.eid ELSE '' END AS socialNetworkUserEntityID, 
		case when association.friendid is null or association.friendid is '' then friendname else null end as value 
	FROM main.tags AS association 
	JOIN main.photo AS photo ON photo.pid = association.photoid 
	LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
	LEFT JOIN main.user AS user ON photo.ownerid = user.userid OR event.ownerid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||COALESCE(photo.ownerid, photo.owner, '')||"_" as entityID, 
	case when person.picbigwithlogo is null then CASE WHEN person.picsquare IS NULL THEN user.picturedefault ELSE person.picsquare END else person.picbigwithlogo end AS link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||COALESCE(photo.ownerid, photo.owner, '') as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.tags AS association 
join main.photo as photo on photo.pid = association.photoid 
LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
LEFT JOIN main.user AS user ON photo.ownerid = user.userid OR event.ownerid = user.userid 
LEFT JOIN (SELECT uid, picbigwithlogo, picsquare FROM main.friend WHERE picsquare != '') AS person ON association.friendid = person.uid 
where link != ""; 
		 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||fbu.ownerid||"_" as entityID, 
	friend.picbigwithlogo AS link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||fbu.ownerid as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
	from main.facebookunifiedmessage as fbu 
	join main.friend as friend 
	on fbu.sender_id = friend.uid 
	join main.user as user 
	on fbu.ownerid = user.userid 
	where link != ""; 
		 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||message.ownerid||"_" as entityID, 
	user.picturedefault AS link, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||message.ownerid as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
	FROM main.message AS message 
	left join main.user as user on user.userid = message.ownerid 
	where link != ""; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,rsvpStatus,socialNetworkUserEntityID,createdDate) 
	SELECT 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || event.ownerid || "_" || association.uid AS personEntityID, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || event.ownerid || '_' || event.eid AS referenceEntityID, 
		15 AS referenceEntityType, 
		association.rsvpstatus AS rsvpStatus, 
		CASE WHEN COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) THEN "2_" ELSE "1_" END || event.ownerid || '_' || event.eid AS socialNetworkUserEntityID, 
		CAST(event.updatetime AS integer) * 1000 AS createdDate 
	FROM main.eventmember AS association  
	JOIN main.facebookevent AS event ON event.eid = association.eid 
	JOIN main.user AS user ON event.ownerid = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||COALESCE(photo.ownerid, photo.owner, '')||"_" as entityID, 
	case when person.picbigwithlogo is null then CASE WHEN person.picsquare IS NULL THEN user.picturedefault ELSE person.picsquare END else person.picbigwithlogo end AS link_, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then "2_" else "1_" end ||COALESCE(photo.ownerid, photo.owner, '') as socialNetworkUserEntityID, 
	case when COALESCE(user.type = "page" COLLATE NOCASE, user.type IS NOT NULL) then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
from main.tags AS association 
join main.photo as photo on photo.pid = association.photoid 
LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid 
LEFT JOIN main.user AS user ON photo.ownerid = user.userid OR event.ownerid = user.userid 
LEFT JOIN (SELECT uid, picsquare, picbigwithlogo FROM main.friend WHERE picsquare != '') AS person ON association.friendid = person.uid 
where link_ != ""; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,createdDate) 
	SELECT 
		"7_" || forum.ownerid || "_" || association.memberid AS personEntityID, 
		"7_" || forum.ownerid || "_" || association.forumid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"7_" || forum.ownerid || '_' || association.forumid AS socialNetworkUserEntityID, 
		CAST(forum.updated_time AS integer) * 1000 AS createdDate 
	FROM main.viadeoforummember AS association 
	LEFT JOIN main.viadeouser AS user ON association.memberid = user.userid 
	JOIN main.viadeoforum AS forum ON association.forumid = forum.forumid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"7_"||forum.ownerid||"_" AS entityID, 
	CASE WHEN person.picture_large IS NULL THEN user.pictureurl ELSE person.picture_large END AS link, 
	"7_"||forum.ownerid AS socialNetworkUserEntityID, 
	7 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType  
FROM main.viadeoforummember AS association 
join main.viadeoforum as forum on forum.forumid = association.forumid 
LEFT JOIN main.viadeocontact AS person ON association.memberid = person.contactid 
LEFT JOIN main.viadeouser AS user ON association.memberid = user.userid 
where person.link != "" 
GROUP BY socialNetworkUserEntityID; 
	 
INSERT INTO _AssociatedPerson (personEntityID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,createdDate) 
	SELECT 
		"7_" || participant.ownerid || "_" || participant.participantID AS personEntityID, 
		"7_" || participant.ownerid || "_" || participant.thread_id AS referenceEntityID,      
		4 AS referenceEntityType, 
		"7_" || participant.ownerid AS socialNetworkUserEntityID, 
		CAST(participant.created AS integer) * 1000 AS createdDate 
	FROM ( 
		SELECT updated_time AS created, ownerid || '_' || fromid AS thread_id, fromid AS participantID, ownerid FROM main.viadeomessages 
		UNION ALL 
		SELECT updated_time AS created, ownerid || '_' || fromid AS thread_id, ownerid AS participantID, ownerid FROM main.viadeomessages 
	) AS participant 
	LEFT JOIN main.viadeouser AS user ON participant.participantID = user.userid 
	GROUP BY personEntityID, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	"7_"||participant.ownerid||"_" AS entityID, 
	CASE WHEN person.picture_large IS NULL THEN user.pictureurl ELSE person.picture_large END AS link, 
	"7_"||participant.ownerid AS socialNetworkUserEntityID, 
	7 as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType 
FROM ( 
	SELECT ownerid, ownerid || '_' || fromid AS thread_id, fromid AS participantID FROM main.viadeomessages 
	UNION ALL 
	SELECT ownerid, ownerid || '_' || fromid AS thread_id, ownerid AS participantID FROM main.viadeomessages 
) AS participant 
LEFT JOIN main.viadeocontact AS person ON participant.participantID = person.contactid 
LEFT JOIN main.viadeouser AS user ON participant.participantID = user.userid  
where link != "" 
GROUP BY socialNetworkUserEntityID; 
	 
INSERT INTO _Tag (entityID,socialNetworkUserEntityID,tag,referenceEntityID,referenceEntityType) 
	SELECT 
		"4_" as entityID, 
		"4_" || photo.ownerid AS socialNetworkUserEntityID, 
		tag.tag AS tag, 
		"4_" || tag.mediaid AS referenceEntityID, 
		1 AS referenceEntityType 
	FROM main.instagramtag AS tag 
	JOIN main.instagramphoto AS photo ON tag.mediaid = photo.photoid; 
	 
INSERT INTO _Event (entityID,eventID,referenceEntityID,referenceEntityType,name,tagline,fileEntityID,host,personEntityID,endDate,startDate,description,canInviteFriends,hideGuestList,privacy,venue,location,updatedDate,memberCount,socialNetworkUserEntityID) 
	SELECT 
		case when user.type="page" collate nocase then "2_" else "1_" end ||event.ownerid || "_" || event.eid || '_' || event.eid AS entityID, 
		CAST(event.eid as integer) AS eventID, 
		case when user.type="page" collate nocase then "2_" else "1_" end ||event.ownerid || "_" || event.eid AS referenceEntityID, 
		15 AS referenceEntityType, 
		event.name AS name, 
		CASE WHEN event.tagline = '' THEN null ELSE event.tagline END AS tagline, 
		event.picbig AS fileEntityID, 
		event.host AS host, 
		case when user.type="page" collate nocase then "2_" else "1_" end ||event.ownerid||"_"||event.creator as personEntityID, 
		 
		case when LENGTH(RTRIM("+",event.endtime)) = 0 then 
				strftime('%s',replace(event.endtime, replace(event.endtime, rtrim(event.endtime, replace(event.endtime, '+', '' ) ), ''), substr(replace(event.endtime, rtrim(event.endtime, replace(event.endtime, '+', '' ) ), ''), 0, 3))||":00") 
			else 
				strftime('%s',event.endtime)    
		end * 1000 AS endDate, 
		 
		case when LENGTH(RTRIM("+",event.starttime)) = 0 then 
				strftime('%s',replace(event.starttime, replace(event.starttime, rtrim(event.starttime, replace(event.starttime, '+', '' ) ), ''), substr(replace(event.starttime, rtrim(event.starttime, replace(event.starttime, '+', '' ) ), ''), 0, 3))||":00") 
			else 
				strftime('%s',event.starttime)    
		end * 1000 AS startDate, 
		 
		event.description AS description, 
		CASE WHEN event.caninvitefriends = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS canInviteFriends, 
		CASE WHEN event.hideguestlist = 'true' COLLATE NOCASE THEN 1 ELSE 0 END AS hideGuestList, 
		event.privacy AS privacy, 
		CASE WHEN event.venue = '' THEN null ELSE event.venue END AS venue, 
		event.location AS location, 
		CAST(event.updatetime as integer) * 1000 AS updatedDate, 
		CASE WHEN joined.count IS NULL THEN 0 ELSE joined.count END AS memberCount, 
		case when user.type="page" collate nocase then "2_" else "1_" end || event.ownerid AS socialNetworkUserEntityID 
	FROM main.facebookevent AS event 
	LEFT JOIN (    
	   SELECT COUNT(*) AS count, eid FROM main.eventmember WHERE rsvpstatus = 'attending' COLLATE NOCASE GROUP BY eid 
	) AS joined ON event.eid = joined.eid 
	left join main.user as user on user.userid = event.ownerid; 
	 
INSERT INTO _file (entityid, link, socialNetworkUserEntityID, serviceEntityID, filetype, filedisplaytype) 
select 
	case when user.type="page" collate nocase then "2_" else "1_" end||event.ownerid||"_" as entityID, 
	event.picbig AS link, 
	case when user.type="page" collate nocase then "2_" else "1_" end||event.ownerid as socialNetworkUserEntityID, 
	case when user.type="page" collate nocase then 2 else 1 end as serviceEntityID, 
	0 as fileType, 
	1 as fileDisplayType  
FROM main.facebookevent AS event 
left join main.user as user on user.userid = event.ownerid 
where link != ""; 
	 
INSERT INTO _Group (entityID,groupID,referenceEntityID,referenceEntityType,personEntityID,name,link,createdDate,updatedDate,privacy,description,keywords,country,memberCount,socialNetworkUserEntityID) 
	SELECT 
		"7_" || forum.ownerid || "_" || forum.forumid || '_' || forum.forumid AS entityID, 
		forum.forumid AS groupID, 
		"7_" || forum.ownerid || '_' || forum.forumid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"7_"||forum.ownerid||"_"||forum.ownerid AS personEntityID,    
		forum.name AS name,    
		forum.link AS link,    
		CASE WHEN forum.updated_time = '' OR forum.updated_time IS NULL THEN 0 ELSE CAST(forum.updated_time as integer) * 1000 END AS createdDate,    
		CASE WHEN forum.updated_time = '' OR forum.updated_time IS NULL THEN 0 ELSE CAST(forum.updated_time as integer) * 1000 END AS updatedDate,    
		forum.access AS privacy,    
		forum.description AS description,    
		forum.keywords AS keywords,    
		forum.country AS country,    
		memberJoin.count AS memberCount, 
		"7_" || forum.ownerid AS socialNetworkUserEntityID 
	FROM main.viadeoforum AS forum 
	LEFT JOIN ( 
		SELECT COUNT(*) AS count, forumid FROM main.viadeoforummember GROUP BY forumid 
	) AS memberJoin ON forum.forumid = memberJoin.forumid 
	GROUP BY forum.ownerid, forum.forumid; 
	 
INSERT INTO _Location(entityID,apiID,name,latitude,longitude,serviceEntityID) 
	SELECT 
		"4_"||location.locationid as entityID, 
		location.locationid AS apiID, 
		location.name AS name, 
		CAST(location.latitude AS FLOAT) AS latitude, 
		CAST(location.longitude AS FLOAT) AS longitude, 
		4 as serviceEntityID 
	FROM main.instagramlocation AS location; 
	 
INSERT INTO _Changetrack (entityID,socialNetworkUserEntityID,referenceEntityID,referenceEntityType,createdDate,actionType,itemType,backupEntityID) 
	SELECT 
		CASE WHEN event.eid IS NOT NULL THEN 2 || "_" || event.ownerid ELSE userJoin.serviceEntityID || "_" || ct.ownerid END || "_" AS entityID, 
		CASE WHEN event.eid IS NOT NULL THEN 2 || "_" || event.ownerid ELSE userJoin.serviceEntityID || "_" || ct.ownerid END AS socialNetworkUserEntityID, 
		CASE WHEN photo.objectidforlike IS NOT NULL AND joined.tableid != 12 THEN "10" ELSE CASE WHEN event.eid IS NOT NULL THEN 2 ELSE userJoin.serviceEntityID END END || "_" || 
		CASE WHEN joined.tableid = 12 AND ct.recordid = '0' 
			THEN ct.ownerid || '_' || ct.ownerid || '_'|| ct.recordid 
		WHEN joined.tableid = 13 
			THEN ct.ownerid || "_" || ct.recordid 
		WHEN photo.objectidforlike IS NOT NULL AND joined.tableid != 12 
			THEN photo.objectidforlike 
		WHEN joined.tableid = 1 
			THEN ct.recordid 
		WHEN joined.tableid = 5 OR joined.tableid = 17 
			THEN ct.ownerid || '_' || ct.recordid || '_' || ct.recordid 
		WHEN joined.tableid = 2 AND viadeoForumPost.forumid IS NOT NULL 
			THEN ct.ownerid || '_' || viadeoForumPost.forumid || '_' || ct.recordid 
		ELSE 
			ct.ownerid || '_' || ct.recordid 
		END AS referenceEntityID, 
		CAST(joined.tableid AS integer) AS referenceEntityType,     
		CASE WHEN ct.created = '' OR ct.created IS NULL THEN 0 ELSE CAST(ct.created as integer) * 1000 END AS createdDate,      
		CAST(ct.actiontype as integer) AS actionType, 
		CASE WHEN joined.tableid = 1 AND tablename = 'tagged photo' COLLATE NOCASE THEN 2 ELSE 
			CASE WHEN tablename = 'Friend' COLLATE NOCASE OR tablename = 'GooglePlusPerson' COLLATE NOCASE OR tablename = 'LinkedInConnection' COLLATE NOCASE OR tablename = 'ViadeoContact' COLLATE NOCASE THEN 1 ELSE 
				CASE WHEN tablename = 'InstagramFollower' COLLATE NOCASE OR tablename = 'TwitterFollower' THEN 2 ELSE 
					CASE WHEN tablename = 'InstagramFollowing' COLLATE NOCASE OR tablename = 'TwitterFriend' COLLATE NOCASE THEN 3 ELSE 
						CASE WHEN tablename = 'TwitterTweet' COLLATE NOCASE THEN 4 ELSE 
							CASE WHEN tablename = 'TwitterMention' COLLATE NOCASE THEN 5 ELSE 
								CASE WHEN tablename = 'TwitterFavourite' COLLATE NOCASE THEN 6 ELSE 0 END 
							END 
						END 
					END 
				END 
			END 
		END AS itemType, 
		backup.backupID AS backupEntityID 
	FROM main.changetrack AS ct 
	JOIN ( 
		SELECT 
			changetrackid AS cid, 
			CASE WHEN tablename = 'backup' COLLATE NOCASE THEN 18 
				WHEN tablename = 'checkin' COLLATE NOCASE THEN 6            
				WHEN tablename = 'photo comment' COLLATE NOCASE THEN 7 
				WHEN tablename = 'event' COLLATE NOCASE THEN 5 
				WHEN tablename = 'FacebookAlbum' COLLATE NOCASE THEN 12 
				WHEN tablename = 'ViadeoForum' COLLATE NOCASE THEN 17 
				WHEN tablename = 'message' COLLATE NOCASE OR tablename = 'FacebookUnifiedMessage' COLLATE NOCASE OR tablename = 'TwitterMessage' COLLATE NOCASE OR tablename = 'ViadeoMessages' COLLATE NOCASE THEN 3 
				WHEN tablename = 'photo' COLLATE NOCASE OR tablename = 'tagged photo' COLLATE NOCASE OR tablename = 'InstagramPhoto' COLLATE NOCASE THEN 1 
				WHEN tablename = 'profile' COLLATE NOCASE OR tablename = 'PageProfile' COLLATE NOCASE OR tablename = 'GooglePlusProfile' COLLATE NOCASE OR tablename = 'InstagramProfile' COLLATE NOCASE OR tablename = 'LinkedInProfile' COLLATE NOCASE OR tablename = 'TwitterProfile' COLLATE NOCASE OR tablename = 'ViadeoProfile' COLLATE NOCASE THEN 19 
				WHEN tablename = 'Friend' COLLATE NOCASE OR tablename = 'GooglePlusPerson' COLLATE NOCASE OR tablename = 'InstagramFollower' COLLATE NOCASE OR tablename = 'InstagramFollowing' COLLATE NOCASE OR tablename = 'LinkedInConnection' COLLATE NOCASE OR tablename = 'TwitterFriend' COLLATE NOCASE OR tablename = 'TwitterFollower' COLLATE NOCASE OR tablename = 'ViadeoContact' COLLATE NOCASE THEN 13 
				WHEN tablename = 'note' COLLATE NOCASE OR tablename = 'post' COLLATE NOCASE OR tablename = 'GooglePlusActivity' COLLATE NOCASE OR tablename = 'LinkedInNetworkUpdate' COLLATE NOCASE OR tablename = 'RSSFeedItem' COLLATE NOCASE OR tablename = 'TwitterFavourite' COLLATE NOCASE OR tablename = 'TwitterMention' COLLATE NOCASE OR tablename = 'TwitterTweet' COLLATE NOCASE OR tablename = 'ViadeoNewsItems' COLLATE NOCASE OR tablename = 'ViadeoForumPost' COLLATE NOCASE THEN 2 ELSE 0 END AS tableid 
		FROM main.changetrack 
	) AS joined ON ct.changetrackid = joined.cid 
	LEFT JOIN ( 
		SELECT userid AS userid, CASE WHEN user.type = 'page' COLLATE NOCASE THEN '2' ELSE '1' END AS serviceEntityID FROM main.user AS user 
		UNION ALL 
		SELECT CAST(rssid AS TEXT), CASE WHEN rss.type = 'typePinterest' COLLATE NOCASE THEN '9' ELSE '8' END FROM main.rss AS rss 
		UNION ALL 
		SELECT twitter_id, '3' FROM main.twitteruser 
		UNION ALL 
		SELECT userid, '7' FROM main.viadeouser 
		UNION ALL 
		SELECT userid, '6' FROM main.linkedinuser 
		UNION ALL 
		SELECT userid, '4' FROM main.instagramuser 
		UNION ALL 
		SELECT userid, '5' FROM main.googleplususer 
	) AS userJoin ON ct.ownerid = userJoin.userid 
	LEFT JOIN main.facebookevent AS event ON ct.ownerid = event.eid 
	LEFT JOIN main.photo AS photo ON photo.pid = ct.recordid 
	LEFT JOIN main.viadeoforumpost AS viadeoForumPost ON ct.recordid = viadeoForumPost.postid 
	LEFT JOIN (  
		SELECT bs.backupid AS backupID, oldChangetrack.changetrackid AS changetrackID FROM main.changetrack AS oldChangetrack 
			JOIN ( 
				SELECT 
					CASE WHEN oldBs.backuptype COLLATE NOCASE IN ('Friends', 'Followers', 'Follower', 'Following', 'Followings', 'Contact', 'Contacts') THEN 
						CASE WHEN oldBs.backupstatus = 'Lost' COLLATE NOCASE THEN 3 ELSE 
							CASE WHEN oldBs.backupstatus = 'Reconnected' COLLATE NOCASE THEN 2 ELSE 1 END 
						END 
					ELSE 1 
				END AS actionType, 
				COALESCE(oldPhoto.pid, oldBs.backupstatisticreference) AS joinID, 
				oldBs.ownerid, 
				oldBs.backupid, 
				CASE WHEN oldBs.backupstatisticname COLLATE NOCASE IN ('InstagramFollower', 'InstagramFollowing', 'TwitterFriend', 'TwitterFollower') THEN lower(oldBs.backupstatisticname) ELSE 'default' END AS name, 
				CASE WHEN oldBs.backuptype COLLATE NOCASE IN ('Friends', 'Followers', 'Follower', 'Following', 'Followings', 'Contact', 'Contacts') THEN strftime('%Y-%m-%d %H', datetime(b.backupdate, 'unixepoch')) ELSE 'default' END AS backupDate 
			FROM main.backupstatistic AS oldBs 
			JOIN main.backup AS b ON oldBs.backupid = b.backupid 
			LEFT JOIN main.photo AS oldPhoto ON oldBs.backupstatisticreference = oldPhoto.objectid 
			WHERE oldBs.backupstatisticreference NOT IN ('', 'none', 'None') 
			GROUP BY oldBs.backupid, oldBs.ownerid, oldBs.backupstatisticname, oldBs.backuptype, oldBs.backupstatus, oldBs.backupstatisticreference 
		) AS bs ON bs.ownerid = oldChangetrack.ownerid 
		AND bs.joinID = oldChangetrack.recordid 
		AND bs.actionType = oldChangetrack.actiontype 
		AND bs.name = CASE WHEN oldChangetrack.tablename COLLATE NOCASE IN ('InstagramFollower', 'InstagramFollowing', 'TwitterFriend', 'TwitterFollower') THEN lower(oldChangetrack.tablename) ELSE 'default' END 
		AND bs.backupDate = CASE WHEN oldChangetrack.tablename COLLATE NOCASE IN ('Friend', 'InstagramFollower', 'InstagramFollowing', 'LinkedInConnection', 'TwitterFriend', 'TwitterFollower', 'ViadeoContact') THEN strftime('%Y-%m-%d %H', datetime(oldChangetrack.created, 'unixepoch')) ELSE 'default' END 
	) AS backup ON ct.changetrackid = backup.changetrackID 
	WHERE joined.tableid != 0 AND joined.tableid != 7 AND referenceEntityType != 18 
	AND ct.changetrackid NOT IN ( 
		SELECT changetrackid FROM ( 
			SELECT base.* FROM main.changetrack AS base 
			JOIN main.comment AS fb ON base.recordid = fb.postid AND base.created = fb.created 
			UNION ALL 
			SELECT base.* FROM main.changetrack AS base 
			JOIN main.googlepluscomment AS gp ON base.recordid = gp.activityid AND base.created = gp.published 
			UNION ALL 
			SELECT base.* FROM main.changetrack AS base 
			JOIN main.instagramcomment AS ins ON base.recordid = ins.mediaid AND base.created = ins.created 
			UNION ALL 
			SELECT base.* FROM main.changetrack AS base 
			JOIN main.linkedincomment AS ln ON base.recordid = ln.networkupdateid AND base.created = ln.created 
			UNION ALL 
			SELECT base.* FROM main.changetrack AS base 
			JOIN main.viadeocomments AS vd ON base.recordid = vd.newsitemid AND base.created = vd.created_time 
		) 
	) AND (userJoin.userid IS NOT NULL OR event.ownerid IS NOT NULL); 
	 
INSERT INTO _Changetrack (entityID,socialNetworkUserEntityID,referenceEntityID,referenceEntityType,createdDate,actionType,backupEntityID) 
	SELECT 
		userJoin.serviceEntityID || "_" || bs.ownerid || "_" AS entityID, 
		userJoin.serviceEntityID || "_" || bs.ownerid AS socialNetworkUserEntityID, 
		userJoin.serviceEntityID || "_" || bs.backupid AS referenceEntityID,        
		18 AS referenceEntityType, 
		CASE WHEN b.backupdate = '' OR b.backupdate IS NULL THEN 0 ELSE CAST(b.backupdate as integer) * 1000 END AS createdDate,       
		1 AS actionType, 
		userJoin.serviceEntityID || "_" || bs.backupid AS backupEntityID 
	FROM main.backupstatistic AS bs 
	JOIN main.backup AS b ON bs.backupid = b.backupid 
	JOIN ( 
		SELECT userid AS userid, CASE WHEN user.type = 'page' COLLATE NOCASE THEN '2' ELSE '1' END AS serviceEntityID FROM main.user AS user 
		UNION ALL 
		SELECT CAST(rssid AS TEXT), CASE WHEN rss.type = 'typePinterest' COLLATE NOCASE THEN '9' ELSE '8' END FROM main.rss AS rss 
		UNION ALL 
		SELECT twitter_id, '3' FROM main.twitteruser 
		UNION ALL 
		SELECT userid, '7' FROM main.viadeouser 
		UNION ALL 
		SELECT userid, '6' FROM main.linkedinuser 
		UNION ALL 
		SELECT userid, '4' FROM main.instagramuser 
		UNION ALL 
		SELECT userid, '5' FROM main.googleplususer 
	) AS userJoin ON bs.ownerid = userJoin.userid 
	GROUP BY bs.ownerid, bs.backupid; 
	 
INSERT INTO _Backup (entityID,createdDate) 
	SELECT 
		'0_' AS entityID, 
		CAST(backupdate AS integer) * 1000 AS createdDate 
	FROM main.backup; 
 
INSERT INTO _Profile(entityID,profileID,referenceEntityID,referenceEntityType,bio,fileEntityID,socialNetworkUserEntityID,additionalUrl,profileURL,createdDate,username,displayname,firstname,lastname,mediaCount,followingCount,followersCount) 
	select 
       "4_" || ownerid || "_" || profileid as entityID, 
       profileid as profileID,          
       "4_" || ownerid AS referenceEntityID, 
       15 AS referenceEntityType, 
       bio as bio, 
       profilepicture as fileEntityID, 
       "4_" || ownerid as socialNetworkUserEntityID, 
       website as additionalUrl,        
	   'https://instagram.com/' || username AS profileURL, 
       cast(created as integer) * 1000 as createdDate,       
       username as username, 
       username as displayname, 
       replace(fullname, ltrim(fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as firstname, 
       replace(fullname, rtrim(fullname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as lastname,       
       mediacount as mediaCount,       
       followscount as followingCount, 
       followedbycount as followersCount 
	from instagramprofile; 
 
INSERT INTO _Profile(entityID,profileID,referenceEntityID,referenceEntityType,displayname,username,firstname,lastname,createdDate,fileEntityID,bio,profileURL,additionalUrl,socialNetworkUserEntityID) 
	select  
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN 9 ELSE 8 END || "_" || user.rssid || "_" || user.rssid as entityID, 
		user.rssid as profileID,   
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN 9 ELSE 8 END || "_" || user.rssid AS referenceEntityID, 
		15 AS referenceEntityType, 
		user.title as displayname,       
		user.title as username, 
		replace(user.title, ltrim(user.title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as firstname, 
		replace(user.title, rtrim(user.title, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as lastname, 
		case when profile.created is null then 0 else cast(profile.created as integer) * 1000 end as createdDate,       
		user.imageurl as fileEntityID,       
		user.description as bio,       
		user.link as profileURL,       
		user.rsslink as additionalUrl,       
		CASE WHEN type = 'typePinterest' COLLATE NOCASE THEN 9 ELSE 8 END || "_" || user.rssid as socialNetworkUserEntityID 
	from main.rss as user 
	left join ( 
		 select * from ( 
			   select * from main.rssfeed order by created desc    
		  ) group by rssid 
	) as profile on user.rssid = profile.rssid; 
 
INSERT INTO _Profile(entityID,profileid,referenceEntityID,referenceEntityType,displayname,username,firstname,lastname,fileEntityID,createdDate,gender,profileURL,bio,locationEntityID,socialNetworkUserEntityID,born,relationshipStatus,description) 	 
	select  
		"5_" || profile.ownerid || "_" || profile.profileid as entityID,       
		profile.profileid as profileid, 
		"5_" || profile.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		profile.displayname as displayname,    
		profile.displayname as username, 
		replace(profile.displayname, ltrim(profile.displayname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as firstname, 
		replace(profile.displayname, rtrim(profile.displayname, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as lastname,       
		profile.image as fileEntityID, 
		cast(profile.createdat as integer)*1000 as createdDate, 
		 
		case profile.gender collate nocase 
			when 'male'		then 1 
			when 'female'	then 2 
			else 0 
		end as gender, 
		 
		profile.url as profileURL, 
		profile.aboutme as bio, 
		case when profile.currentlocation != "" then "5_" ||profile.currentlocation else null end as locationEntityID, 
		"5_" || profile.ownerid as socialNetworkUserEntityID, 
		strftime('%s',profile.birthday) as born, 
 
		case profile.relationshipstatus collate nocase 
			when "single" then 1 
			when "in_a_relationship" then 2 
			when "engaged" then 3 
			when "married" then 4 
			when "its_complicated" then 5 
			when "open_relationship" then 6 
			when "widowed" then 7 
			when "in_domestic_partnership" then 8 
			when "in_civil_union" then 9          
			else 0 
		end as relationshipStatus, 
 
		profile.tagline as description 
 
	from main.googleplusprofile as profile; 
	 
INSERT INTO _Location(entityID,name,serviceEntityID) 
	select 
		"5_" ||profile.currentlocation as entityID, 
		profile.currentlocation as name, 
		5 as serviceEntityID 
	from main.googleplusprofile as profile 
	where entityID != "5_"; 
	 
INSERT INTO _Experience(type,businessEntityID,position,subject,beginDate,beginDateType,endDate,endDateType,description1,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		case org.type collate nocase 
			 when "work" then 1     
			 when "school" then 2     
			 else 2     
		end as type, 
		 
		org.name||org.type||5 as businessEntityID, 
		org.title as position, 
		org.department as subject, 
		strftime("%s", org.startDate) as beginDate, 
		1 as beginDateType, 
		strftime("%s", org.endDate) as endDate, 
		1 as endDateType, 
		org.description as description1, 
		"5_"||org.ownerid as socialNetworkUserEntityID, 
		"5_"||org.ownerid||"_"||org.profileID as referenceEntityID, 
		19 as referenceEntityType 
	from googleplusorganisation as org; 
	 
INSERT INTO _Business(entityID,name,type,serviceEntityID) 
	select 
		org.name||org.type||5 as entityID, 
		org.name as name, 
		case org.type collate nocase   
			 when "school" then 2     
			 else null     
		end as type, 
		5 as serviceEntityID 
	from googleplusorganisation as org; 
 
INSERT INTO _Profile(entityID,profileID,referenceEntityID,referenceEntityType,firstname,lastname,username,displayName,fileEntityID,profileURL,additionalURL,followingCount,followersCount,postCount,bio,createdDate,locationEntityID,profileProtected,socialNetworkUserEntityID) 
	select  
		"3_" || profile.twitter_id || "_" || profile.id as entityID, 
		profile.id as profileID, 
		"3_" || profile.twitter_id AS referenceEntityID, 
		15 AS referenceEntityType, 
		replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname,  
		CASE WHEN replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = profile.name THEN NULL ELSE replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		profile.screenname AS username, 
		profile.screenname AS displayName, 
		profile.profileimage AS fileEntityID, 
		'https://twitter.com/' || profile.screenname AS profileURL, 
		profile.website as additionalURL, 
		profile.friendscount as followingCount, 
		profile.followerscount as followersCount, 
		profile.statusescount as postCount, 
		profile.description as bio, 
		cast(profile.createdat as integer) * 1000 as createdDate, 
		case when ("3_"||profile.location||profile.utcOffset) = "3_" then null else "3_"||profile.location||profile.utcOffset end as locationEntityID, 
		case when profile.profileprotected = "true" collate nocase then 1 else 0 end as profileProtected, 
		"3_" || profile.twitter_id as socialNetworkUserEntityID 
	from main.twitterprofile as profile; 
 
INSERT INTO _Location(entityID,name,utcoffset,serviceEntityID)	 
	select  
		"3_"||profile.location||profile.utcOffset as entityID, 
		profile.location as name, 
		cast(profile.utcoffset as integer) as utcoffset, 
		3 as serviceEntityID 
	from main.twitterprofile as profile 
	where entityID != "3_" 
	group by name, utcoffset; 
 
INSERT INTO _Profile(entityID,profileID,referenceEntityID,referenceEntityType,firstname,lastname,username,displayname,gender,fileEntityID,bio,profileUrl,createdDate,locationEntityID,locale,socialNetworkUserEntityID,friendCount,generalInfo,isPremium) 
	select  
		"7_"||profile.userid||"_"||profile.profileID as entityID,    
		profile.profileid as profileID, 
		"7_"||profile.userid AS referenceEntityID, 
		15 AS referenceEntityType, 
		profile.first_name as firstname, 
		profile.last_name as lastname, 
		profile.nickname as username, 
		profile.name as displayname, 
		 
		case profile.gender collate nocase 
			when 'M' then 1 
			when 'F' then 2 
			else 0 
		end as gender, 
		 
		profile.picture_large as fileEntityID, 
		profile.headline as bio, 
		profile.link as profileUrl, 
		CASE WHEN profile.updated_time IS NOT NULL THEN CAST(profile.updated_time AS integer) * 1000 ELSE 0 END AS createdDate, 
		case when ("7_"||profile.city||profile.zipcode||profile.country||profile.area||profile.latitude||profile.longitude) = "7_" then null else "7_"||profile.city||profile.zipcode||profile.country||profile.area||profile.latitude||profile.longitude end as locationEntityID, 
		profile.language as locale, 
		"7_"||profile.userid as socialNetworkUserEntityID, 
		cast(profile.contact_count as integer) as friendCount, 
		profile.introduction as generalInfo, 
		cast(profile.is_premium as integer) as isPremium 
	from main.viadeoprofile as profile; 
	 
INSERT INTO _Location(entityID,city,zip,country,state,latitude,longitude,serviceEntityID)	 
	select  
		"7_"||profile.city||profile.zipcode||profile.country||profile.area||profile.latitude||profile.longitude as entityID, 
		profile.city as city, 
		profile.zipcode as zip, 
		profile.country as country, 
		profile.area as state, 
		CAST(profile.latitude AS FLOAT) AS latitude, 
		CAST(profile.longitude AS FLOAT) AS longitude, 
		7 as serviceEntityID 
	from main.viadeoprofile as profile 
	where entityID != "7_" 
	group by entityID; 
 
INSERT INTO _Meta(type,value1,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		joined.type as type, 
		joined.value as value1, 
		"7_"||profile.userid as socialNetworkUserEntityID, 
		"7_"||profile.userid||"_"||profile.profileID as referenceEntityID, 
		19 as referenceEntityType 
	from 
	( 
		select userid, profileid, 6 as type, interests as value from viadeoProfile 
		union 
		select userid, profileid, 9 as type, language as value from viadeoProfile 
		union 
		select ownerid, profileid, 10 as type, keyword as value from viadeosmarttag 
		union 
		select ownerid, profileid, 11 as type, keyword as value from viadeosmarttagblacklist 
	) as joined 
	join viadeoProfile as profile 
	on joined.userid = profile.userid and joined.profileid = profile.profileid 
	where joined.value != "" 
group by joined.type, joined.value; 
 
INSERT INTO _Experience(type,beginDate,beginDateType,endDate,endDateType,businessEntityID,description1,position,status,subject,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		1 as type, 
		strftime("%s", career.begin||"-01-01") as beginDate, 
		case when career.begin != "" then 1 else null end as beginDateType, 
		strftime("%s", career.end||"-01-01") as endDate, 
		case when career.end != "" then 1 else null end as endDateType, 
		career.company_name||career.company_name||7 as businessEntityID, 
		career.description as description1, 
		career.position as position, 
 
           case 
                when career.position collate nocase like "%employee%" then 1 
                when career.position collate nocase like "%founder%" then 2 
                when career.position collate nocase like "%entrepreneur%" then 2 
                when career.position collate nocase like "%independent%" then 3 
                when career.position collate nocase like "%freelancer%" then 3 
                when career.position collate nocase like "%other%" then 4 
                when career.position collate nocase like "%student%" then 5                
                else 4 
           end as status, 
 
		career.name as subject, 
		"7_"||career.ownerid as socialNetworkUserEntityID, 
		"7_"||career.ownerid||"_"||career.profileID as referenceEntityID, 
		19 as referenceEntityType 
	from viadeocareer as career; 
 
INSERT INTO _Business(entityID,name,serviceEntityID) 
	select 
		career.company_name||career.company_name||7 as entityID, 
		career.company_name as name, 
		7 as serviceEntityID 
	from viadeocareer as career; 
 
INSERT INTO _Experience(type,beginDate,beginDateType,endDate,endDateType,businessEntityID,position,status,subject,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		2 as type, 
		strftime("%s", education.begin||"-01-01") as beginDate, 
		case when education.begin != "" then 1 else null end as beginDateType, 
		strftime("%s", education.end||"-01-01") as endDate, 
		case when education.end != "" then 1 else null end as endDateType, 
		education.schoolid||education.subject||2||7 as businessEntityID, 
		education.degree as position, 
		5 as status, 
		education.subject as subject, 
		"7_"||education.ownerid as socialNetworkUserEntityID, 
		"7_"||education.ownerid||"_"||education.profileID as referenceEntityID, 
		19 as referenceEntityType 
	from viadeoeducation as education; 
	 
INSERT INTO _Business(entityID,name,type,serviceEntityID) 
	select 
		education.schoolid||education.subject||2||7 as entityID, 
		education.subject as name, 
		2 as type, 
		7 as serviceEntityID 
	from viadeoeducation as education; 
 
INSERT INTO _Profile(entityID,profileid,referenceEntityID,referenceEntityType,fileEntityID,createdDate,dateFormatType,born,firstname,lastname,username,displayname,socialNetworkUserEntityID,additionalurl,locationEntityID,hasaddedapp,bio,profileurl,businessEntityID) 
	select 
		'2_'||profile.pageid||'_'||profile.tableid as entityID, 
		cast(profile.tableid as integer) as profileid, 
		'2_'||profile.pageid AS referenceEntityID, 
		15 AS referenceEntityType, 
		profile.piclarge as fileEntityID, 
		cast(profile.modified as integer)*1000 as createdDate, 
		 
		case when length(profile.founded) - length(replace(profile.founded, ' ', '')) + 1=1 then 0 else length(profile.founded) - length(replace(profile.founded, ' ', '')) + 1 end as dateFormatType, 
		case when length(profile.founded) - length(replace(profile.founded, ' ', '')) + 1=1 then 
			strftime('%s',profile.founded||'-01-01') 
		when length(profile.founded) - length(replace(profile.founded, ' ', '')) + 1=2 then 
			strftime('%s',substr(profile.founded,length(profile.founded)-3,5)||'-'|| 
			CASE substr(profile.founded,0,length(profile.founded)-4) collate nocase 
				WHEN 'January' 		THEN '01' 
				WHEN 'February' 	THEN '02' 
				WHEN 'March' 		THEN '03' 
				WHEN 'April' 		THEN '04' 
				WHEN 'May' 			THEN '05' 
				WHEN 'June' 		THEN '06' 
				WHEN 'July' 		THEN '07' 
				WHEN 'August' 		THEN '08' 
				WHEN 'September' 	THEN '09' 
				WHEN 'October' 		THEN '10' 
				WHEN 'November' 	THEN '11' 
				WHEN 'December' 	THEN '12' 
			END 
			||'-01') 
		when length(profile.founded) - length(replace(profile.founded, ' ', '')) + 1=3 then 
			strftime('%s', 
			substr(profile.founded, length(profile.founded)-3,5) 
			||'-'|| 
			CASE substr(substr(profile.founded, length(replace(profile.founded, ltrim(profile.founded, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]\{}|:,.<>?'), ''))+2),0,length(substr(profile.founded, length(replace(profile.founded, ltrim(profile.founded, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]\{}|:,.<>?'), ''))+6))) collate nocase 
				WHEN 'January'		THEN '01' 
				WHEN 'February'		THEN '02' 
				WHEN 'March' 		THEN '03' 
				WHEN 'April'		THEN '04' 
				WHEN 'May'			THEN '05' 
				WHEN 'June'			THEN '06' 
				WHEN 'July'			THEN '07' 
				WHEN 'August'		THEN '08' 
				WHEN 'September' 	THEN '09' 
				WHEN 'October' 		THEN '10' 
				WHEN 'November' 	THEN '11' 
				WHEN 'December' 	THEN '12' 
			END 
			||'-'|| 
			replace(profile.founded, ltrim(profile.founded, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]\{}|:,.<>?'), '') 
			) 
		end as born,		 
		 
		replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as firstname, 
		case when trim(substr(profile.name, length(replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(profile.name))) = '' THEN NULL ELSE trim(substr(profile.name, length(replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '')) + 1, length(profile.name))) end as lastname, 
		case when length(profile.pageurl) - length(replace(profile.pageurl, '/pages/', '')) > 0  then
		 replace(replace(profile.pageurl, '/'||replace(profile.pageurl, rtrim(profile.pageurl, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), ''), ''), rtrim(replace(profile.pageurl, '/'||replace(profile.pageurl, rtrim(profile.pageurl, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), ''), ''), '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '')
else
		 replace(profile.pageurl, rtrim(profile.pageurl, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '') end AS username, 
		profile.name as displayname, 
		'2_'||profile.pageid as socialNetworkUserEntityID, 
		profile.website as additionalurl,case when ('2_'||profile.zip||profile.street||profile.state||profile.city||profile.country||profile.latitude||profile.longitude) = '2_' then null else '2_'||profile.zip||profile.street||profile.state||profile.city||profile.country||profile.latitude||profile.longitude end as locationEntityID, 
		case when profile.hasaddedapp = 'true' then 1 else 0 end as hasaddedapp, 
		profile.companyoverview as bio, 
		user.profileurl as profileurl, 
		profile.fancount||profile.type||profile.name||2 as businessEntityID 
	from main.page as profile 
	join main.user as user on user.userid = profile.pageid; 
	 
INSERT INTO _Location(entityID,zip,street,state,city,country,latitude,longitude,serviceEntityID)	 
	select  
		"2_" || profile.zip || profile.street || profile.state || profile.city || profile.country || CAST(profile.latitude AS FLOAT) || CAST(profile.longitude AS FLOAT) as entityID, 
		profile.zip as zip, 
		profile.street as street, 
		profile.state as state, 
		profile.city as city, 
		profile.country as country, 
		CAST(profile.latitude AS FLOAT) AS latitude, 
		CAST(profile.longitude AS FLOAT) AS longitude, 
		2 as serviceEntityID 
	from main.page as profile 
	where entityID != "2_" 
	group by entityID; 
 
INSERT INTO _Business(entityID,fancount,industry,parkingOption,name,serviceEntityID) 
	select 
		company.fancount||company.type||company.name||2 as entityID, 
		CAST(company.fancount AS INTEGER) AS fancount, 
		company.type as industry, 
		CAST(parkingopt.parkinglot + parkingopt.parkingstreet + parkingopt.parkingvalet AS INTEGER) AS parkingOption, 
		company.name as name, 
		2 as serviceEntityID 
	from main.page as company 
	join ( 
		 select     
			 iCompany.pageid, 
			 case when iCompany.parkinglot then 1 else 0 end as parkinglot, 
			 case when iCompany.parkingstreet then 2 else 0 end as parkingstreet,    
			 case when iCompany.parkingvalet then 4 else 0 end as parkingvalet 
		 from main.page as iCompany 
	) as parkingopt on parkingopt.pageid = company.pageid; 
 
INSERT INTO _Hours(entityID,dayIndex,endTime,startTime,referenceEntityID,referenceEntityType,socialNetworkUserEntityID) 
	select 
		"2_"||pageid||"_" as entityID, 
		dayIndex, 
		endTime, 
		startTime, 
		"2_"||pageid||"_"||profileid as referenceEntityID, 
		19 as referenceEntityType, 
		"2_"||pageid as socialNetworkUserEntityID 
	from( 
		select 
		pageid, 
		profileid, 
		dayIndex, 
		cast(substr(endTime,1,2) as integer)*60*60*1000 + cast(substr(endTime,4,5) as integer)*60*1000 as endTime, 
		cast(substr(startTime,1,2) as integer)*60*60*1000 + cast(substr(startTime,4,5) as integer)*60*1000 as startTime 
		 
		from ( 
			 select pageid as pageid, tableid as profileid, 1 as dayIndex, mondayclose as endTime, mondayOpen as startTime from page where endtime != "" or starttime != ""    
			 union   
			 select pageid as pageid, tableid as profileid, 2 as dayIndex, tuesdayclose as endTime, tuesdayOpen as startTime from page where endtime != "" or starttime != ""     
			 union   
			 select pageid as pageid, tableid as profileid, 3 as dayIndex, wednesdayclose as endTime, wednesdayOpen as startTime from page where endtime != "" or starttime != ""     
			 union   
			 select pageid as pageid, tableid as profileid, 4 as dayIndex, thursdayclose as endTime, thursdayOpen as startTime from page where endtime != "" or starttime != ""     
			 union   
			 select pageid as pageid, tableid as profileid, 5 as dayIndex, fridayclose as endTime, fridayOpen as startTime from page where endtime != "" or starttime != ""     
			 union  
			 select pageid as pageid, tableid as profileid, 6 as dayIndex, saturdayclose as endTime, saturdayOpen as startTime from page where endtime != "" or starttime != ""     
			 union  
			 select pageid as pageid, tableid as profileid, 7 as dayIndex, sundayclose as endTime, sundayOpen as startTime from page where endtime != "" or starttime != ""   
		) 
	);	 
	 
INSERT INTO _Profile(entityID,profileID,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,username,displayname,firstname,lastname,email,fileEntityID,gender,profileUrl,additionalUrl,locale,born,createdDate,bio,postCount,locationEntityID,timezone,locale,religion,personEntityID) 
	select 
		"1_"||profile.userid||"_"||profile.profileid as entityID, 
		profile.profileid as profileID, 
		"1_"||profile.userid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"1_"||profile.userid as socialNetworkUserEntityID, 
		replace(profile.profileurl, rtrim(profile.profileurl, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>? '), '') as username, 
		profile.name as displayname, 
		replace(profile.name, ltrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') AS firstname,  
		CASE WHEN replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') = profile.name THEN NULL ELSE replace(profile.name, rtrim(profile.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') END AS lastname, 
		profile.email as email, 
		profile.picbig as fileEntityID, 
 
		case profile.sex collate nocase 
			 when 'male' then 1     
			 when 'female' then 2     
			 else 0     
		end as gender, 
 
		profile.profileurl as profileUrl, 
		profile.website as additionalUrl, 
		profile.locale as locale, 
		date.time * 1000 as born, 
		cast(profile.modified as integer)*1000 as createdDate, 
		profile.aboutme as bio, 
		cast(profile.wallcount as integer) as postCount, 
		case when profile.currentlocationid != "" then "1_"||profile.currentlocationid else null end as locationEntityID, 
		cast(profile.timezone as integer) as timezone, 
		profile.locale, 
		profile.religion as religion, 
		 
		case when profile.significantotherid != "" 
			then 
				"1_"||profile.userid||"_"||profile.significantotherid 
			else 
				null 
			end 
		as personEntityID 
 
	from main.profile as profile 
	left join ( 
		select      
			profileid, 
			coalesce( 
			strftime('%s', 
			year||"-"|| 
			case month collate nocase 
			WHEN 'January'		THEN '01' 
			WHEN 'February'		THEN '02' 
			WHEN 'March' 		THEN '03' 
			WHEN 'April'		THEN '04' 
			WHEN 'May'			THEN '05' 
			WHEN 'June'			THEN '06' 
			WHEN 'July'			THEN '07' 
			WHEN 'August'		THEN '08' 
			WHEN 'September' 	THEN '09' 
			WHEN 'October' 		THEN '10' 
			WHEN 'November' 	THEN '11' 
			WHEN 'December' 	THEN '12' 
			end 
			||"-"||day), time) as time 
		from ( 
			select             
			profileid,      
			time, 
			replace(one, ',', '') as month, 
			replace(two, ',', '') as year, 
			replace(substr(time, length(one)+2, length(time)-(length(two)+length(one)+2)), ',', '') as day 
			from	 
			( 
				select 
					time as time,      
					profileid, 
					replace(time, ltrim(time, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as one, 
					replace(time, rtrim(time, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as two 
				from 
				( 
					select profileid, birthday as time from main.profile 
				) 
			) 
		) 
	) as date on date.profileid = profile.profileid; 
	 
INSERT INTO _Location(entityID,city,state,serviceEntityID) 
	select 
		"1_" ||profile.currentlocationid as entityID, 
		split.city as city, 
		case when split.state != split.city then split.state else null end as state, 
		1 as serviceEntityID 
	from main.profile as profile 
	left join 
	( 
		select 
			innerprofile.profileid, 
			replace(innerprofile.currentlocationid, ltrim(innerprofile.currentlocationid, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:.<>?'), '') as city, 
			replace(innerprofile.currentlocationid, rtrim(innerprofile.currentlocationid, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:.<>?'), '') as state 
		from main.profile as innerprofile 
	) as split on split.profileid = profile.profileid 
	where entityID != "1_" 
	group by city, state; 
	 
INSERT INTO _Meta(type,value1,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select  
		joined.type as type, 
		joined.value as value1, 
		"1_"||profile.userid as socialNetworkUserEntityID, 
		"1_"||profile.userid||"_"||profile.profileid as referenceEntityID, 
		19 as referenceEntityType 
	from 
	( 
		  select rowid, 1 as type, email as value from profile 
		  union 
		  select rowid, 2 as type, books as value from profile 
		  union 
		  select rowid, 3 as type, movies as value from profile 
		  union 
		  select rowid, 4 as type, tv as value from profile 
		  union 
		  select rowid, 5 as type, music as value from profile 
		  union 
		  select rowid, 6 as type, interests as value from profile 
		  union 
		  select rowid, 7 as type, activities as value from profile 
 
	) as joined 
	join main.profile as profile 
	on joined.rowid = profile.rowid 
	where value != ""  
	group by type,value; 
 
	 
INSERT INTO _Profile(entityid,profileId,referenceEntityID,referenceEntityType,socialNetworkUserEntityID,locationEntityID,fileEntityID,createdDate,email,profileurl,born,bio,firstname,lastname,username,displayname,friendCount,generalInfo,keywords,description,associations,interests,isFriendCountCapped) 
	select 
		"6_"||profile.ownerid||"_"||profile.profileid as entityid, 
		profile.profileid as profileId, 
		"6_"||profile.ownerid AS referenceEntityID, 
		15 AS referenceEntityType, 
		"6_"||profile.ownerid as socialNetworkUserEntityID, 
		case when profile.locationname != "" then "6_"||profile.locationname else null end as locationEntityID, 
		profile.pictureurl as fileEntityID, 
		CASE WHEN profile.createdat IS NOT NULL THEN CAST(profile.createdat AS integer) * 1000 ELSE 0 END AS createdDate, 
		profile.emailaddress as email, 
		profile.profileurl as profileurl, 
		cast(profile.dateofbirth as integer) as born, 
		profile.headline as bio, 
		CASE WHEN profile.firstname IS NULL THEN replace(user.name, ltrim(user.name, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') ELSE profile.firstname END AS firstname, 
		profile.lastname as lastname, 
		usernames.username as username, 
		user.name as displayname, 
		cast(profile.numberofconnections as integer) as friendCount, 
		profile.summary as generalInfo, 
		profile.specialities as keywords, 
		profile.proposalcomments as description, 
		profile.associations as associations, 
		profile.interests as interests, 
		 
		case when cast(profile.numberofconnections as integer) >= 500 then 1 
			when profile.numberofconnections like "%+%" then 1 
			else 0 
		end as isFriendCountCapped 
		 
	from main.linkedinprofile as profile 
	join main.linkedinuser AS user ON user.userid = profile.ownerid 
	join ( 
		select 
			userid, 
			replace(username, ltrim(username, '1234567890qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM!@#$%^&*()_+-=`~[]{}|:,.<>?'), '') as username 
		from ( 
			select                   
				user.userid, 
				replace(replace(user.profileurl, 'http://www.linkedin.com/in/', ''), 'http://www.linkedin.com/pub/', '') as username                
			from                    
			linkedinuser as user 
		) 
	) as usernames on usernames.userid = user.userid; 
	 
INSERT INTO _Experience(type,beginDate,beginDateType,endDate,endDateType,position,businessEntityID,description1,isCurrent,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		1 as type, 
		case when date.startMonth != "" 
			then case when length(date.startMonth)=1 
				then strftime("%s", date.startYear||"-0"||date.startMonth||"-01")  
				else strftime("%s", date.startYear||"-"||date.startMonth||"-01")  
				end  
			else strftime("%s", date.startYear||"-01-01") 
		end as beginDate, 
		 
		case when date.startMonth != "" then 2     
			when date.startYear != "" then 1  
		end as beginDateType, 
 
		case when date.endMonth != "" 
			then case when length(date.endMonth)=1 
				then strftime("%s", date.endYear||"-0"||date.endMonth||"-01")  
				else strftime("%s", date.endYear||"-"||date.endMonth||"-01")  
				end  
			else strftime("%s", date.endYear||"-01-01") 
		end as endDate, 
		 
		case when date.endMonth != "" then 2     
			when date.endYear != "" then 1  
		end as endDateType, 
 
		position.title as position, 
		company.name||company.numfollowers||company.industry||company.employeecountrange||company.description||company.type||6 as businessEntityID, 
		position.summary as description1,   
		 
		case position.current collate nocase 
			when "true" then 1     
			else 0     
		end as isCurrent, 
		 
		"6_"||position.ownerid as socialNetworkUserEntityID, 
		"6_"||position.ownerid||"_"||position.connectionid as referenceEntityID, 
		19 as referenceEntityType 
 
	from linkedinposition as position 
	join ( 
		select     
			rowid,  
			case when length(startdate)-length(replace(startdate, "month", ""))>0      
				then 
				replace(substr(startdate, length("<month>")+1, 2), "<", "")      
				else null          
			end as startMonth, 
			 
			case when length(startdate)-length(replace(startdate, "year", ""))>0      
				then 
				substr(startdate, length(startdate)-length("</year>")-3, 4)   
				else startdate          
			end as startYear,    
 
			case when length(endDate)-length(replace(endDate, "month", ""))>0      
				then 
				replace(substr(endDate, length("<month>")+1, 2), "<", "")      
				else null          
			end as endMonth, 
			 
			case when length(endDate)-length(replace(endDate, "year", ""))>0      
				then 
				substr(endDate, length(endDate)-length("</year>")-3, 4)   
				else endDate          
			end as endYear 
		 
		from linkedinposition 
	) as date on date.rowid = position.rowid 
	join main.linkedincompany as company on company.companyid = position.companyid; 
 
INSERT INTO _Business(entityID,name,fancount,industry,employeeCount,overview,type,serviceEntityID) 
	select 
		company.name||company.numfollowers||company.industry||company.employeecountrange||company.description||company.type||6 as entityID, 
		company.name as name, 
		cast(company.numfollowers as integer) as fancount, 
		company.industry as industry, 
		employeeCountType.employeeSizeType as employeeCount, 
		company.description as overview, 
		  case company.type collate nocase 
			 when "Public Company"		 then 1 
			 when "Educational"			 then 2 
			 when "Self Employed"	     then 3 
			 when "Government Agency"	 then 4 
			 when "Non Profit"			 then 5 
			 when "Self Owned"			 then 6 
			 when "Privately Held"		 then 7 
			 when "Partnership"			 then 8 
		  end as type, 
		6 as serviceEntityID 
	from main.linkedincompany as company 
	join linkedinposition as position on position.companyid = company.companyid 
	left join( 
		  select         
				companyid, 
				case 
					 when upperlimit = 1		 then 1 
					 when upperlimit <=10		 then 2 
					 when upperlimit <=50		 then 3 
					 when upperlimit <=200		 then 4 
					 when upperlimit <=500		 then 5 
					 when upperlimit <=1000		 then 6 
					 when upperlimit <=5000		 then 7 
					 when upperlimit <=10000	 then 8 
					 when upperlimit >10000		 then 9 
				end as employeeSizeType 
		  from( 
				select             
				companyid, 
				case when length(icompany.employeecountrange) - length(replace(icompany.employeecountrange, '-', '')) >= 1 
					then 
						cast(replace(ltrim(replace(icompany.employeecountrange, ltrim(icompany.employeecountrange, '0123456789-'), ''), '0321654987'), '-', '') as int) 
					else 
						1 
				end as upperlimit 
				from main.linkedincompany as icompany 
		  ) 
	) as employeeCountType on employeeCountType.companyid = company.companyid; 
 
INSERT INTO _Location(entityID,name,serviceEntityID)  
	select  
		"6_"||profile.locationname as entityID,  
		profile.locationname as name,  
		6 as serviceEntityID  
	from main.linkedinprofile as profile  
	group by name; 
	 
INSERT INTO _Location(entityID,apiID,description,city,zip,state,street,serviceEntityID) 
	select 
		"6_"||location.locationid as entityID, 
		location.locationid as apiID, 
		location.description as description, 
		location.city as city, 
		location.postcode as zip, 
		location.state as state, 
		location.streetone||case when location.streettwo != "" then ", "||location.streettwo else "" end as street, 
		6 as serviceEntityID 
	from linkedincompanylocation as location; 
	 
INSERT INTO _Recommendations(entityID,recommendationID,socialNetworkUserEntityID,referenceEntityID,referenceEntityType,personEntityID,content) 
	select  
		"6_"||ownerid||"_"||recommendationid as entityID,  
		cast(recommendationid as integer) as recommendationID,  
		"6_"||ownerid as socialNetworkUserEntityID,  
		"6_"||ownerid||"_"||connectionid as referenceEntityID,  
		19 as referenceEntityType,  
		"6_"||recommenderid as personEntityID, 
		text as content 
	from linkedinrecommendation; 
	 
INSERT INTO _Meta(type,value1,value2,socialNetworkUserEntityID,referenceEntityID,referenceEntityType) 
	select 
		joined.type as type, 
		joined.value1 as value1, 
		joined.value2 as value2, 
		"6_"||profile.ownerid as socialNetworkUserEntityID, 
		"6_"||profile.ownerid||"_"||profile.profileid as referenceEntityID, 
		19 as referenceEntityType 
	from 
	( 
		select 
			connectionid as profileid, 
			ownerid, 
			15 as type, 
			number as value1, 
			case type collate nocase 
			when 'home' 	then 1  
			when 'work' 	then 2  
			when 'mobile' 	then 3  
			else 0  end as value2 
		from linkedinphonenumber as phone 
		 
		union 
 
		select 
			connectionid, 
			ownerid, 
			case accounttype collate nocase 
				  when "aim" 	then 18 
				  when "gtalk" 	then 19 
				  when "icq" 	then 20 
				  when "qq" 	then 21 
				  when "skype" 	then 22 
				  when "wechat" then 24 
				  when "msn" 	then 25 
				  when "yahoo" 	then 26 
				  else 27 
			end as type, 
			accountname, 
			null 
		from linkedinimaccount 
 
		union 
		 
		select connectionid, ownerid, 23, accountid, accountname from linkedintwitteraccount 
		union 
		 
		select profileid, ownerid, 17, honours, null from linkedinprofile 
		 
		union 
		select 
			connectionid, 
			ownerid, 
			9 as type, 
			lang.language as value1, 
			case lang.proficiency collate nocase 
				when "Elementary proficiency" 				then 1 
				when "Limited working proficiency" 			then 2 
				when "Professional working proficiency" 	then 3 
				when "Full professional proficiency" 		then 4 
				when "Native or bilingual proficiency" 		then 5 
				else 0 
			end as value2 
		from linkedinlanguage as lang 
		 
		union 
		select 
			skill.connectionid, 
			skill.ownerid, 
			12, 
			skill.skill as value1, 
			null as value2 
		from linkedinskill as skill 
		 
		union 
		select 
			url.connectionid, 
			url.ownerid, 
			13, 
			url.url as value1, 
			url.urlname as value2 
		from linkedinurlresource as url 
		 
	) as joined 
	join linkedinprofile as profile on profile.profileid = joined.profileid and profile.ownerid = joined.ownerid 
	where joined.value1 != "" 
	group by joined.type, joined.value1, joined.value2, referenceEntityID, referenceEntityType; 
	 
INSERT INTO _File(entityID,link,socialNetworkUserEntityID,fileType,fileDisplayType,serviceEntityID,revision) 
	SELECT 
		socialNetworkUserEntityID||"_" AS entityID, 
		fileEntityID AS link, 
		socialNetworkUserEntityID AS socialNetworkUserEntityID, 
		0 AS fileType, 
		1 AS fileDisplayType, 
		serviceID, 
		CASE WHEN serviceID = '1' THEN profileID ELSE 0 END AS revision 
	FROM ( 
		SELECT socialNetworkUserEntityID, fileEntityID, substr(socialNetworkUserEntityID, 1, 1) AS serviceID, profileID FROM main._profile 
	) WHERE serviceID GLOB '[1-9]' 
  GROUP BY socialNetworkUserEntityID, link, revision; 
 
INSERT INTO _Collection (entityID,createdDate,updatedDate,name,numberItems) 
	select 
		"0_"||collection.name||collection.date_created as entityID, 
		collection.date_created as createdDate, 
		collection.date_created as updatedDate, 
		collection.name as name, 
		itemCount.count as numberItems 
	from main.collection as collection 
	left join ( 
		select count(*) as count, collection_id 
		from collectionitem 
		group by collection_id 
 
	) as itemCount on collection.id = itemCount.collection_id; 
	 
INSERT INTO _Collection (entityID,createdDate,updatedDate,name,numberItems,isHidden,userCreated) 
	select 
		"0_hiddenCollection" as entityID, 
		cast(min(collection.date_hidden) as integer)*1000 as createdDate, 
		cast(max(collection.date_hidden) as integer)*1000 as updatedDate, 
		"hiddenCollection" as name, 
		count(*) as numberItems, 
		1 as isHidden, 
		0 as userCreated 
	from main.hiddenitem as collection; 
	 
INSERT INTO _Relationship (socialNetworkUserEntityID,referenceEntityID,relationshipGroupID,createdDate,referenceEntityType,childReferenceEntityID,childReferenceEntityType) 
		select 
		CASE WHEN userjoin.serviceEntityID IS NOT NULL THEN userjoin.serviceEntityID || '_' || ct.ownerid ELSE '0' END AS socialNetworkUserEntityID, 
		collectionItems.referenceEntityID as referenceEntityID, 
		collectionItems.referenceEntityID as relationshipGroupID, 
		collectionItems.dateAdded as createdDate, 
		26 as referenceEntityType, 
		 
		case when photo.objectidforlike is not null and joined.tableid != 12 then "10" else userjoin.serviceEntityID end || "_" || 
			case when joined.tableid = 12 and ct.recordid = '0' 
				then ct.ownerid || '_' || ct.ownerid || '_'|| ct.recordid 
			when joined.tableid = 13 
				then ct.ownerid || "_" || ct.recordid 
			when photo.objectidforlike is not null and joined.tableid != 12 
				then photo.objectidforlike 
			when joined.tableid = 1  
				then case when joined.idType = 1  
					then ct.ownerid || "_" || ct.recordid  
					else ct.recordid end 
			else 
				ct.ownerid || '_' ||ct.recordid 
		end as childReferenceEntityID, 
		 
		cast(joined.tableid as integer) as childReferenceEntityType 
 
	from main.changetrack as ct 
	join ( 
		select 
			changetrackid as cid, 
			case when tablename = 'TwitterMedia' 	collate nocase then 1                       
			   else 0 
			end as idType, 
			case 
				when tablename = 'backup' 				collate nocase 
					then 18 
					 
				when tablename = 'checkin' 				collate nocase 
					then 6            
					 
				when tablename = 'photo comment' 		collate nocase 
					then 7 
					 
				when tablename = 'event' 				collate nocase 
					then 5 
					 
				when tablename = 'FacebookAlbum' 		collate nocase 
					then 12 
					 
				when tablename = 'ViadeoForum' 			collate nocase 
					then 17 
				 
				when tablename = 'message' 				collate nocase 
				or tablename = 'FacebookUnifiedMessage' collate nocase 
				or tablename = 'TwitterMessage' 		collate nocase 
				or tablename = 'ViadeoMessages' 		collate nocase 
					then 3 
				 
				when tablename = 'photo' 				collate nocase 
				or tablename = 'tagged photo' 			collate nocase 
				or tablename = 'InstagramPhoto' 		collate nocase 
				or tablename = 'TwitterMedia' 			collate nocase 
					then 1 
				 
				when tablename = 'profile' 				collate nocase 
				or tablename = 'PageProfile' 			collate nocase 
				or tablename = 'GooglePlusProfile' 		collate nocase 
				or tablename = 'InstagramProfile' 		collate nocase 
				or tablename = 'LinkedInProfile' 		collate nocase 
				or tablename = 'TwitterProfile' 		collate nocase 
				or tablename = 'ViadeoProfile'  		collate nocase 
					then 19 
				 
				when tablename = 'Friend' 				collate nocase 
				or tablename = 'GooglePlusPerson' 		collate nocase 
				or tablename = 'InstagramFollower' 		collate nocase 
				or tablename = 'InstagramFollowing' 	collate nocase 
				or tablename = 'LinkedInConnection' 	collate nocase 
				or tablename = 'TwitterFriend' 			collate nocase 
				or tablename = 'TwitterFollower' 		collate nocase 
				or tablename = 'ViadeoContact' 			collate nocase 
					then 13 
				 
				when tablename = 'note' 				collate nocase 
				or tablename = 'post' 					collate nocase 
				or tablename = 'GooglePlusActivity' 	collate nocase 
				or tablename = 'LinkedInNetworkUpdate' 	collate nocase 
				or tablename = 'RSSFeedItem' 			collate nocase 
				or tablename = 'TwitterFavourite' 		collate nocase 
				or tablename = 'TwitterMention' 		collate nocase 
				or tablename = 'TwitterTweet' 			collate nocase 
				or tablename = 'ViadeonewsItems' 		collate nocase 
				or tablename = 'ViadeoForumPost' 		collate nocase 
					then 2 
					 
				else 0 end as tableid 
		from main.changetrack 
	) as joined on changetrackid = joined.cid 
	left join ( 
		SELECT userid AS userid, CASE WHEN user.type = 'page' COLLATE NOCASE THEN '2' ELSE '1' END AS serviceEntityID FROM main.user AS user 
		UNION ALL 
		SELECT CAST(rssid AS TEXT), CASE WHEN rss.type = 'typePinterest' COLLATE NOCASE THEN '9' ELSE '8' END FROM main.rss AS rss 
		UNION ALL 
		SELECT twitter_id, '3' FROM main.twitteruser 
		UNION ALL 
		SELECT userid, '7' FROM main.viadeouser 
		UNION ALL 
		SELECT userid, '6' FROM main.linkedinuser 
		UNION ALL 
		SELECT userid, '4' FROM main.instagramuser 
		UNION ALL 
		SELECT userid, '5' FROM main.googleplususer 
	) as userjoin on ct.ownerid = userjoin.userid 
	left join main.photo as photo on photo.pid = ct.recordid 
 
	join (  
		select 
			item.changetrack_id as ctid,    
			"0_"||collection.name||collection.date_created as referenceEntityID, 
			CAST(item.date_added AS INTEGER) * 1000 AS dateAdded 
		from collectionitem as item     
		join collection as collection     
		on collection.id = item.collection_id     
 
		union     
 
		select      
			object_id as ctid, 
			"0_"||"hiddenCollection" as referenceEntityID, 	
			cast(hidden.date_hidden as integer) * 1000 as dateAdded 
		from hiddenitem as hidden 
	) as collectionItems on collectionItems.ctid = joined.cid; 
 
UPDATE main.frontcoveruser SET userid = ( 
  SELECT 
      CASE WHEN userJoin.serviceEntityID IS NULL THEN fcu.userid ELSE userJoin.serviceEntityID || '_' || fcu.userid END AS userid 
  	FROM main.frontcoveruser AS fcu 
    LEFT JOIN ( 
  		SELECT userid AS userid, CASE WHEN user.type = 'page' COLLATE NOCASE THEN '2' ELSE '1' END AS serviceEntityID FROM main.user AS user 
		UNION ALL 
		SELECT CAST(rssid AS TEXT), CASE WHEN rss.type = 'typePinterest' COLLATE NOCASE THEN '9' ELSE '8' END FROM main.rss AS rss 
		UNION ALL 
		SELECT twitter_id, '3' FROM main.twitteruser 
		UNION ALL 
		SELECT userid, '7' FROM main.viadeouser 
		UNION ALL 
		SELECT userid, '6' FROM main.linkedinuser 
		UNION ALL 
		SELECT userid, '4' FROM main.instagramuser 
		UNION ALL 
		SELECT userid, '5' FROM main.googleplususer 
  	) AS userJoin ON fcu.userid = userJoin.userid 
); 
 
INSERT INTO _Changetrack (entityID,socialNetworkUserEntityID,referenceEntityID,referenceEntityType,createdDate,actionType) 
	select  
	ocomment.socialNetworkUserEntityID||"_" as entityID, 
	ocomment.socialNetworkUserEntityID as socialNetworkUserEntityID, 
	ocomment.entityid as referenceEntityID, 
	'7' as referenceEntityType, 
	ocomment.createddate as createdDate, 
	'1' as actiontype 
 
	from _comment as ocomment 
 
	where ocomment.entityid not in ( 
		  select comment.entityid from _comment as comment 
		  join _changetrack as ct 
		  on ct.referenceEntityID = comment.entityid 
		  where ct.referenceEntityType = '7' ) 
	and referenceEntityID != ""; 
	
CREATE TABLE IF NOT EXISTS "___MediaOrganiserTemp"(
	"id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
	"userid" TEXT,
	"source" TEXT,
	"hash" INTEGER,
	"origin" INTEGER,
	"extensionSource" TEXT, 
	"extensionType" INTEGER, 
	"profileID" INTEGER, 
	"realSource" TEXT); 
	
INSERT INTO ___MediaOrganiserTemp (userid,source,hash,origin,extensionSource,extensionType,profileID,realSource) 
SELECT 
	CAST(selection.userID AS TEXT) AS userid, 
	selection.source AS source, 
	selection.hash AS hash, 
	selection.origin AS origin, 
	selection.extensionSource AS extensionSource, 
	selection.extensionType AS extensionType, 
	selection.profileid AS profileID, 
	selection.realSource AS realSource 
FROM  
( 
	SELECT post.ownerid AS userID, 		attachment.icon AS source, 		1 AS hash, 	1 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.attachment AS attachment JOIN main.post AS post ON attachment.postid = post.postid WHERE attachment.icon IS NOT NULL AND attachment.icon != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			attachment_id AS source, 		1 AS hash, 	2 AS origin, 	mime_type AS extensionSource, 	2 AS extensionType, 	0 AS profileid, 		CASE WHEN url IS NOT NULL AND url != '' THEN url ELSE 'https://api.facebook.com/method/messaging.getattachment?aid=' || attachment_id || '&mid=' || message_id || '&format=json&access_token=accessTokenWildcard' END AS realSource FROM main.facebookunifiedmessageattachment 
	UNION ALL 
	SELECT ownerid AS userID, 			src AS source, 					1 AS hash, 	3 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.noteimage WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT user.userid AS userID, 		photo.src AS source, 			1 AS hash, 	4 AS origin, 	NULL AS extensionSource, 		1 AS extensionType,		0 AS profileid, 		photo.srcbig AS realSource 		FROM main.photo AS photo LEFT JOIN main.facebookevent AS event ON photo.ownerid = event.eid LEFT JOIN main.user AS user ON user.userid = photo.ownerid OR user.userid = event.ownerid WHERE photo.src IS NOT NULL AND photo.src != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			standardresurl AS source, 		1 AS hash, 	5 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.instagramphoto WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			videostandardresurl AS source, 	1 AS hash, 	29 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.instagramphoto WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT rssid AS userID, 			sourceoriginal AS source, 		1 AS hash, 	6 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.rssimage WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			mediaid || extension AS source, 0 AS hash, 	7 AS origin, 	NULL AS extensionSource, 		3 AS extensionType, 	0 AS profileid, 		mediaurl AS realSource 			FROM main.twittermedia WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT activity.ownerid AS userID, 	attachment.imageurl AS source, 	1 AS hash, 	30 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.googleplusattachment AS attachment JOIN main.googleplusactivity AS activity ON attachment.activityid = activity.activityid WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			imageurl AS source, 			1 AS hash, 	31 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.linkedinnetworkupdate WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			picsquare AS source, 			1 AS hash, 	8 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		picbigwithlogo AS realSource 	FROM main.friend WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			image AS source, 				1 AS hash, 	9 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.googleplusperson WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			profilepicture AS source, 		1 AS hash, 	10 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.instagrampeople WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			pictureurl AS source, 			1 AS hash, 	11 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.linkedinconnection WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT user_id AS userID, 			profileimage AS source, 		1 AS hash, 	12 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.twitterfollower WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT user_id AS userID, 			profileimage AS source, 		1 AS hash, 	13 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.twitterfriend WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			picture_large AS source, 		1 AS hash, 	14 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	0 AS profileid, 		NULL AS realSource 				FROM main.viadeocontact WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT rssid AS userID, 			imageurl AS source, 			1 AS hash, 	19 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	rssid AS profileid, 	NULL AS realSource 				FROM main.rss WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			pic AS source, 					1 AS hash, 	32 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	0 AS profileid, 		picbig AS realSource 			FROM main.facebookevent WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT pageid AS userID, 			piclarge AS source, 			1 AS hash, 	22 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	tableid AS profileid, 	NULL AS realSource 				FROM main.page WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT userid AS userID, 			picbig AS source, 				1 AS hash, 	23 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	profileid AS profileid, NULL AS realSource 				FROM main.profile WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			image AS source, 				1 AS hash, 	24 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	profileid AS profileid, NULL AS realSource 				FROM main.googleplusprofile WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			profilepicture AS source, 		1 AS hash, 	25 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	profileid AS profileid, NULL AS realSource 				FROM main.instagramprofile WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT ownerid AS userID, 			pictureurl AS source, 			1 AS hash, 	26 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	profileid AS profileid, NULL AS realSource 				FROM main.linkedinprofile WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT twitter_id AS userID, 		profileimage AS source, 		1 AS hash, 	27 AS origin, 	NULL AS extensionSource, 		1 AS extensionType, 	id AS profileid,		NULL AS realSource 				FROM main.twitterprofile WHERE source IS NOT NULL AND source != '' 
	UNION ALL 
	SELECT userid AS userID, 			picture_large AS source, 		1 AS hash, 	28 AS origin, 	NULL AS extensionSource, 		0 AS extensionType, 	profileid AS profileid, NULL AS realSource 				FROM main.viadeoprofile WHERE source IS NOT NULL AND source != '' 
) AS selection; 

DROP TABLE IF EXISTS ___FacebookDataTemp;
DROP TABLE IF EXISTS ___TableCountsTemp;